/******************************************************************************
 *
 *    File Name:  rcd_ctlr.v
 *      Version:  2.5
 *         Date:  June 05, 2000
 * 
 *  Description:  counts ras-to-cas delay.  
 *                For this design, T_rcd is 2 clk cycles
 *                rcd_en goes high 1  clk cycles after ld_rcd is low
 * 
 *       Author:  Jennnifer Tran
 *      Company:  Xilinx
 *
 *                Copyright (c) 1999 Xilinx, Inc.
 *                All rights reserved
 *
 *    DDR SDRAM:  64M (1M x 16Bit x 4Bank)
 * 
 *   Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
 *                WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
 *                IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
 *                A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
 *
 ******************************************************************************/
`timescale 1ns / 100ps
`include "../src/define.v"

module rcd_cntr (/*AUTOARG*/
   // Outputs
   rcd_end, 
   // Inputs
   clk, ld_rcd
   );
   output rcd_end;
   input  clk, ld_rcd;

   reg 	  rcd_end;
   always @ (posedge clk)       rcd_end <= ~ld_rcd;

endmodule
