-- Xilinx Vhdl produced by program ngd2vhdl D.19
-- Command: -w top_par top_par.vhd 
-- Options: -w -ti UUT 
-- Date: Fri Jun 23 11:27:26 2000 
-- Input file: top_par.nga
-- Output file: top_par.vhd
-- Tmp file: /var/tmp/xil_CAA0lbF2E
-- Design name: Synopsys_edif
-- Xilinx: /build/sjxfndry/D.19/rtf
-- # of Entities: 1
-- Device: v300ebg432-7

-- The output of ngd2vhdl is a simulation model. This file cannot be synthesized,
-- or used in any other manner other than simulation. This netlist uses simulation
-- primitives which may not represent the true implementation of the device, however
-- the netlist is functionally correct. Do not modify this file.

-- Model for  ROC (Reset-On-Configuration) Cell
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.VITAL_Timing.all;
entity ROC is
  generic (InstancePath: STRING := "*";
           WIDTH : Time := 100 ns);
  port(O : out std_ulogic := '1') ;
  attribute VITAL_LEVEL0 of ROC : entity is TRUE;
end ROC;

architecture ROC_V of ROC is
attribute VITAL_LEVEL0 of ROC_V : architecture is TRUE;
begin
  ONE_SHOT : process
  begin
    if (WIDTH <= 0 ns) then
       assert FALSE report
       "*** Error: a positive value of WIDTH must be specified ***"
       severity failure;
    else
       wait for WIDTH;
       O <= '0';
    end if;
    wait;
  end process ONE_SHOT;
end ROC_V;

-- Model for  TOC (Tristate-On-Configuration) Cell
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.VITAL_Timing.all;
entity TOC is
  generic (InstancePath: STRING := "*";
           WIDTH : Time := 0 ns);
  port(O : out std_ulogic := '0');
  attribute VITAL_LEVEL0 of TOC : entity is TRUE;
end TOC;

architecture TOC_V of TOC is
attribute VITAL_LEVEL0 of TOC_V : architecture is TRUE;
begin
  ONE_SHOT : process
  begin
    O <= '1';
    if (WIDTH <= 0 ns) then
       O <= '0';
    else
       wait for WIDTH;
       O <= '0';
    end if;
    wait;
  end process ONE_SHOT;
end TOC_V;

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;
entity SYNOPSYS_EDIF is
  port (
    U_CLK : in STD_LOGIC := 'X'; 
    DDR_RASB : out STD_LOGIC; 
    SYS_REF_ACK : out STD_LOGIC; 
    DDR_CASB : out STD_LOGIC; 
    SYS_RESET_N : in STD_LOGIC := 'X'; 
    DDR_CKE : out STD_LOGIC; 
    DDR_WEB : out STD_LOGIC; 
    DDR_CLK : out STD_LOGIC; 
    DDR_CSB : out STD_LOGIC; 
    DDR_CLKB : out STD_LOGIC; 
    U_CLK_FB : in STD_LOGIC := 'X'; 
    SYS_DATA_VALID : out STD_LOGIC; 
    DDR_AD : out STD_LOGIC_VECTOR ( 11 downto 0 ); 
    SYS_CMD : in STD_LOGIC_VECTOR ( 6 downto 2 ); 
    DDR_DQ : inout STD_LOGIC_VECTOR ( 63 downto 0 ); 
    SYS_ADDR : in STD_LOGIC_VECTOR ( 21 downto 0 ); 
    SYS_DATA_I : in STD_LOGIC_VECTOR ( 15 downto 0 ); 
    SYS_DATA_O : out STD_LOGIC_VECTOR ( 15 downto 0 ); 
    DDR_DQS : out STD_LOGIC_VECTOR ( 1 downto 0 ); 
    DDR_BA : out STD_LOGIC_VECTOR ( 1 downto 0 ); 
    DDR_DM : out STD_LOGIC_VECTOR ( 1 downto 0 ) 
  );
end SYNOPSYS_EDIF;

architecture STRUCTURE of SYNOPSYS_EDIF is
  component ROC
    generic (InstancePath: STRING := "*";
             WIDTH : Time := 100 ns);
    port (O : out STD_ULOGIC := '1');
  end component;
  component TOC
    generic (InstancePath: STRING := "*";
             WIDTH : Time := 0 ns);
    port (O : out STD_ULOGIC := '1');
  end component;
  signal I_DDR_CTLR_FPGA_CLK2X : STD_LOGIC; 
  signal FPGA_CLK : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5 : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_END : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_N_1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N_157 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1 : STD_LOGIC; 
  signal U_RESET_N : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOCKED : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_LOCKED : STD_LOGIC; 
  signal I_DDR_CTLR_N_1 : STD_LOGIC; 
  signal I_DDR_CTLR_DDR_DQS_T : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET2 : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET1 : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET3 : STD_LOGIC; 
  signal I_DDR_CTLR_MRS_ADDR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_1_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N399 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_CELL_116_U31_DATA2_0 : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK90 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_LAC_CLK : STD_LOGIC; 
  signal I_DDR_CTLR_ADDR_RESET2 : STD_LOGIC; 
  signal I_DDR_CTLR_ADDR_RESET1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_BRST_CNTR_B_1 : STD_LOGIC; 
  signal I_DDR_CTLR_BURST_END : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N_150 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_3 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4 : STD_LOGIC; 
  signal I_DDR_CTLR_LD_RCD : STD_LOGIC; 
  signal I_DDR_CTLR_RCD_END : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N_154 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DDR_CLK_OUT_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_FB : STD_LOGIC; 
  signal U_DATA_VALID : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK2X_OUT_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK_OUT_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CY_1_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_7_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_10_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N393 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N407 : STD_LOGIC; 
  signal I_DDR_CTLR_BURST_8 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N394 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N415 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_11_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N406 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_12_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N413 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N396 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N405 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N402 : STD_LOGIC; 
  signal I_DDR_CTLR_LD_CAS_LAT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_5_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_4_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_3_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_2_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_6_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_LD_RCD : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_8_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N403 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N404 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N411 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N412 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N398 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N401 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N409 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N400 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N397 : STD_LOGIC; 
  signal I_DDR_CTLR_BURST_2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_N182 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N408 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N395 : STD_LOGIC; 
  signal I_DDR_CTLR_ROW_ADDR : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_VALID_EN : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_LD_BURST : STD_LOGIC; 
  signal I_DDR_CTLR_LD_BURST : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P4 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_25 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_20 : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_N232 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N410 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N414 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P2 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_19_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_27_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_35_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_43_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_51_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_101_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_29_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_37_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_45_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_53_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_61_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_103_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_111_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_39_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_47_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_55_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_63_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_105_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_113_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_121_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_49_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_57_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_107_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_115_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_123_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_59_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_109_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_117_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_125_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_119_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_127_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_100_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_101_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_102_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_110_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_103_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_111_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_104_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_105_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_106_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_107_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_108_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_109_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_END_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_CSLT_END8 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_N_1_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_11_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_11_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_13_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_13_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_15_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_15_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_CTLR_RESET3_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_MRS_ADDR_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N399_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N399_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_LAC_CLK_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_LAC_CLK_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK90_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_FPGA_LAC_CLK90_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_1_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_1_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_33_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_41_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_RCD_END_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_35_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_43_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_51_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_20_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_21_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_37_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_45_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_53_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_61_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_22_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_30_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_23_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_31_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_39_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_47_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_55_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_63_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_71_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_16_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_24_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_17_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_25_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_49_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_57_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_65_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_73_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_81_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_18_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_26_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_50_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_19_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_27_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_51_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_59_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_67_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_75_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_83_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_91_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_28_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_52_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_60_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_29_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_53_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_61_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_69_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_77_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_85_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_93_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_54_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_62_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_70_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_55_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_63_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_71_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_79_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_87_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_95_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_48_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_56_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_64_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_72_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_49_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_57_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_65_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_73_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_89_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_97_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_58_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_66_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_74_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_59_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_67_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_75_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_99_CLKNOT : STD_LOGIC; 
  signal U_DATA_I_68_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_76_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_69_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_77_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_78_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_79_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_96_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_97_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_98_LOGIC_ONE : STD_LOGIC; 
  signal U_DATA_I_99_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_LOGIC_ONE : STD_LOGIC; 
  signal DDR_AD_8_CLKNOT : STD_LOGIC; 
  signal DDR_AD_8_KEEPER : STD_LOGIC; 
  signal DDR_AD_8_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_CMD_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_56_ENABLE : STD_LOGIC; 
  signal DDR_DQ_56_KEEPER : STD_LOGIC; 
  signal DDR_DQ_56_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_48_ENABLE : STD_LOGIC; 
  signal DDR_DQ_48_KEEPER : STD_LOGIC; 
  signal DDR_DQ_48_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_AD_9_CLKNOT : STD_LOGIC; 
  signal DDR_AD_9_KEEPER : STD_LOGIC; 
  signal DDR_AD_9_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_CMD_4_KEEPER : STD_LOGIC; 
  signal DDR_DQ_49_ENABLE : STD_LOGIC; 
  signal DDR_DQ_49_KEEPER : STD_LOGIC; 
  signal DDR_DQ_49_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_57_ENABLE : STD_LOGIC; 
  signal DDR_DQ_57_KEEPER : STD_LOGIC; 
  signal DDR_DQ_57_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_0_KEEPER : STD_LOGIC; 
  signal SYS_CMD_5_KEEPER : STD_LOGIC; 
  signal DDR_DQ_58_ENABLE : STD_LOGIC; 
  signal DDR_DQ_58_KEEPER : STD_LOGIC; 
  signal DDR_DQ_58_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_RASB_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O : STD_LOGIC; 
  signal DDR_RASB_KEEPER : STD_LOGIC; 
  signal DDR_RASB_OFF_SET : STD_LOGIC; 
  signal DDR_RASB_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_ADDR_1_KEEPER : STD_LOGIC; 
  signal SYS_CMD_6_KEEPER : STD_LOGIC; 
  signal DDR_DQ_59_ENABLE : STD_LOGIC; 
  signal DDR_DQ_59_KEEPER : STD_LOGIC; 
  signal DDR_DQ_59_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_2_KEEPER : STD_LOGIC; 
  signal SYS_REF_ACK_OD : STD_LOGIC; 
  signal SYS_REF_ACK_OCENOT : STD_LOGIC; 
  signal U_REF_ACK : STD_LOGIC; 
  signal SYS_REF_ACK_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_0_ENABLE : STD_LOGIC; 
  signal DDR_DQ_0_KEEPER : STD_LOGIC; 
  signal DDR_DQ_0_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_10_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_10_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_4_KEEPER : STD_LOGIC; 
  signal DDR_CASB_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O : STD_LOGIC; 
  signal DDR_CASB_KEEPER : STD_LOGIC; 
  signal DDR_CASB_OFF_SET : STD_LOGIC; 
  signal DDR_CASB_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_1_ENABLE : STD_LOGIC; 
  signal DDR_DQ_1_KEEPER : STD_LOGIC; 
  signal DDR_DQ_1_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_11_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_11_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_5_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_0_KEEPER : STD_LOGIC; 
  signal DDR_DQ_2_ENABLE : STD_LOGIC; 
  signal DDR_DQ_2_KEEPER : STD_LOGIC; 
  signal DDR_DQ_2_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_12_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_12_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_6_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_1_KEEPER : STD_LOGIC; 
  signal DDR_DQ_3_ENABLE : STD_LOGIC; 
  signal DDR_DQ_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_3_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_13_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_13_KEEPER : STD_LOGIC; 
  signal DDR_DQS_0_CLKNOT : STD_LOGIC; 
  signal DDR_DQS_0_CLKNOT_0 : STD_LOGIC; 
  signal DDR_DQS_0_ENABLE : STD_LOGIC; 
  signal DDR_DQS_0_KEEPER : STD_LOGIC; 
  signal DDR_DQS_0_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_7_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_2_KEEPER : STD_LOGIC; 
  signal DDR_DQ_4_ENABLE : STD_LOGIC; 
  signal DDR_DQ_4_KEEPER : STD_LOGIC; 
  signal DDR_DQ_4_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_14_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_14_KEEPER : STD_LOGIC; 
  signal DDR_DQS_1_CLKNOT : STD_LOGIC; 
  signal DDR_DQS_1_CLKNOT_1 : STD_LOGIC; 
  signal DDR_DQS_1_ENABLE : STD_LOGIC; 
  signal DDR_DQS_1_KEEPER : STD_LOGIC; 
  signal DDR_DQS_1_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_8_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_5_ENABLE : STD_LOGIC; 
  signal DDR_DQ_5_KEEPER : STD_LOGIC; 
  signal DDR_DQ_5_OUTBUF_GTS_AND : STD_LOGIC; 
  signal I_USER_INT_SYS_RESET_N_PAD : STD_LOGIC; 
  signal SYS_RESET_N_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_15_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_15_KEEPER : STD_LOGIC; 
  signal DDR_CKE_LOGIC_ONE : STD_LOGIC; 
  signal DDR_CKE_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_9_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_4_KEEPER : STD_LOGIC; 
  signal DDR_DQ_6_ENABLE : STD_LOGIC; 
  signal DDR_DQ_6_KEEPER : STD_LOGIC; 
  signal DDR_DQ_6_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_10_KEEPER : STD_LOGIC; 
  signal DDR_WEB_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O : STD_LOGIC; 
  signal DDR_WEB_KEEPER : STD_LOGIC; 
  signal DDR_WEB_OFF_SET : STD_LOGIC; 
  signal DDR_WEB_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_5_KEEPER : STD_LOGIC; 
  signal DDR_DQ_7_ENABLE : STD_LOGIC; 
  signal DDR_DQ_7_KEEPER : STD_LOGIC; 
  signal DDR_DQ_7_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_11_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_6_KEEPER : STD_LOGIC; 
  signal DDR_DQ_8_ENABLE : STD_LOGIC; 
  signal DDR_DQ_8_KEEPER : STD_LOGIC; 
  signal DDR_DQ_8_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_20_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_12_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_7_KEEPER : STD_LOGIC; 
  signal DDR_DQ_9_ENABLE : STD_LOGIC; 
  signal DDR_DQ_9_KEEPER : STD_LOGIC; 
  signal DDR_DQ_9_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_13_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_21_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_0_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_0_KEEPER : STD_LOGIC; 
  signal DDR_CLK_OUTMUX : STD_LOGIC; 
  signal DDR_CLK_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_8_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_14_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_1_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_1_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_9_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_15_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_2_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_2_KEEPER : STD_LOGIC; 
  signal DDR_CSB_LOGIC_ZERO : STD_LOGIC; 
  signal DDR_CSB_KEEPER : STD_LOGIC; 
  signal SYS_ADDR_16_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_3_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_3_KEEPER : STD_LOGIC; 
  signal DDR_DQ_10_ENABLE : STD_LOGIC; 
  signal DDR_DQ_10_KEEPER : STD_LOGIC; 
  signal DDR_DQ_10_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_17_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_4_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_4_KEEPER : STD_LOGIC; 
  signal DDR_DQ_11_ENABLE : STD_LOGIC; 
  signal DDR_DQ_11_KEEPER : STD_LOGIC; 
  signal DDR_DQ_11_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_18_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_5_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_5_KEEPER : STD_LOGIC; 
  signal DDR_BA_0_CLKNOT : STD_LOGIC; 
  signal DDR_BA_0_KEEPER : STD_LOGIC; 
  signal DDR_BA_0_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_12_TORGTS : STD_LOGIC; 
  signal DDR_DQ_12_ENABLE : STD_LOGIC; 
  signal DDR_DQ_12_KEEPER : STD_LOGIC; 
  signal DDR_DQ_12_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_CLKB_OUTMUX : STD_LOGIC; 
  signal DDR_CLKB_KEEPER : STD_LOGIC; 
  signal DDR_DQ_20_ENABLE : STD_LOGIC; 
  signal DDR_DQ_20_KEEPER : STD_LOGIC; 
  signal DDR_DQ_20_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_ADDR_19_KEEPER : STD_LOGIC; 
  signal SYS_DATA_I_6_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_6_KEEPER : STD_LOGIC; 
  signal DDR_DM_0_LOGIC_ZERO : STD_LOGIC; 
  signal DDR_DM_0_KEEPER : STD_LOGIC; 
  signal DDR_BA_1_OD : STD_LOGIC; 
  signal DDR_BA_1_CLKNOT : STD_LOGIC; 
  signal DDR_BA_1_KEEPER : STD_LOGIC; 
  signal DDR_BA_1_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_21_ENABLE : STD_LOGIC; 
  signal DDR_DQ_21_KEEPER : STD_LOGIC; 
  signal DDR_DQ_21_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_13_ENABLE : STD_LOGIC; 
  signal DDR_DQ_13_KEEPER : STD_LOGIC; 
  signal DDR_DQ_13_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_7_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_7_KEEPER : STD_LOGIC; 
  signal DDR_DM_1_LOGIC_ZERO : STD_LOGIC; 
  signal DDR_DM_1_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_10_KEEPER : STD_LOGIC; 
  signal DDR_DQ_14_ENABLE : STD_LOGIC; 
  signal DDR_DQ_14_KEEPER : STD_LOGIC; 
  signal DDR_DQ_14_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_22_ENABLE : STD_LOGIC; 
  signal DDR_DQ_22_KEEPER : STD_LOGIC; 
  signal DDR_DQ_22_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_30_ENABLE : STD_LOGIC; 
  signal DDR_DQ_30_KEEPER : STD_LOGIC; 
  signal DDR_DQ_30_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_8_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_8_KEEPER : STD_LOGIC; 
  signal SYS_DATA_O_11_KEEPER : STD_LOGIC; 
  signal DDR_DQ_31_ENABLE : STD_LOGIC; 
  signal DDR_DQ_31_KEEPER : STD_LOGIC; 
  signal DDR_DQ_31_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_23_ENABLE : STD_LOGIC; 
  signal DDR_DQ_23_KEEPER : STD_LOGIC; 
  signal DDR_DQ_23_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_15_ENABLE : STD_LOGIC; 
  signal DDR_DQ_15_KEEPER : STD_LOGIC; 
  signal DDR_DQ_15_OUTBUF_GTS_AND : STD_LOGIC; 
  signal SYS_DATA_I_9_IBUF : STD_LOGIC; 
  signal SYS_DATA_I_9_KEEPER : STD_LOGIC; 
  signal DDR_AD_10_CLKNOT : STD_LOGIC; 
  signal DDR_AD_10_KEEPER : STD_LOGIC; 
  signal DDR_AD_10_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_AD_0_CLKNOT : STD_LOGIC; 
  signal DDR_AD_0_KEEPER : STD_LOGIC; 
  signal DDR_AD_0_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_12_KEEPER : STD_LOGIC; 
  signal DDR_DQ_40_ENABLE : STD_LOGIC; 
  signal DDR_DQ_40_KEEPER : STD_LOGIC; 
  signal DDR_DQ_40_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_16_ENABLE : STD_LOGIC; 
  signal DDR_DQ_16_KEEPER : STD_LOGIC; 
  signal DDR_DQ_16_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_32_ENABLE : STD_LOGIC; 
  signal DDR_DQ_32_KEEPER : STD_LOGIC; 
  signal DDR_DQ_32_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_24_ENABLE : STD_LOGIC; 
  signal DDR_DQ_24_KEEPER : STD_LOGIC; 
  signal DDR_DQ_24_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_AD_11_CLKNOT : STD_LOGIC; 
  signal DDR_AD_11_KEEPER : STD_LOGIC; 
  signal DDR_AD_11_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_AD_1_CLKNOT : STD_LOGIC; 
  signal DDR_AD_1_KEEPER : STD_LOGIC; 
  signal DDR_AD_1_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_13_KEEPER : STD_LOGIC; 
  signal DDR_DQ_25_ENABLE : STD_LOGIC; 
  signal DDR_DQ_25_KEEPER : STD_LOGIC; 
  signal DDR_DQ_25_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_33_ENABLE : STD_LOGIC; 
  signal DDR_DQ_33_KEEPER : STD_LOGIC; 
  signal DDR_DQ_33_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_17_ENABLE : STD_LOGIC; 
  signal DDR_DQ_17_KEEPER : STD_LOGIC; 
  signal DDR_DQ_17_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_41_ENABLE : STD_LOGIC; 
  signal DDR_DQ_41_KEEPER : STD_LOGIC; 
  signal DDR_DQ_41_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_AD_2_CLKNOT : STD_LOGIC; 
  signal DDR_AD_2_KEEPER : STD_LOGIC; 
  signal DDR_AD_2_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_14_KEEPER : STD_LOGIC; 
  signal DDR_DQ_42_ENABLE : STD_LOGIC; 
  signal DDR_DQ_42_KEEPER : STD_LOGIC; 
  signal DDR_DQ_42_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_50_ENABLE : STD_LOGIC; 
  signal DDR_DQ_50_KEEPER : STD_LOGIC; 
  signal DDR_DQ_50_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_26_ENABLE : STD_LOGIC; 
  signal DDR_DQ_26_KEEPER : STD_LOGIC; 
  signal DDR_DQ_26_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_18_ENABLE : STD_LOGIC; 
  signal DDR_DQ_18_KEEPER : STD_LOGIC; 
  signal DDR_DQ_18_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_34_ENABLE : STD_LOGIC; 
  signal DDR_DQ_34_KEEPER : STD_LOGIC; 
  signal DDR_DQ_34_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_AD_3_CLKNOT : STD_LOGIC; 
  signal DDR_AD_3_KEEPER : STD_LOGIC; 
  signal DDR_AD_3_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_DATA_O_15_KEEPER : STD_LOGIC; 
  signal DDR_DQ_35_ENABLE : STD_LOGIC; 
  signal DDR_DQ_35_KEEPER : STD_LOGIC; 
  signal DDR_DQ_35_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_19_ENABLE : STD_LOGIC; 
  signal DDR_DQ_19_KEEPER : STD_LOGIC; 
  signal DDR_DQ_19_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_27_ENABLE : STD_LOGIC; 
  signal DDR_DQ_27_KEEPER : STD_LOGIC; 
  signal DDR_DQ_27_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_51_ENABLE : STD_LOGIC; 
  signal DDR_DQ_51_KEEPER : STD_LOGIC; 
  signal DDR_DQ_51_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_43_ENABLE : STD_LOGIC; 
  signal DDR_DQ_43_KEEPER : STD_LOGIC; 
  signal DDR_DQ_43_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_AD_4_CLKNOT : STD_LOGIC; 
  signal DDR_AD_4_KEEPER : STD_LOGIC; 
  signal DDR_AD_4_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_52_ENABLE : STD_LOGIC; 
  signal DDR_DQ_52_KEEPER : STD_LOGIC; 
  signal DDR_DQ_52_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_44_ENABLE : STD_LOGIC; 
  signal DDR_DQ_44_KEEPER : STD_LOGIC; 
  signal DDR_DQ_44_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_28_ENABLE : STD_LOGIC; 
  signal DDR_DQ_28_KEEPER : STD_LOGIC; 
  signal DDR_DQ_28_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_36_ENABLE : STD_LOGIC; 
  signal DDR_DQ_36_KEEPER : STD_LOGIC; 
  signal DDR_DQ_36_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_60_ENABLE : STD_LOGIC; 
  signal DDR_DQ_60_KEEPER : STD_LOGIC; 
  signal DDR_DQ_60_OUTBUF_GTS_AND : STD_LOGIC; 
  signal I_USER_INT_SYS_DATA_VALID_PAD : STD_LOGIC; 
  signal SYS_DATA_VALID_KEEPER : STD_LOGIC; 
  signal DDR_AD_5_CLKNOT : STD_LOGIC; 
  signal DDR_AD_5_KEEPER : STD_LOGIC; 
  signal DDR_AD_5_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_61_ENABLE : STD_LOGIC; 
  signal DDR_DQ_61_KEEPER : STD_LOGIC; 
  signal DDR_DQ_61_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_37_ENABLE : STD_LOGIC; 
  signal DDR_DQ_37_KEEPER : STD_LOGIC; 
  signal DDR_DQ_37_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_29_ENABLE : STD_LOGIC; 
  signal DDR_DQ_29_KEEPER : STD_LOGIC; 
  signal DDR_DQ_29_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_45_ENABLE : STD_LOGIC; 
  signal DDR_DQ_45_KEEPER : STD_LOGIC; 
  signal DDR_DQ_45_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_53_ENABLE : STD_LOGIC; 
  signal DDR_DQ_53_KEEPER : STD_LOGIC; 
  signal DDR_DQ_53_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_AD_6_CLKNOT : STD_LOGIC; 
  signal DDR_AD_6_KEEPER : STD_LOGIC; 
  signal DDR_AD_6_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal DDR_DQ_46_ENABLE : STD_LOGIC; 
  signal DDR_DQ_46_KEEPER : STD_LOGIC; 
  signal DDR_DQ_46_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_54_ENABLE : STD_LOGIC; 
  signal DDR_DQ_54_KEEPER : STD_LOGIC; 
  signal DDR_DQ_54_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_38_ENABLE : STD_LOGIC; 
  signal DDR_DQ_38_KEEPER : STD_LOGIC; 
  signal DDR_DQ_38_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_62_ENABLE : STD_LOGIC; 
  signal DDR_DQ_62_KEEPER : STD_LOGIC; 
  signal DDR_DQ_62_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_AD_7_CLKNOT : STD_LOGIC; 
  signal DDR_AD_7_KEEPER : STD_LOGIC; 
  signal DDR_AD_7_OFF_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal SYS_CMD_2_KEEPER : STD_LOGIC; 
  signal DDR_DQ_63_ENABLE : STD_LOGIC; 
  signal DDR_DQ_63_KEEPER : STD_LOGIC; 
  signal DDR_DQ_63_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_39_ENABLE : STD_LOGIC; 
  signal DDR_DQ_39_KEEPER : STD_LOGIC; 
  signal DDR_DQ_39_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_55_ENABLE : STD_LOGIC; 
  signal DDR_DQ_55_KEEPER : STD_LOGIC; 
  signal DDR_DQ_55_OUTBUF_GTS_AND : STD_LOGIC; 
  signal DDR_DQ_47_ENABLE : STD_LOGIC; 
  signal DDR_DQ_47_KEEPER : STD_LOGIC; 
  signal DDR_DQ_47_OUTBUF_GTS_AND : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORG : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_CYMUXG : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI_O : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORF : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_10_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_10_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_10_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_11_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_11_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_11_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_12_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_12_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_12_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_LD_CAS_LAT_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_LD_CAS_LAT_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_LD_CAS_LAT_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_LD_RCD_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_LD_RCD_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_LD_RCD_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_1_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_1_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_3_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_3_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_4_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_4_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_5_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_2_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_2_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_2_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_6_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_6_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_6_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_7_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_7_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_7_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE200_8_Q : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_8_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_STATE_8_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_BURST_2174 : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_BURST_8179 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_READ_CMD : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_ROW_ADDR_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_NEXT_ROW_ADDR : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_VALID_EN_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_CELL_116_U32_DATA2_0 : STD_LOGIC; 
  signal I_DDR_CTLR_DDR_DQS_T_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N_493 : STD_LOGIC; 
  signal I_DDR_CTLR_DDR_DQS_T_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_DDR_DQS_T_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_LD_BURST_CENOT : STD_LOGIC; 
  signal I_DDR_CTLR_LD_BURST_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_LD_BURST_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_MAX_1_FFY_RST : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_MAX_1_FFY_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_MAX_1_FFX_RST : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_MAX_1_FFX_ASYNC_FF_GSR_OR : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_N_10725 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_N_10708 : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_HALF_0_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N404_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N404_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N411_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N411_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N394_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N394_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N415_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N415_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N403_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_N403_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CLKNOT : STD_LOGIC; 
  signal U_DATA_VALID_GROM : STD_LOGIC; 
  signal U_DATA_O_11_GROM : STD_LOGIC; 
  signal U_DATA_O_11_FROM : STD_LOGIC; 
  signal U_DATA_O_15_GROM : STD_LOGIC; 
  signal U_DATA_O_15_FROM : STD_LOGIC; 
  signal U_DATA_O_8_GROM : STD_LOGIC; 
  signal U_DATA_O_8_FROM : STD_LOGIC; 
  signal U_DATA_O_0_GROM : STD_LOGIC; 
  signal U_DATA_O_0_FROM : STD_LOGIC; 
  signal U_DATA_O_13_GROM : STD_LOGIC; 
  signal U_DATA_O_13_FROM : STD_LOGIC; 
  signal U_DATA_O_6_GROM : STD_LOGIC; 
  signal U_DATA_O_6_FROM : STD_LOGIC; 
  signal U_DATA_O_2_GROM : STD_LOGIC; 
  signal U_DATA_O_2_FROM : STD_LOGIC; 
  signal U_DATA_O_4_GROM : STD_LOGIC; 
  signal U_DATA_O_4_FROM : STD_LOGIC; 
  signal I_DDR_CTLR_CAS_LAT_HALF_1_GROM : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_3_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_3_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_5_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_5_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_7_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_7_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_9_BYNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK_9_BXNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_21_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_BRST_CNTR_B_1_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_23_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_31_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_17_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_25_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_33_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_41_LOGIC_ONE : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CLKNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK180 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK270 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK90 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLKDV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK2X180 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_INT_RSTNOT : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK180 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK270 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK2X : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK90 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLKDV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK2X180 : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOGIC_ZERO : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8_2_INV : STD_LOGIC; 
  signal DDR_DQ_56_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_48_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9_2_INV : STD_LOGIC; 
  signal DDR_DQ_49_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_57_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_58_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS_2_INV : STD_LOGIC; 
  signal DDR_DQ_59_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_REF_ACK0_2_INV : STD_LOGIC; 
  signal DDR_DQ_0_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS_2_INV : STD_LOGIC; 
  signal DDR_DQ_1_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_0_2_INV : STD_LOGIC; 
  signal DDR_DQ_2_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_1_2_INV : STD_LOGIC; 
  signal DDR_DQ_3_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQS_0_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_2_2_INV : STD_LOGIC; 
  signal DDR_DQ_4_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQS_1_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_3_2_INV : STD_LOGIC; 
  signal DDR_DQ_5_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_O_DDR_CKE_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_4_2_INV : STD_LOGIC; 
  signal DDR_DQ_6_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_5_2_INV : STD_LOGIC; 
  signal DDR_DQ_7_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_6_2_INV : STD_LOGIC; 
  signal DDR_DQ_8_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_7_2_INV : STD_LOGIC; 
  signal DDR_DQ_9_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_8_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_9_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_O_DDR_CSB_2_INV : STD_LOGIC; 
  signal DDR_DQ_10_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_11_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0_2_INV : STD_LOGIC; 
  signal DDR_DQ_12_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT_2_INV : STD_LOGIC; 
  signal DDR_DQ_20_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_O_DDR_DQM0_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1_2_INV : STD_LOGIC; 
  signal DDR_DQ_21_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_13_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_O_DDR_DQM1_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_10_2_INV : STD_LOGIC; 
  signal DDR_DQ_14_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_22_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_30_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_11_2_INV : STD_LOGIC; 
  signal DDR_DQ_31_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_23_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_15_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_12_2_INV : STD_LOGIC; 
  signal DDR_DQ_40_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_16_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_32_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_24_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_13_2_INV : STD_LOGIC; 
  signal DDR_DQ_25_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_33_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_17_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_41_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_14_2_INV : STD_LOGIC; 
  signal DDR_DQ_42_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_50_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_26_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_18_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_34_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3_2_INV : STD_LOGIC; 
  signal I_USER_INT_U_DO_15_2_INV : STD_LOGIC; 
  signal DDR_DQ_35_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_19_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_27_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_51_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_43_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4_2_INV : STD_LOGIC; 
  signal DDR_DQ_52_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_44_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_28_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_36_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_60_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_USER_INT_U_DATA_VALID0_2_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5_2_INV : STD_LOGIC; 
  signal DDR_DQ_61_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_37_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_29_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_45_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_53_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6_2_INV : STD_LOGIC; 
  signal DDR_DQ_46_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_54_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_38_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_62_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7_2_INV : STD_LOGIC; 
  signal DDR_DQ_63_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_39_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_55_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal DDR_DQ_47_OUTBUF_GTS_AND_1_INV : STD_LOGIC; 
  signal VCC : STD_LOGIC; 
  signal GND : STD_LOGIC; 
  signal GSR : STD_LOGIC; 
  signal GTS : STD_LOGIC; 
  signal NGD2VHDL_X_5090_12 : STD_LOGIC; 
  signal NGD2VHDL_X_5090_13 : STD_LOGIC; 
  signal NGD2VHDL_X_5093_12 : STD_LOGIC; 
  signal NGD2VHDL_X_5093_13 : STD_LOGIC; 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5 : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T : STD_LOGIC_VECTOR ( 63 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5 : STD_LOGIC_VECTOR ( 127 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_WRITE_DATA : STD_LOGIC_VECTOR ( 127 downto 0 ); 
  signal I_DDR_CTLR_DDR_WRITE_EN : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_USER_INT_SYS_DATA_I_PAD : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal U_DATA_I : STD_LOGIC_VECTOR ( 127 downto 0 ); 
  signal I_DDR_CTLR_CAS_LAT_HALF : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_CSLT_CNTR_COUNT : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20 : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1 : STD_LOGIC_VECTOR ( 127 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2 : STD_LOGIC_VECTOR ( 127 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_LAC_CLK : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3 : STD_LOGIC_VECTOR ( 127 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4 : STD_LOGIC_VECTOR ( 127 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal U_CMD : STD_LOGIC_VECTOR ( 6 downto 2 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1 : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25 : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O : STD_LOGIC_VECTOR ( 11 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP : STD_LOGIC_VECTOR ( 63 downto 0 ); 
  signal U_ADDR : STD_LOGIC_VECTOR ( 21 downto 0 ); 
  signal I_DDR_CTLR_DDR_READ_EN : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal U_DATA_O : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_CSLT_CNTR_ARG64 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_CAS_LAT_MAX : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY : STD_LOGIC_VECTOR ( 11 downto 0 ); 
  signal I_USER_INT_SYS_CMD_PAD : STD_LOGIC_VECTOR ( 6 downto 2 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O : STD_LOGIC_VECTOR ( 63 downto 0 ); 
  signal I_USER_INT_SYS_ADDR_PAD : STD_LOGIC_VECTOR ( 21 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_USER_INT_SYS_DATA_O_PAD : STD_LOGIC_VECTOR ( 15 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80 : STD_LOGIC_VECTOR ( 63 downto 0 ); 
  signal I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222 : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP132 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25 : STD_LOGIC_VECTOR ( 11 downto 0 ); 
  signal I_DDR_CTLR_U_CSLT_CNTR_COUNT32 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
begin
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_19_LOGIC_ONE_2 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_19_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_18_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_19_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(18)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_19_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_19_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(19)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_27_LOGIC_ONE_3 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_27_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_26_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_27_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(6),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(26)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_27_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_27_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(6),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(27)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_35_LOGIC_ONE_4 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_35_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_34_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_35_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(34)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_35_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_35_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(35)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_43_LOGIC_ONE_5 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_43_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_42_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_43_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(42)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_43_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_43_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(43)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_51_LOGIC_ONE_6 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_51_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_50_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_51_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(50)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_51_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_51_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(51)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_101_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_101_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_100_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(100),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_101_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(100)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_101_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(101),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_101_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(101)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_29_LOGIC_ONE_7 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_29_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_28_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_29_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(7),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(28)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_29_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_29_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(7),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(29)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_37_LOGIC_ONE_8 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_37_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_36_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_37_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(9),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(36)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_37_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_37_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(9),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(37)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_45_LOGIC_ONE_9 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_45_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_44_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_45_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(11),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(44)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_45_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_45_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(11),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(45)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_53_LOGIC_ONE_10 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_53_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_52_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_53_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(52)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_53_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_53_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(53)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_61_LOGIC_ONE_11 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_61_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_60_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_61_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(15),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(60)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_61_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_61_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(15),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(61)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_103_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_103_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_102_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(102),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_103_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(102)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_103_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(103),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_103_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(103)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_111_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_111_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_110_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(110),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_111_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(110)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_111_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(111),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_111_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(111)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_39_LOGIC_ONE_12 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_39_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_38_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_39_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(9),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(38)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_39_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_39_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(9),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(39)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_47_LOGIC_ONE_13 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_47_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_46_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_47_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(11),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(46)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_47_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_47_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(11),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(47)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_55_LOGIC_ONE_14 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_55_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_54_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_55_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(54)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_55_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_55_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(55)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_63_LOGIC_ONE_15 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_63_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_62_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_63_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(15),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(62)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_63_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_63_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(15),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(63)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_105_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_105_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_104_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(104),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_105_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(104)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_105_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(105),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_105_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(105)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_113_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_113_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_112_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(112),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_113_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(112)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_113_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(113),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_113_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(113)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_121_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_121_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_120_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(120),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_121_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(120)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_121_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(121),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_121_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(121)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_49_LOGIC_ONE_16 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_49_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_48_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_49_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(48)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_49_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_49_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(49)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_57_LOGIC_ONE_17 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_57_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_56_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_57_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(14),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(56)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_57_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_57_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(14),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(57)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(5)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_107_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_107_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_106_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(106),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_107_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(106)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_107_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(107),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_107_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(107)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_115_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_115_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_114_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(114),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_115_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(114)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_115_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(115),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_115_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(115)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_123_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_123_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_122_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(122),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_123_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(122)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_123_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(123),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_123_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(123)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_59_LOGIC_ONE_18 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_59_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_58_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_59_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(14),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(58)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_59_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_59_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(14),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(59)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(7)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_109_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_109_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_108_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(108),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_109_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(108)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_109_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(109),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_109_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(109)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_117_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_117_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_116_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(116),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_117_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(116)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_117_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(117),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_117_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(117)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_125_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_125_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_124_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(124),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_125_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(124)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_125_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(125),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_125_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(125)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(8)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(9)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_119_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_119_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_118_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(118),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_119_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(118)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_119_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(119),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_119_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(119)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_127_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_127_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_126_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(126),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_127_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(126)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_127_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(127),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_127_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(127)
    );
  U_DATA_I_100_LOGIC_ONE_19 : X_ONE
    port map (
      O => U_DATA_I_100_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_100_Q : X_SFF
    port map (
      I => U_DATA_I_100_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(12),
      O => U_DATA_I(100)
    );
  U_DATA_I_101_LOGIC_ONE_20 : X_ONE
    port map (
      O => U_DATA_I_101_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_101_Q : X_SFF
    port map (
      I => U_DATA_I_101_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(13),
      O => U_DATA_I(101)
    );
  U_DATA_I_102_LOGIC_ONE_21 : X_ONE
    port map (
      O => U_DATA_I_102_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_102_Q : X_SFF
    port map (
      I => U_DATA_I_102_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(14),
      O => U_DATA_I(102)
    );
  U_DATA_I_110_LOGIC_ONE_22 : X_ONE
    port map (
      O => U_DATA_I_110_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_110_Q : X_SFF
    port map (
      I => U_DATA_I_110_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(6),
      O => U_DATA_I(110)
    );
  U_DATA_I_103_LOGIC_ONE_23 : X_ONE
    port map (
      O => U_DATA_I_103_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_103_Q : X_SFF
    port map (
      I => U_DATA_I_103_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(15),
      O => U_DATA_I(103)
    );
  U_DATA_I_111_LOGIC_ONE_24 : X_ONE
    port map (
      O => U_DATA_I_111_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_111_Q : X_SFF
    port map (
      I => U_DATA_I_111_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(7),
      O => U_DATA_I(111)
    );
  U_DATA_I_104_LOGIC_ONE_25 : X_ONE
    port map (
      O => U_DATA_I_104_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_104_Q : X_SFF
    port map (
      I => U_DATA_I_104_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(0),
      O => U_DATA_I(104)
    );
  U_DATA_I_105_LOGIC_ONE_26 : X_ONE
    port map (
      O => U_DATA_I_105_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_105_Q : X_SFF
    port map (
      I => U_DATA_I_105_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(1),
      O => U_DATA_I(105)
    );
  U_DATA_I_106_LOGIC_ONE_27 : X_ONE
    port map (
      O => U_DATA_I_106_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_106_Q : X_SFF
    port map (
      I => U_DATA_I_106_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(2),
      O => U_DATA_I(106)
    );
  U_DATA_I_107_LOGIC_ONE_28 : X_ONE
    port map (
      O => U_DATA_I_107_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_107_Q : X_SFF
    port map (
      I => U_DATA_I_107_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(3),
      O => U_DATA_I(107)
    );
  U_DATA_I_108_LOGIC_ONE_29 : X_ONE
    port map (
      O => U_DATA_I_108_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_108_Q : X_SFF
    port map (
      I => U_DATA_I_108_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(4),
      O => U_DATA_I(108)
    );
  U_DATA_I_109_LOGIC_ONE_30 : X_ONE
    port map (
      O => U_DATA_I_109_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_109_Q : X_SFF
    port map (
      I => U_DATA_I_109_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(5),
      O => U_DATA_I(109)
    );
  I_DDR_CTLR_U_CSLT_CNTR_U24 : X_LUT4
    generic map (
      INIT => X"FFF0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0),
      ADR3 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1),
      O => I_DDR_CTLR_CAS_LAT_END_GROM
    );
  I_DDR_CTLR_U_CSLT_CNTR_U25 : X_LUT4
    generic map (
      INIT => X"03AA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5,
      ADR1 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0),
      ADR2 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(1),
      O => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END8
    );
  I_DDR_CTLR_CAS_LAT_END_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_CAS_LAT_END_GROM,
      O => I_DDR_CTLR_U_CSLT_CNTR_N_1
    );
  I_DDR_CTLR_U_CSLT_CNTR_CSLT_END_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END8,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_CAS_LAT_END
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_LOGIC_ONE_31 : X_ONE
    port map (
      O => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_LOGIC_ONE
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_CONTROLLER_N_157,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1
    );
  I_DDR_CTLR_U8 : X_LUT4
    generic map (
      INIT => X"C000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOCKED,
      ADR2 => U_RESET_N,
      ADR3 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_LOCKED,
      O => I_DDR_CTLR_N_1_GROM
    );
  I_DDR_CTLR_N_1_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_N_1_GROM,
      O => I_DDR_CTLR_N_1
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_DQS_T,
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_DQS_T,
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1(1)
    );
  I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE_32 : X_ONE
    port map (
      O => I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE
    );
  I_DDR_CTLR_CTLR_RESET1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_CTLR_RESET1
    );
  I_DDR_CTLR_CTLR_RESET2_REG : X_SFF
    port map (
      I => I_DDR_CTLR_CTLR_RESET2_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_CTLR_RESET2
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_100_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(100),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(100)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_101_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(101),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(101)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_102_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(102),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(102)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_103_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(103),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(103)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_110_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(110),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(110)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_111_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(111),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(111)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_11_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(9),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_11_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_11_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(10),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_11_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_10 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_11_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_11 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_11_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(11)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_13_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(11),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_13_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_13_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(12),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_13_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_12 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_13_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_13 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_13_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_104_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(104),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(104)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_105_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(105),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(105)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_112_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(112),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(112)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_113_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(113),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(113)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_120_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(120),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(120)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_121_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(121),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(121)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_15_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(13),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_15_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_15_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(14),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_15_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_14 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_15_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_15 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_15_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(15)
    );
  I_DDR_CTLR_CTLR_RESET3_LOGIC_ONE_33 : X_ONE
    port map (
      O => I_DDR_CTLR_CTLR_RESET3_LOGIC_ONE
    );
  I_DDR_CTLR_CTLR_RESET3_REG : X_SFF
    port map (
      I => I_DDR_CTLR_CTLR_RESET3_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_CTLR_RESET3
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_106_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(106),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(106)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_107_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(107),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(107)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_114_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(114),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(114)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_115_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(115),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(115)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_122_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(122),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(122)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_123_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(123),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(123)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_100_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(100),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(100)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_101_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(101),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(101)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_108_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(108),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(108)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_109_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(109),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(109)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_116_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(116),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(116)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_117_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(117),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(117)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_124_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(124),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(124)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_125_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(125),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(125)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_102_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(102),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(102)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_103_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(103),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(103)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_110_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(110),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(110)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_111_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(111),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(111)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_118_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(118),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(118)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_119_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(119),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(119)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_126_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(126),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(126)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_127_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(127),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(127)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_104_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(104),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(104)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_105_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(105),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(105)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_112_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(112),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(112)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_113_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(113),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(113)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_120_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(120),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(120)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_121_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(121),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(121)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_106_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(106),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(106)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_107_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(107),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(107)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_114_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(114),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(114)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_115_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(115),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(115)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_122_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(122),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(122)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_123_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(123),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(123)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_108_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(108),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(108)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_109_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(109),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(109)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_116_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(116),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(116)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_117_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(117),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(117)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_124_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(124),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(124)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_125_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(125),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(125)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_118_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(118),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(118)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_119_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(119),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(119)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_126_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(126),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(126)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_127_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(127),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(127)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_32_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(32),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(32)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_33_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(33),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(33)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_40_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(40),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(40)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_41_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(41),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(41)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_34_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(34),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(34)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_35_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(35),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(35)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_42_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(42),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(42)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_43_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(43),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(43)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_50_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(50),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(50)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_51_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(51),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(51)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_36_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(36),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(36)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_37_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(37),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(37)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_44_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(44),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(44)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_45_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(45),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(45)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_52_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(52),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(52)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_53_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(53),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(53)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_60_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(60),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(60)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_61_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(61),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(61)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_38_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(38),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(38)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_39_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(39),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(39)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_46_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(46),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(46)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_47_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(47),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(47)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_54_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(54),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(54)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_55_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(55),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(55)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_62_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(62),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(62)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_63_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(63),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(63)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_70_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(70),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(70)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_71_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(71),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(71)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_48_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(48),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(48)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_49_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(49),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(49)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_56_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(56),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(56)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_57_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(57),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(57)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_64_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(64),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(64)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_65_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(65),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(65)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_72_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(72),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(72)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_73_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(73),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(73)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_80_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(80),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(80)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_81_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(81),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(81)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_58_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(58),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(58)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_59_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(59),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(59)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_66_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(66),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(66)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_67_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(67),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(67)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_74_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(74),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(74)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_75_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(75),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(75)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_82_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(82),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(82)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_83_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(83),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(83)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_90_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(90),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(90)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_91_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(91),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(91)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_68_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(68),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(68)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_69_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(69),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(69)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_76_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(76),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(76)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_77_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(77),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(77)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_84_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(84),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(84)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_85_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(85),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(85)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_92_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(92),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(92)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_93_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(93),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(93)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_78_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(78),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(78)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_79_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(79),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(79)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_86_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(86),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(86)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_87_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(87),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(87)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_94_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(94),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(94)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_95_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(95),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(95)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_88_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(88),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(88)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_89_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(89),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(89)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_96_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(96),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(96)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_97_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(97),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(97)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_98_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(98),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(98)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_99_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(99),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(99)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(10),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(11),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(12),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(13),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(13)
    );
  I_DDR_CTLR_MRS_ADDR_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_MRS_ADDR_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_MRS_ADDR_REG : X_FF
    port map (
      I => U_CMD(2),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_MRS_ADDR_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_MRS_ADDR
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(14),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(15),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P1(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(5)
    );
  I_DDR_CTLR_U_CONTROLLER_U188 : X_LUT4
    generic map (
      INIT => X"A0A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR1 => VCC,
      ADR2 => U_CMD(6),
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CONTROLLER_N399_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U194 : X_LUT4
    generic map (
      INIT => X"0202"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR1 => U_CMD(5),
      ADR2 => U_CMD(6),
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CONTROLLER_N399_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N399_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N399_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_CELL_116_U31_DATA2_0
    );
  I_DDR_CTLR_U_CONTROLLER_N399_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N399_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N399
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(9)
    );
  I_DDR_CTLR_U_CONTROLLER_LAC_CLK_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK90,
      O => I_DDR_CTLR_U_CONTROLLER_LAC_CLK_BYNOT
    );
  I_DDR_CTLR_U_CONTROLLER_LAC_CLK_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_CONTROLLER_LAC_CLK_CLKNOT
    );
  I_DDR_CTLR_U_CONTROLLER_LAC2 : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_LAC_CLK_BYNOT,
      CLK => I_DDR_CTLR_U_CONTROLLER_LAC_CLK_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_LAC_CLK
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(9)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(11)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(12)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(13)
    );
  I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE_34 : X_ONE
    port map (
      O => I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE
    );
  I_DDR_CTLR_ADDR_RESET1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_ADDR_RESET1
    );
  I_DDR_CTLR_ADDR_RESET2_REG : X_SFF
    port map (
      I => I_DDR_CTLR_ADDR_RESET2_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_N_1,
      O => I_DDR_CTLR_ADDR_RESET2
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(14)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_DDR_WRITE_EN(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(15)
    );
  I_DDR_CTLR_U_BRST_CNTR_BRST_END_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_BRST_CNTR_B_1,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_BURST_END
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_0_Q : X_FF
    port map (
      I => U_DATA_I(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_1_Q : X_FF
    port map (
      I => U_DATA_I(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_2_Q : X_FF
    port map (
      I => U_DATA_I(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_3_Q : X_FF
    port map (
      I => U_DATA_I(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_4_Q : X_FF
    port map (
      I => U_DATA_I(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_5_Q : X_FF
    port map (
      I => U_DATA_I(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_6_Q : X_FF
    port map (
      I => U_DATA_I(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_7_Q : X_FF
    port map (
      I => U_DATA_I(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_8_Q : X_FF
    port map (
      I => U_DATA_I(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_9_Q : X_FF
    port map (
      I => U_DATA_I(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(15)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(10)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(11)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(12)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(21)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(14)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_32_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(32),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(32)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_33_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(33),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(33)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_40_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(40),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(40)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_41_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(41),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(41)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_34_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(34),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(34)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_35_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(35),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(35)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_42_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(42),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(42)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_43_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(43),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(43)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_50_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(50),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(50)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_51_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(51),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(51)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_36_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(36),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(36)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_37_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(37),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(37)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_44_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(44),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(44)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_45_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(45),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(45)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_52_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(52),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(52)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_53_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(53),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(53)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_60_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(60),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(60)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_61_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(61),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(61)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_38_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(38),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(38)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_39_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(39),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(39)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_46_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(46),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(46)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_47_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(47),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(47)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_54_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(54),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(54)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_55_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(55),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(55)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_62_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(62),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(62)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_63_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(63),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(63)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_70_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(70),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(70)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_71_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(71),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(71)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_48_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(48),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(48)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_49_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(49),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(49)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_56_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(56),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(56)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_57_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(57),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(57)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_64_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(64),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(64)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_65_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(65),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(65)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_72_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(72),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(72)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_73_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(73),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(73)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_80_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(80),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(80)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_81_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(81),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(81)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_58_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(58),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(58)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_59_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(59),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(59)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_66_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(66),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(66)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_67_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(67),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(67)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_74_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(74),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(74)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_75_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(75),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(75)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_82_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(82),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(82)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_83_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(83),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(83)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_90_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(90),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(90)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_91_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(91),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(91)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_68_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(68),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(68)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_69_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(69),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(69)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_76_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(76),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(76)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_77_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(77),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(77)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_84_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(84),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(84)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_85_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(85),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(85)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_92_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(92),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(92)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_93_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(93),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(93)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_78_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(78),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(78)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_79_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(79),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(79)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_86_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(86),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(86)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_87_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(87),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(87)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_94_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(94),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(94)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_95_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(95),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(95)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_88_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(88),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(88)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_89_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(89),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(89)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_96_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(96),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(96)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_97_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(97),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(97)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_98_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(98),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(98)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_99_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(99),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(99)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(9)
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BYNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK1,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BXNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC1 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK1
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC2 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_LOGIC_ONE_35 : X_ONE
    port map (
      O => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_LOGIC_ONE
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_CONTROLLER_N_150,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE_36 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_0_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_1_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_1_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(1)
    );
  I_DDR_CTLR_FPGA_LAC_CLK_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK2,
      O => I_DDR_CTLR_FPGA_LAC_CLK_BYNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC3 : X_FF
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_FPGA_LAC_CLK
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CLKNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_1,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_BXNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC4 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY,
      CLK => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_1
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC5 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_BXNOT,
      CLK => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE_37 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_2_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_3_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_3_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(3)
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_2,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BYNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CLKNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_3,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BXNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC6 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BYNOT,
      CLK => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_3
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC7 : X_FF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_BXNOT,
      CLK => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4
    );
  I_DDR_CTLR_FPGA_LAC_CLK90_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_LAC_CLK90_4,
      O => I_DDR_CTLR_FPGA_LAC_CLK90_BYNOT
    );
  I_DDR_CTLR_FPGA_LAC_CLK90_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_FPGA_LAC_CLK90_CLKNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_LAC8 : X_FF
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK90_BYNOT,
      CLK => I_DDR_CTLR_FPGA_LAC_CLK90_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_FPGA_LAC_CLK90
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE_38 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_4_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_5_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_5_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(5)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(10),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(10)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(11),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(11)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_1_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_LAC_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_1_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_1_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(0),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_1_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_FIRST_LAC : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_1_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_1 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_1_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE_39 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_6_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_7_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_7_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(7)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(12),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(12)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(13),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(13)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(20),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(20)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(21),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_21_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(21)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE_40 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_8_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(8)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_9_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_9_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(9)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(14),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(14)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(15),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(15)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(22),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(22)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(23),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_23_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(23)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(30),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(30)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(31),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_31_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(31)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(16),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(16)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(17),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_17_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(17)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(24),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(24)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(25),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_25_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(25)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_33_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_33_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_32_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(32),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_33_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(32)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_33_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(33),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_33_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(33)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_41_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_41_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_40_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(40),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_41_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(40)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_41_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(41),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_41_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(41)
    );
  I_USER_INT_U_DATA_I_REG_10_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(10)
    );
  I_USER_INT_U_DATA_I_REG_11_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(11)
    );
  I_DDR_CTLR_RCD_END_LOGIC_ONE_41 : X_ONE
    port map (
      O => I_DDR_CTLR_RCD_END_LOGIC_ONE
    );
  I_DDR_CTLR_U_RCD_CNTR_RCD_END_REG : X_SFF
    port map (
      I => I_DDR_CTLR_RCD_END_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_LD_RCD,
      O => I_DDR_CTLR_RCD_END
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(18),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(18)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(19),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_19_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(19)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(26),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(26)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(27),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_27_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(27)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_35_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_35_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_34_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(34),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_35_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(34)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_35_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(35),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_35_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(35)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_43_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_43_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_42_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(42),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_43_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(42)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_43_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(43),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_43_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(43)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_51_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_51_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_50_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(50),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_51_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(50)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_51_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(51),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_51_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(51)
    );
  I_USER_INT_U_DATA_I_REG_12_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(12)
    );
  I_USER_INT_U_DATA_I_REG_13_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(13)
    );
  U_DATA_I_20_LOGIC_ONE_42 : X_ONE
    port map (
      O => U_DATA_I_20_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_20_Q : X_SFF
    port map (
      I => U_DATA_I_20_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(4),
      O => U_DATA_I(20)
    );
  U_DATA_I_21_LOGIC_ONE_43 : X_ONE
    port map (
      O => U_DATA_I_21_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_21_Q : X_SFF
    port map (
      I => U_DATA_I_21_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(5),
      O => U_DATA_I(21)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(28),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(28)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(29),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_29_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(29)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_37_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_37_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_36_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(36),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_37_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(36)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_37_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(37),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_37_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(37)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_45_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_45_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_44_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(44),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_45_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(44)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_45_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(45),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_45_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(45)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_53_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_53_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_52_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(52),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_53_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(52)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_53_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(53),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_53_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(53)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_61_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_61_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_60_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(60),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_61_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(60)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_61_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(61),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_61_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(61)
    );
  I_USER_INT_U_DATA_I_REG_14_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(14)
    );
  I_USER_INT_U_DATA_I_REG_15_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(15)
    );
  U_DATA_I_22_LOGIC_ONE_44 : X_ONE
    port map (
      O => U_DATA_I_22_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_22_Q : X_SFF
    port map (
      I => U_DATA_I_22_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(6),
      O => U_DATA_I(22)
    );
  U_DATA_I_30_LOGIC_ONE_45 : X_ONE
    port map (
      O => U_DATA_I_30_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_30_Q : X_SFF
    port map (
      I => U_DATA_I_30_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(14),
      O => U_DATA_I(30)
    );
  U_DATA_I_23_LOGIC_ONE_46 : X_ONE
    port map (
      O => U_DATA_I_23_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_23_Q : X_SFF
    port map (
      I => U_DATA_I_23_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(7),
      O => U_DATA_I(23)
    );
  U_DATA_I_31_LOGIC_ONE_47 : X_ONE
    port map (
      O => U_DATA_I_31_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_31_Q : X_SFF
    port map (
      I => U_DATA_I_31_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(15),
      O => U_DATA_I(31)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_39_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_39_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_38_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(38),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_39_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(38)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_39_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(39),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_39_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(39)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_47_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_47_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_46_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(46),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_47_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(46)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_47_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(47),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_47_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(47)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_55_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_55_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_54_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(54),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_55_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(54)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_55_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(55),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_55_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(55)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_63_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_63_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_62_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(62),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_63_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(62)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_63_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(63),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_63_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(63)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_71_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_71_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_70_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(70),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_71_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(70)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_71_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(71),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_71_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(71)
    );
  U_DATA_I_16_LOGIC_ONE_48 : X_ONE
    port map (
      O => U_DATA_I_16_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_16_Q : X_SFF
    port map (
      I => U_DATA_I_16_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(0),
      O => U_DATA_I(16)
    );
  U_DATA_I_24_LOGIC_ONE_49 : X_ONE
    port map (
      O => U_DATA_I_24_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_24_Q : X_SFF
    port map (
      I => U_DATA_I_24_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(8),
      O => U_DATA_I(24)
    );
  I_USER_INT_U_DATA_I_REG_32_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(32)
    );
  I_USER_INT_U_DATA_I_REG_33_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(33)
    );
  I_USER_INT_U_DATA_I_REG_40_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(40)
    );
  I_USER_INT_U_DATA_I_REG_41_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(41)
    );
  U_DATA_I_17_LOGIC_ONE_50 : X_ONE
    port map (
      O => U_DATA_I_17_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_17_Q : X_SFF
    port map (
      I => U_DATA_I_17_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(1),
      O => U_DATA_I(17)
    );
  U_DATA_I_25_LOGIC_ONE_51 : X_ONE
    port map (
      O => U_DATA_I_25_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_25_Q : X_SFF
    port map (
      I => U_DATA_I_25_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(9),
      O => U_DATA_I(25)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_49_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_49_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_48_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(48),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_49_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(48)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_49_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(49),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_49_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(49)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_57_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_57_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_56_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(56),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_57_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(56)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_57_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(57),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_57_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(57)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_65_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_65_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_64_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(64),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_65_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(64)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_65_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(65),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_65_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(65)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_73_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_73_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_72_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(72),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_73_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(72)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_73_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(73),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_73_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(73)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_81_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_81_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_80_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(80),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_81_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(80)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_81_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(81),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_81_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(81)
    );
  U_DATA_I_18_LOGIC_ONE_52 : X_ONE
    port map (
      O => U_DATA_I_18_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_18_Q : X_SFF
    port map (
      I => U_DATA_I_18_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(2),
      O => U_DATA_I(18)
    );
  U_DATA_I_26_LOGIC_ONE_53 : X_ONE
    port map (
      O => U_DATA_I_26_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_26_Q : X_SFF
    port map (
      I => U_DATA_I_26_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(10),
      O => U_DATA_I(26)
    );
  I_USER_INT_U_DATA_I_REG_34_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(34)
    );
  I_USER_INT_U_DATA_I_REG_35_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(35)
    );
  I_USER_INT_U_DATA_I_REG_42_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(42)
    );
  I_USER_INT_U_DATA_I_REG_43_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(43)
    );
  U_DATA_I_50_LOGIC_ONE_54 : X_ONE
    port map (
      O => U_DATA_I_50_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_50_Q : X_SFF
    port map (
      I => U_DATA_I_50_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(10),
      O => U_DATA_I(50)
    );
  U_DATA_I_19_LOGIC_ONE_55 : X_ONE
    port map (
      O => U_DATA_I_19_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_19_Q : X_SFF
    port map (
      I => U_DATA_I_19_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(3),
      O => U_DATA_I(19)
    );
  U_DATA_I_27_LOGIC_ONE_56 : X_ONE
    port map (
      O => U_DATA_I_27_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_27_Q : X_SFF
    port map (
      I => U_DATA_I_27_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(11),
      O => U_DATA_I(27)
    );
  U_DATA_I_51_LOGIC_ONE_57 : X_ONE
    port map (
      O => U_DATA_I_51_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_51_Q : X_SFF
    port map (
      I => U_DATA_I_51_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(11),
      O => U_DATA_I(51)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_59_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_59_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_58_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(58),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_59_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(58)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_59_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(59),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_59_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(59)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_67_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_67_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_66_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(66),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_67_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(66)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_67_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(67),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_67_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(67)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_75_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_75_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_74_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(74),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_75_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(74)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_75_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(75),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_75_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(75)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_83_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_83_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_82_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(82),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_83_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(82)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_83_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(83),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_83_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(83)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_91_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_91_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_90_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(90),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_91_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(90)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_91_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(91),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_91_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(91)
    );
  U_DATA_I_28_LOGIC_ONE_58 : X_ONE
    port map (
      O => U_DATA_I_28_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_28_Q : X_SFF
    port map (
      I => U_DATA_I_28_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(12),
      O => U_DATA_I(28)
    );
  I_USER_INT_U_DATA_I_REG_36_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(36)
    );
  I_USER_INT_U_DATA_I_REG_37_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(37)
    );
  I_USER_INT_U_DATA_I_REG_44_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(44)
    );
  I_USER_INT_U_DATA_I_REG_45_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(45)
    );
  U_DATA_I_52_LOGIC_ONE_59 : X_ONE
    port map (
      O => U_DATA_I_52_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_52_Q : X_SFF
    port map (
      I => U_DATA_I_52_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(12),
      O => U_DATA_I(52)
    );
  U_DATA_I_60_LOGIC_ONE_60 : X_ONE
    port map (
      O => U_DATA_I_60_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_60_Q : X_SFF
    port map (
      I => U_DATA_I_60_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(4),
      O => U_DATA_I(60)
    );
  U_DATA_I_29_LOGIC_ONE_61 : X_ONE
    port map (
      O => U_DATA_I_29_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_29_Q : X_SFF
    port map (
      I => U_DATA_I_29_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(13),
      O => U_DATA_I(29)
    );
  U_DATA_I_53_LOGIC_ONE_62 : X_ONE
    port map (
      O => U_DATA_I_53_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_53_Q : X_SFF
    port map (
      I => U_DATA_I_53_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(13),
      O => U_DATA_I(53)
    );
  U_DATA_I_61_LOGIC_ONE_63 : X_ONE
    port map (
      O => U_DATA_I_61_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_61_Q : X_SFF
    port map (
      I => U_DATA_I_61_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(5),
      O => U_DATA_I(61)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_69_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_69_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_68_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(68),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_69_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(68)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_69_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(69),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_69_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(69)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_77_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_77_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_76_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(76),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_77_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(76)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_77_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(77),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_77_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(77)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_85_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_85_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_84_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(84),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_85_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(84)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_85_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(85),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_85_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(85)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_93_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_93_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_92_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(92),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_93_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(92)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_93_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(93),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_93_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(93)
    );
  I_USER_INT_U_DATA_I_REG_38_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(38)
    );
  I_USER_INT_U_DATA_I_REG_39_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(39)
    );
  I_USER_INT_U_DATA_I_REG_46_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(46)
    );
  I_USER_INT_U_DATA_I_REG_47_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(47)
    );
  U_DATA_I_54_LOGIC_ONE_64 : X_ONE
    port map (
      O => U_DATA_I_54_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_54_Q : X_SFF
    port map (
      I => U_DATA_I_54_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(14),
      O => U_DATA_I(54)
    );
  U_DATA_I_62_LOGIC_ONE_65 : X_ONE
    port map (
      O => U_DATA_I_62_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_62_Q : X_SFF
    port map (
      I => U_DATA_I_62_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(6),
      O => U_DATA_I(62)
    );
  U_DATA_I_70_LOGIC_ONE_66 : X_ONE
    port map (
      O => U_DATA_I_70_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_70_Q : X_SFF
    port map (
      I => U_DATA_I_70_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(6),
      O => U_DATA_I(70)
    );
  U_DATA_I_55_LOGIC_ONE_67 : X_ONE
    port map (
      O => U_DATA_I_55_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_55_Q : X_SFF
    port map (
      I => U_DATA_I_55_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(15),
      O => U_DATA_I(55)
    );
  U_DATA_I_63_LOGIC_ONE_68 : X_ONE
    port map (
      O => U_DATA_I_63_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_63_Q : X_SFF
    port map (
      I => U_DATA_I_63_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(7),
      O => U_DATA_I(63)
    );
  U_DATA_I_71_LOGIC_ONE_69 : X_ONE
    port map (
      O => U_DATA_I_71_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_71_Q : X_SFF
    port map (
      I => U_DATA_I_71_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(7),
      O => U_DATA_I(71)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_79_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_79_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_78_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(78),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_79_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(78)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_79_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(79),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_79_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(79)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_87_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_87_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_86_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(86),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_87_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(86)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_87_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(87),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_87_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(87)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_95_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_95_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_94_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(94),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_95_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(94)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_95_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(95),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_95_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(95)
    );
  U_DATA_I_48_LOGIC_ONE_70 : X_ONE
    port map (
      O => U_DATA_I_48_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_48_Q : X_SFF
    port map (
      I => U_DATA_I_48_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(8),
      O => U_DATA_I(48)
    );
  U_DATA_I_56_LOGIC_ONE_71 : X_ONE
    port map (
      O => U_DATA_I_56_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_56_Q : X_SFF
    port map (
      I => U_DATA_I_56_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(0),
      O => U_DATA_I(56)
    );
  U_DATA_I_64_LOGIC_ONE_72 : X_ONE
    port map (
      O => U_DATA_I_64_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_64_Q : X_SFF
    port map (
      I => U_DATA_I_64_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(0),
      O => U_DATA_I(64)
    );
  U_DATA_I_72_LOGIC_ONE_73 : X_ONE
    port map (
      O => U_DATA_I_72_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_72_Q : X_SFF
    port map (
      I => U_DATA_I_72_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(8),
      O => U_DATA_I(72)
    );
  I_USER_INT_U_DATA_I_REG_80_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(80)
    );
  I_USER_INT_U_DATA_I_REG_81_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(81)
    );
  U_DATA_I_49_LOGIC_ONE_74 : X_ONE
    port map (
      O => U_DATA_I_49_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_49_Q : X_SFF
    port map (
      I => U_DATA_I_49_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(9),
      O => U_DATA_I(49)
    );
  U_DATA_I_57_LOGIC_ONE_75 : X_ONE
    port map (
      O => U_DATA_I_57_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_57_Q : X_SFF
    port map (
      I => U_DATA_I_57_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(1),
      O => U_DATA_I(57)
    );
  U_DATA_I_65_LOGIC_ONE_76 : X_ONE
    port map (
      O => U_DATA_I_65_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_65_Q : X_SFF
    port map (
      I => U_DATA_I_65_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(1),
      O => U_DATA_I(65)
    );
  U_DATA_I_73_LOGIC_ONE_77 : X_ONE
    port map (
      O => U_DATA_I_73_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_73_Q : X_SFF
    port map (
      I => U_DATA_I_73_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(9),
      O => U_DATA_I(73)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_89_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_89_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_88_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(88),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_89_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(88)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_89_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(89),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_89_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(89)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_97_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_97_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_96_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(96),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_97_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(96)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_97_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(97),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_97_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(97)
    );
  U_DATA_I_58_LOGIC_ONE_78 : X_ONE
    port map (
      O => U_DATA_I_58_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_58_Q : X_SFF
    port map (
      I => U_DATA_I_58_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(2),
      O => U_DATA_I(58)
    );
  U_DATA_I_66_LOGIC_ONE_79 : X_ONE
    port map (
      O => U_DATA_I_66_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_66_Q : X_SFF
    port map (
      I => U_DATA_I_66_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(2),
      O => U_DATA_I(66)
    );
  U_DATA_I_74_LOGIC_ONE_80 : X_ONE
    port map (
      O => U_DATA_I_74_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_74_Q : X_SFF
    port map (
      I => U_DATA_I_74_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(10),
      O => U_DATA_I(74)
    );
  I_USER_INT_U_DATA_I_REG_82_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(82)
    );
  I_USER_INT_U_DATA_I_REG_83_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(83)
    );
  I_USER_INT_U_DATA_I_REG_90_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(90)
    );
  I_USER_INT_U_DATA_I_REG_91_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(91)
    );
  U_DATA_I_59_LOGIC_ONE_81 : X_ONE
    port map (
      O => U_DATA_I_59_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_59_Q : X_SFF
    port map (
      I => U_DATA_I_59_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(3),
      O => U_DATA_I(59)
    );
  U_DATA_I_67_LOGIC_ONE_82 : X_ONE
    port map (
      O => U_DATA_I_67_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_67_Q : X_SFF
    port map (
      I => U_DATA_I_67_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(3),
      O => U_DATA_I(67)
    );
  U_DATA_I_75_LOGIC_ONE_83 : X_ONE
    port map (
      O => U_DATA_I_75_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_75_Q : X_SFF
    port map (
      I => U_DATA_I_75_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(11),
      O => U_DATA_I(75)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_99_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_99_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_98_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(98),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_99_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(98)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_99_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(99),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_99_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(99)
    );
  U_DATA_I_68_LOGIC_ONE_84 : X_ONE
    port map (
      O => U_DATA_I_68_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_68_Q : X_SFF
    port map (
      I => U_DATA_I_68_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(4),
      O => U_DATA_I(68)
    );
  U_DATA_I_76_LOGIC_ONE_85 : X_ONE
    port map (
      O => U_DATA_I_76_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_76_Q : X_SFF
    port map (
      I => U_DATA_I_76_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(12),
      O => U_DATA_I(76)
    );
  I_USER_INT_U_DATA_I_REG_84_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(84)
    );
  I_USER_INT_U_DATA_I_REG_85_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(85)
    );
  I_USER_INT_U_DATA_I_REG_92_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(92)
    );
  I_USER_INT_U_DATA_I_REG_93_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(93)
    );
  U_DATA_I_69_LOGIC_ONE_86 : X_ONE
    port map (
      O => U_DATA_I_69_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_69_Q : X_SFF
    port map (
      I => U_DATA_I_69_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(5),
      O => U_DATA_I(69)
    );
  U_DATA_I_77_LOGIC_ONE_87 : X_ONE
    port map (
      O => U_DATA_I_77_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_77_Q : X_SFF
    port map (
      I => U_DATA_I_77_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(13),
      O => U_DATA_I(77)
    );
  U_DATA_I_78_LOGIC_ONE_88 : X_ONE
    port map (
      O => U_DATA_I_78_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_78_Q : X_SFF
    port map (
      I => U_DATA_I_78_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(14),
      O => U_DATA_I(78)
    );
  I_USER_INT_U_DATA_I_REG_86_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(86)
    );
  I_USER_INT_U_DATA_I_REG_87_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(87)
    );
  I_USER_INT_U_DATA_I_REG_94_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(94)
    );
  I_USER_INT_U_DATA_I_REG_95_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(95)
    );
  U_DATA_I_79_LOGIC_ONE_89 : X_ONE
    port map (
      O => U_DATA_I_79_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_79_Q : X_SFF
    port map (
      I => U_DATA_I_79_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(15),
      O => U_DATA_I(79)
    );
  I_USER_INT_U_DATA_I_REG_88_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(88)
    );
  I_USER_INT_U_DATA_I_REG_89_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(89)
    );
  U_DATA_I_96_LOGIC_ONE_90 : X_ONE
    port map (
      O => U_DATA_I_96_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_96_Q : X_SFF
    port map (
      I => U_DATA_I_96_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(8),
      O => U_DATA_I(96)
    );
  U_DATA_I_97_LOGIC_ONE_91 : X_ONE
    port map (
      O => U_DATA_I_97_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_97_Q : X_SFF
    port map (
      I => U_DATA_I_97_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(9),
      O => U_DATA_I(97)
    );
  U_DATA_I_98_LOGIC_ONE_92 : X_ONE
    port map (
      O => U_DATA_I_98_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_98_Q : X_SFF
    port map (
      I => U_DATA_I_98_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(10),
      O => U_DATA_I(98)
    );
  U_DATA_I_99_LOGIC_ONE_93 : X_ONE
    port map (
      O => U_DATA_I_99_LOGIC_ONE
    );
  I_USER_INT_U_DATA_I_REG_99_Q : X_SFF
    port map (
      I => U_DATA_I_99_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_USER_INT_SYS_DATA_I_PAD(11),
      O => U_DATA_I(99)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(7)
    );
  I_USER_INT_U_DATA_I_REG_0_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(0)
    );
  I_USER_INT_U_DATA_I_REG_1_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(9)
    );
  I_USER_INT_U_DATA_I_REG_2_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(2)
    );
  I_USER_INT_U_DATA_I_REG_3_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(3)
    );
  I_USER_INT_U_DATA_I_REG_4_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(4)
    );
  I_USER_INT_U_DATA_I_REG_5_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(5)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_LOGIC_ONE_94 : X_ONE
    port map (
      O => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_LOGIC_ONE
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_CONTROLLER_N_154,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(1)
    );
  I_USER_INT_U_DATA_I_REG_6_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(6)
    );
  I_USER_INT_U_DATA_I_REG_7_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(3)
    );
  I_USER_INT_U_DATA_I_REG_8_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(8)
    );
  I_USER_INT_U_DATA_I_REG_9_Q : X_FF
    port map (
      I => I_USER_INT_SYS_DATA_I_PAD(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_100_Q : X_FF
    port map (
      I => U_DATA_I(100),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(100)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_101_Q : X_FF
    port map (
      I => U_DATA_I(101),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(101)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_102_Q : X_FF
    port map (
      I => U_DATA_I(102),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(102)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_103_Q : X_FF
    port map (
      I => U_DATA_I(103),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(103)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_110_Q : X_FF
    port map (
      I => U_DATA_I(110),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(110)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_111_Q : X_FF
    port map (
      I => U_DATA_I(111),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(111)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_104_Q : X_FF
    port map (
      I => U_DATA_I(104),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(104)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_105_Q : X_FF
    port map (
      I => U_DATA_I(105),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(105)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_112_Q : X_FF
    port map (
      I => U_DATA_I(112),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(112)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_113_Q : X_FF
    port map (
      I => U_DATA_I(113),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(113)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_120_Q : X_FF
    port map (
      I => U_DATA_I(120),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(120)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_121_Q : X_FF
    port map (
      I => U_DATA_I(121),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(121)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_106_Q : X_FF
    port map (
      I => U_DATA_I(106),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(106)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_107_Q : X_FF
    port map (
      I => U_DATA_I(107),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(107)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_114_Q : X_FF
    port map (
      I => U_DATA_I(114),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(114)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_115_Q : X_FF
    port map (
      I => U_DATA_I(115),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(115)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_122_Q : X_FF
    port map (
      I => U_DATA_I(122),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(122)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_123_Q : X_FF
    port map (
      I => U_DATA_I(123),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(123)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_100_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(100),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(100)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_101_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(101),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(101)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_108_Q : X_FF
    port map (
      I => U_DATA_I(108),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(108)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_109_Q : X_FF
    port map (
      I => U_DATA_I(109),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(109)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_116_Q : X_FF
    port map (
      I => U_DATA_I(116),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(116)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_117_Q : X_FF
    port map (
      I => U_DATA_I(117),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(117)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_124_Q : X_FF
    port map (
      I => U_DATA_I(124),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(124)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_125_Q : X_FF
    port map (
      I => U_DATA_I(125),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(125)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_102_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(102),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(102)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_103_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(103),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(103)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_110_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(110),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(110)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_111_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(111),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(111)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_118_Q : X_FF
    port map (
      I => U_DATA_I(118),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(118)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_119_Q : X_FF
    port map (
      I => U_DATA_I(119),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(119)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_126_Q : X_FF
    port map (
      I => U_DATA_I(126),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(126)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_127_Q : X_FF
    port map (
      I => U_DATA_I(127),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(127)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_104_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(104),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(104)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_105_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(105),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(105)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_112_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(112),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(112)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_113_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(113),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(113)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_120_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(120),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(120)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_121_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(121),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(121)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_10_Q : X_FF
    port map (
      I => U_DATA_I(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_11_Q : X_FF
    port map (
      I => U_DATA_I(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_106_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(106),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(106)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_107_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(107),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(107)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_114_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(114),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(114)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_115_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(115),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(115)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_122_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(122),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(122)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_123_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(123),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(123)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_12_Q : X_FF
    port map (
      I => U_DATA_I(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_13_Q : X_FF
    port map (
      I => U_DATA_I(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_20_Q : X_FF
    port map (
      I => U_DATA_I(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_21_Q : X_FF
    port map (
      I => U_DATA_I(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_100_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(100),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(100)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_101_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(101),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(101)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_108_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(108),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(108)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_109_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(109),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(109)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_116_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(116),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(116)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_117_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(117),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(117)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_124_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(124),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(124)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_125_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(125),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(125)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_14_Q : X_FF
    port map (
      I => U_DATA_I(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_15_Q : X_FF
    port map (
      I => U_DATA_I(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_22_Q : X_FF
    port map (
      I => U_DATA_I(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_23_Q : X_FF
    port map (
      I => U_DATA_I(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_30_Q : X_FF
    port map (
      I => U_DATA_I(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_31_Q : X_FF
    port map (
      I => U_DATA_I(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_102_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(102),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(102)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_103_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(103),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(103)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_110_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(110),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(110)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_111_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(111),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(111)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_118_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(118),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(118)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_119_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(119),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(119)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_126_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(126),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(126)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3_REG_127_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(127),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(127)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_16_Q : X_FF
    port map (
      I => U_DATA_I(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_17_Q : X_FF
    port map (
      I => U_DATA_I(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_24_Q : X_FF
    port map (
      I => U_DATA_I(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_25_Q : X_FF
    port map (
      I => U_DATA_I(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_32_Q : X_FF
    port map (
      I => U_DATA_I(32),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(32)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_33_Q : X_FF
    port map (
      I => U_DATA_I(33),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(33)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_40_Q : X_FF
    port map (
      I => U_DATA_I(40),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(40)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_41_Q : X_FF
    port map (
      I => U_DATA_I(41),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(41)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_104_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(104),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(104)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_105_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(105),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(105)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_112_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(112),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(112)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_113_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(113),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(113)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_120_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(120),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(120)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_121_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(121),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(121)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_18_Q : X_FF
    port map (
      I => U_DATA_I(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_19_Q : X_FF
    port map (
      I => U_DATA_I(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_26_Q : X_FF
    port map (
      I => U_DATA_I(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_27_Q : X_FF
    port map (
      I => U_DATA_I(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_34_Q : X_FF
    port map (
      I => U_DATA_I(34),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(34)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_35_Q : X_FF
    port map (
      I => U_DATA_I(35),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(35)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_42_Q : X_FF
    port map (
      I => U_DATA_I(42),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(42)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_43_Q : X_FF
    port map (
      I => U_DATA_I(43),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(43)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_50_Q : X_FF
    port map (
      I => U_DATA_I(50),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(50)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_51_Q : X_FF
    port map (
      I => U_DATA_I(51),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(51)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_106_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(106),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(106)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_107_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(107),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(107)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_114_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(114),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(114)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_115_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(115),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(115)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_122_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(122),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(122)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_123_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(123),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(123)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_28_Q : X_FF
    port map (
      I => U_DATA_I(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_29_Q : X_FF
    port map (
      I => U_DATA_I(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_36_Q : X_FF
    port map (
      I => U_DATA_I(36),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(36)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_37_Q : X_FF
    port map (
      I => U_DATA_I(37),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(37)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_44_Q : X_FF
    port map (
      I => U_DATA_I(44),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(44)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_45_Q : X_FF
    port map (
      I => U_DATA_I(45),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(45)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_52_Q : X_FF
    port map (
      I => U_DATA_I(52),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(52)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_53_Q : X_FF
    port map (
      I => U_DATA_I(53),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(53)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_60_Q : X_FF
    port map (
      I => U_DATA_I(60),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(60)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_61_Q : X_FF
    port map (
      I => U_DATA_I(61),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(61)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_108_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(108),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(108)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_109_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(109),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(109)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_116_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(116),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(116)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_117_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(117),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(117)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_124_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(124),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(124)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_125_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(125),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(125)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_38_Q : X_FF
    port map (
      I => U_DATA_I(38),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(38)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_39_Q : X_FF
    port map (
      I => U_DATA_I(39),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(39)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_46_Q : X_FF
    port map (
      I => U_DATA_I(46),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(46)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_47_Q : X_FF
    port map (
      I => U_DATA_I(47),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(47)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_54_Q : X_FF
    port map (
      I => U_DATA_I(54),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(54)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_55_Q : X_FF
    port map (
      I => U_DATA_I(55),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(55)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_62_Q : X_FF
    port map (
      I => U_DATA_I(62),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(62)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_63_Q : X_FF
    port map (
      I => U_DATA_I(63),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(63)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_70_Q : X_FF
    port map (
      I => U_DATA_I(70),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(70)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_71_Q : X_FF
    port map (
      I => U_DATA_I(71),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(71)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_118_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(118),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(118)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_119_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(119),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(119)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_126_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(126),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(126)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_127_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(127),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(127)
    );
  DDR_AD_8_KEEPER_95 : X_KEEPER
    port map (
      O => DDR_AD_8_KEEPER
    );
  DDR_AD_8_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_8_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(8),
      O => DDR_AD(8),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(8),
      CLK => DDR_AD_8_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_8_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(8)
    );
  DDR_AD_8_OFF_ASYNC_FF_GSR_OR_96 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_8_OFF_ASYNC_FF_GSR_OR
    );
  I_USER_INT_U_CMD_3 : X_BUF
    port map (
      I => SYS_CMD(3),
      O => I_USER_INT_SYS_CMD_PAD(3)
    );
  SYS_CMD_3_KEEPER_97 : X_KEEPER
    port map (
      O => SYS_CMD_3_KEEPER
    );
  I_USER_INT_U_CMD_REG_3_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(3)
    );
  DDR_DQ_56_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(56),
      O => DDR_DQ_56_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_56_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(56),
      O => DDR_DQ(56),
      CTL => DDR_DQ_56_OUTBUF_GTS_AND
    );
  DDR_DQ_56_KEEPER_98 : X_KEEPER
    port map (
      O => DDR_DQ_56_KEEPER
    );
  DDR_DQ_56_OUTBUF_GTS_AND_99 : X_AND2
    port map (
      I0 => DDR_DQ_56_ENABLE,
      I1 => DDR_DQ_56_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_56_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_56_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(56),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(56)
    );
  DDR_DQ_48_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(48),
      O => DDR_DQ_48_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_48_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(48),
      O => DDR_DQ(48),
      CTL => DDR_DQ_48_OUTBUF_GTS_AND
    );
  DDR_DQ_48_KEEPER_100 : X_KEEPER
    port map (
      O => DDR_DQ_48_KEEPER
    );
  DDR_DQ_48_OUTBUF_GTS_AND_101 : X_AND2
    port map (
      I0 => DDR_DQ_48_ENABLE,
      I1 => DDR_DQ_48_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_48_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_48_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(48),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(48)
    );
  DDR_AD_9_KEEPER_102 : X_KEEPER
    port map (
      O => DDR_AD_9_KEEPER
    );
  DDR_AD_9_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_9_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(9),
      O => DDR_AD(9),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(9),
      CLK => DDR_AD_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_9_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(9)
    );
  DDR_AD_9_OFF_ASYNC_FF_GSR_OR_103 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_9_OFF_ASYNC_FF_GSR_OR
    );
  I_USER_INT_U_CMD_4 : X_BUF
    port map (
      I => SYS_CMD(4),
      O => I_USER_INT_SYS_CMD_PAD(4)
    );
  SYS_CMD_4_KEEPER_104 : X_KEEPER
    port map (
      O => SYS_CMD_4_KEEPER
    );
  I_USER_INT_U_CMD_REG_4_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(4)
    );
  DDR_DQ_49_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(49),
      O => DDR_DQ_49_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_49_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(49),
      O => DDR_DQ(49),
      CTL => DDR_DQ_49_OUTBUF_GTS_AND
    );
  DDR_DQ_49_KEEPER_105 : X_KEEPER
    port map (
      O => DDR_DQ_49_KEEPER
    );
  DDR_DQ_49_OUTBUF_GTS_AND_106 : X_AND2
    port map (
      I0 => DDR_DQ_49_ENABLE,
      I1 => DDR_DQ_49_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_49_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_49_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(49),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(49)
    );
  DDR_DQ_57_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(57),
      O => DDR_DQ_57_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_57_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(57),
      O => DDR_DQ(57),
      CTL => DDR_DQ_57_OUTBUF_GTS_AND
    );
  DDR_DQ_57_KEEPER_107 : X_KEEPER
    port map (
      O => DDR_DQ_57_KEEPER
    );
  DDR_DQ_57_OUTBUF_GTS_AND_108 : X_AND2
    port map (
      I0 => DDR_DQ_57_ENABLE,
      I1 => DDR_DQ_57_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_57_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_57_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(57),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(57)
    );
  I_USER_INT_U_ADDR_0 : X_BUF
    port map (
      I => SYS_ADDR(0),
      O => I_USER_INT_SYS_ADDR_PAD(0)
    );
  SYS_ADDR_0_KEEPER_109 : X_KEEPER
    port map (
      O => SYS_ADDR_0_KEEPER
    );
  I_USER_INT_U_ADDR_REG_0_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(0)
    );
  I_USER_INT_U_CMD_5 : X_BUF
    port map (
      I => SYS_CMD(5),
      O => I_USER_INT_SYS_CMD_PAD(5)
    );
  SYS_CMD_5_KEEPER_110 : X_KEEPER
    port map (
      O => SYS_CMD_5_KEEPER
    );
  I_USER_INT_U_CMD_REG_5_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(5)
    );
  DDR_DQ_58_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(58),
      O => DDR_DQ_58_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_58_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(58),
      O => DDR_DQ(58),
      CTL => DDR_DQ_58_OUTBUF_GTS_AND
    );
  DDR_DQ_58_KEEPER_111 : X_KEEPER
    port map (
      O => DDR_DQ_58_KEEPER
    );
  DDR_DQ_58_OUTBUF_GTS_AND_112 : X_AND2
    port map (
      I0 => DDR_DQ_58_ENABLE,
      I1 => DDR_DQ_58_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_58_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_58_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(58),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(58)
    );
  DDR_RASB_KEEPER_113 : X_KEEPER
    port map (
      O => DDR_RASB_KEEPER
    );
  DDR_RASB_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_RASB_CLKNOT
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS : X_TRI
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O,
      O => DDR_RASB,
      CTL => I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O_P1,
      CLK => DDR_RASB_CLKNOT,
      CE => VCC,
      SET => DDR_RASB_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_RASB_O
    );
  DDR_RASB_OFF_SETOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET1,
      O => DDR_RASB_OFF_SET
    );
  DDR_RASB_OFF_ASYNC_FF_GSR_OR_114 : X_OR2
    port map (
      I0 => DDR_RASB_OFF_SET,
      I1 => GSR,
      O => DDR_RASB_OFF_ASYNC_FF_GSR_OR
    );
  I_USER_INT_U_ADDR_1 : X_BUF
    port map (
      I => SYS_ADDR(1),
      O => I_USER_INT_SYS_ADDR_PAD(1)
    );
  SYS_ADDR_1_KEEPER_115 : X_KEEPER
    port map (
      O => SYS_ADDR_1_KEEPER
    );
  I_USER_INT_U_ADDR_REG_1_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(1)
    );
  I_USER_INT_U_CMD_6 : X_BUF
    port map (
      I => SYS_CMD(6),
      O => I_USER_INT_SYS_CMD_PAD(6)
    );
  SYS_CMD_6_KEEPER_116 : X_KEEPER
    port map (
      O => SYS_CMD_6_KEEPER
    );
  I_USER_INT_U_CMD_REG_6_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(6)
    );
  DDR_DQ_59_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(59),
      O => DDR_DQ_59_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_59_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(59),
      O => DDR_DQ(59),
      CTL => DDR_DQ_59_OUTBUF_GTS_AND
    );
  DDR_DQ_59_KEEPER_117 : X_KEEPER
    port map (
      O => DDR_DQ_59_KEEPER
    );
  DDR_DQ_59_OUTBUF_GTS_AND_118 : X_AND2
    port map (
      I0 => DDR_DQ_59_ENABLE,
      I1 => DDR_DQ_59_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_59_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_59_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(59),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(59)
    );
  I_USER_INT_U_ADDR_2 : X_BUF
    port map (
      I => SYS_ADDR(2),
      O => I_USER_INT_SYS_ADDR_PAD(2)
    );
  SYS_ADDR_2_KEEPER_119 : X_KEEPER
    port map (
      O => SYS_ADDR_2_KEEPER
    );
  I_USER_INT_U_ADDR_REG_2_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(2)
    );
  SYS_REF_ACK_KEEPER_120 : X_KEEPER
    port map (
      O => SYS_REF_ACK_KEEPER
    );
  SYS_REF_ACK_OMUX : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_CELL_116_U31_DATA2_0,
      O => SYS_REF_ACK_OD
    );
  SYS_REF_ACK_OCEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => SYS_REF_ACK_OCENOT
    );
  I_USER_INT_U_REF_ACK0 : X_TRI
    port map (
      I => U_REF_ACK,
      O => SYS_REF_ACK,
      CTL => I_USER_INT_U_REF_ACK0_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_U_REF_ACK_REG : X_FF
    port map (
      I => SYS_REF_ACK_OD,
      CLK => FPGA_CLK,
      CE => SYS_REF_ACK_OCENOT,
      SET => GND,
      RST => GSR,
      O => U_REF_ACK
    );
  I_USER_INT_U_ADDR_3 : X_BUF
    port map (
      I => SYS_ADDR(3),
      O => I_USER_INT_SYS_ADDR_PAD(3)
    );
  SYS_ADDR_3_KEEPER_121 : X_KEEPER
    port map (
      O => SYS_ADDR_3_KEEPER
    );
  I_USER_INT_U_ADDR_REG_3_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_0_IBUF : X_BUF
    port map (
      I => DDR_DQ(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(0)
    );
  DDR_DQ_0_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(0),
      O => DDR_DQ_0_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_0_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(0),
      O => DDR_DQ(0),
      CTL => DDR_DQ_0_OUTBUF_GTS_AND
    );
  DDR_DQ_0_KEEPER_122 : X_KEEPER
    port map (
      O => DDR_DQ_0_KEEPER
    );
  DDR_DQ_0_OUTBUF_GTS_AND_123 : X_AND2
    port map (
      I0 => DDR_DQ_0_ENABLE,
      I1 => DDR_DQ_0_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_0_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(0),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(0),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(0)
    );
  I_USER_INT_U_DI_10 : X_BUF
    port map (
      I => SYS_DATA_I(10),
      O => SYS_DATA_I_10_IBUF
    );
  SYS_DATA_I_10_KEEPER_124 : X_KEEPER
    port map (
      O => SYS_DATA_I_10_KEEPER
    );
  SYS_DATA_I_10_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_10_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(10)
    );
  I_USER_INT_U_DATA_I_REG_114_Q : X_FF
    port map (
      I => SYS_DATA_I_10_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(114)
    );
  I_USER_INT_U_ADDR_4 : X_BUF
    port map (
      I => SYS_ADDR(4),
      O => I_USER_INT_SYS_ADDR_PAD(4)
    );
  SYS_ADDR_4_KEEPER_125 : X_KEEPER
    port map (
      O => SYS_ADDR_4_KEEPER
    );
  I_USER_INT_U_ADDR_REG_4_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(4)
    );
  DDR_CASB_KEEPER_126 : X_KEEPER
    port map (
      O => DDR_CASB_KEEPER
    );
  DDR_CASB_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_CASB_CLKNOT
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS : X_TRI
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O,
      O => DDR_CASB,
      CTL => I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O_P1,
      CLK => DDR_CASB_CLKNOT,
      CE => VCC,
      SET => DDR_CASB_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_CASB_O
    );
  DDR_CASB_OFF_SETOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET1,
      O => DDR_CASB_OFF_SET
    );
  DDR_CASB_OFF_ASYNC_FF_GSR_OR_127 : X_OR2
    port map (
      I0 => DDR_CASB_OFF_SET,
      I1 => GSR,
      O => DDR_CASB_OFF_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_1_IBUF : X_BUF
    port map (
      I => DDR_DQ(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(1)
    );
  DDR_DQ_1_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(1),
      O => DDR_DQ_1_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_1_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(1),
      O => DDR_DQ(1),
      CTL => DDR_DQ_1_OUTBUF_GTS_AND
    );
  DDR_DQ_1_KEEPER_128 : X_KEEPER
    port map (
      O => DDR_DQ_1_KEEPER
    );
  DDR_DQ_1_OUTBUF_GTS_AND_129 : X_AND2
    port map (
      I0 => DDR_DQ_1_ENABLE,
      I1 => DDR_DQ_1_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_1_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(1),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(1),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(1)
    );
  I_USER_INT_U_DI_11 : X_BUF
    port map (
      I => SYS_DATA_I(11),
      O => SYS_DATA_I_11_IBUF
    );
  SYS_DATA_I_11_KEEPER_130 : X_KEEPER
    port map (
      O => SYS_DATA_I_11_KEEPER
    );
  SYS_DATA_I_11_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_11_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(11)
    );
  I_USER_INT_U_DATA_I_REG_115_Q : X_FF
    port map (
      I => SYS_DATA_I_11_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(115)
    );
  I_USER_INT_U_ADDR_5 : X_BUF
    port map (
      I => SYS_ADDR(5),
      O => I_USER_INT_SYS_ADDR_PAD(5)
    );
  SYS_ADDR_5_KEEPER_131 : X_KEEPER
    port map (
      O => SYS_ADDR_5_KEEPER
    );
  I_USER_INT_U_ADDR_REG_5_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(5)
    );
  SYS_DATA_O_0_KEEPER_132 : X_KEEPER
    port map (
      O => SYS_DATA_O_0_KEEPER
    );
  I_USER_INT_U_DO_0 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(0),
      O => SYS_DATA_O(0),
      CTL => I_USER_INT_U_DO_0_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_0_Q : X_FF
    port map (
      I => U_DATA_O(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_2_IBUF : X_BUF
    port map (
      I => DDR_DQ(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(2)
    );
  DDR_DQ_2_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(2),
      O => DDR_DQ_2_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_2_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(2),
      O => DDR_DQ(2),
      CTL => DDR_DQ_2_OUTBUF_GTS_AND
    );
  DDR_DQ_2_KEEPER_133 : X_KEEPER
    port map (
      O => DDR_DQ_2_KEEPER
    );
  DDR_DQ_2_OUTBUF_GTS_AND_134 : X_AND2
    port map (
      I0 => DDR_DQ_2_ENABLE,
      I1 => DDR_DQ_2_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_2_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(2),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(2),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(2)
    );
  I_USER_INT_U_DI_12 : X_BUF
    port map (
      I => SYS_DATA_I(12),
      O => SYS_DATA_I_12_IBUF
    );
  SYS_DATA_I_12_KEEPER_135 : X_KEEPER
    port map (
      O => SYS_DATA_I_12_KEEPER
    );
  SYS_DATA_I_12_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_12_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(12)
    );
  I_USER_INT_U_DATA_I_REG_116_Q : X_FF
    port map (
      I => SYS_DATA_I_12_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(116)
    );
  I_USER_INT_U_ADDR_6 : X_BUF
    port map (
      I => SYS_ADDR(6),
      O => I_USER_INT_SYS_ADDR_PAD(6)
    );
  SYS_ADDR_6_KEEPER_136 : X_KEEPER
    port map (
      O => SYS_ADDR_6_KEEPER
    );
  I_USER_INT_U_ADDR_REG_6_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(6)
    );
  SYS_DATA_O_1_KEEPER_137 : X_KEEPER
    port map (
      O => SYS_DATA_O_1_KEEPER
    );
  I_USER_INT_U_DO_1 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(1),
      O => SYS_DATA_O(1),
      CTL => I_USER_INT_U_DO_1_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_1_Q : X_FF
    port map (
      I => U_DATA_O(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_3_IBUF : X_BUF
    port map (
      I => DDR_DQ(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(3)
    );
  DDR_DQ_3_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(3),
      O => DDR_DQ_3_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_3_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(3),
      O => DDR_DQ(3),
      CTL => DDR_DQ_3_OUTBUF_GTS_AND
    );
  DDR_DQ_3_KEEPER_138 : X_KEEPER
    port map (
      O => DDR_DQ_3_KEEPER
    );
  DDR_DQ_3_OUTBUF_GTS_AND_139 : X_AND2
    port map (
      I0 => DDR_DQ_3_ENABLE,
      I1 => DDR_DQ_3_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_3_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(3),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(3),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(3)
    );
  I_USER_INT_U_DI_13 : X_BUF
    port map (
      I => SYS_DATA_I(13),
      O => SYS_DATA_I_13_IBUF
    );
  SYS_DATA_I_13_KEEPER_140 : X_KEEPER
    port map (
      O => SYS_DATA_I_13_KEEPER
    );
  SYS_DATA_I_13_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_13_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(13)
    );
  I_USER_INT_U_DATA_I_REG_117_Q : X_FF
    port map (
      I => SYS_DATA_I_13_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(117)
    );
  DDR_DQS_0_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG(0),
      O => DDR_DQS_0_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS0 : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG(0),
      O => DDR_DQS(0),
      CTL => DDR_DQS_0_OUTBUF_GTS_AND
    );
  DDR_DQS_0_KEEPER_141 : X_KEEPER
    port map (
      O => DDR_DQS_0_KEEPER
    );
  DDR_DQS_0_OCKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => DDR_DQS_0_CLKNOT
    );
  DDR_DQS_0_TCKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => DDR_DQS_0_CLKNOT_0
    );
  DDR_DQS_0_OUTBUF_GTS_AND_142 : X_AND2
    port map (
      I0 => DDR_DQS_0_ENABLE,
      I1 => DDR_DQS_0_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQS_0_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2(0),
      CLK => DDR_DQS_0_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1(0),
      CLK => DDR_DQS_0_CLKNOT_0,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG(0)
    );
  I_USER_INT_U_ADDR_7 : X_BUF
    port map (
      I => SYS_ADDR(7),
      O => I_USER_INT_SYS_ADDR_PAD(7)
    );
  SYS_ADDR_7_KEEPER_143 : X_KEEPER
    port map (
      O => SYS_ADDR_7_KEEPER
    );
  I_USER_INT_U_ADDR_REG_7_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(7)
    );
  SYS_DATA_O_2_KEEPER_144 : X_KEEPER
    port map (
      O => SYS_DATA_O_2_KEEPER
    );
  I_USER_INT_U_DO_2 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(2),
      O => SYS_DATA_O(2),
      CTL => I_USER_INT_U_DO_2_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_2_Q : X_FF
    port map (
      I => U_DATA_O(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_4_IBUF : X_BUF
    port map (
      I => DDR_DQ(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(4)
    );
  DDR_DQ_4_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(4),
      O => DDR_DQ_4_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_4_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(4),
      O => DDR_DQ(4),
      CTL => DDR_DQ_4_OUTBUF_GTS_AND
    );
  DDR_DQ_4_KEEPER_145 : X_KEEPER
    port map (
      O => DDR_DQ_4_KEEPER
    );
  DDR_DQ_4_OUTBUF_GTS_AND_146 : X_AND2
    port map (
      I0 => DDR_DQ_4_ENABLE,
      I1 => DDR_DQ_4_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_4_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(4),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(4),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(4)
    );
  I_USER_INT_U_DI_14 : X_BUF
    port map (
      I => SYS_DATA_I(14),
      O => SYS_DATA_I_14_IBUF
    );
  SYS_DATA_I_14_KEEPER_147 : X_KEEPER
    port map (
      O => SYS_DATA_I_14_KEEPER
    );
  SYS_DATA_I_14_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_14_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(14)
    );
  I_USER_INT_U_DATA_I_REG_118_Q : X_FF
    port map (
      I => SYS_DATA_I_14_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(118)
    );
  DDR_DQS_1_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG(1),
      O => DDR_DQS_1_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS1 : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG(1),
      O => DDR_DQS(1),
      CTL => DDR_DQS_1_OUTBUF_GTS_AND
    );
  DDR_DQS_1_KEEPER_148 : X_KEEPER
    port map (
      O => DDR_DQS_1_KEEPER
    );
  DDR_DQS_1_OCKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => DDR_DQS_1_CLKNOT
    );
  DDR_DQS_1_TCKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => DDR_DQS_1_CLKNOT_1
    );
  DDR_DQS_1_OUTBUF_GTS_AND_149 : X_AND2
    port map (
      I0 => DDR_DQS_1_ENABLE,
      I1 => DDR_DQS_1_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQS_1_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_P2(1),
      CLK => DDR_DQS_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_REG(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_P1(1),
      CLK => DDR_DQS_1_CLKNOT_1,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_T_REG(1)
    );
  I_USER_INT_U_ADDR_8 : X_BUF
    port map (
      I => SYS_ADDR(8),
      O => I_USER_INT_SYS_ADDR_PAD(8)
    );
  SYS_ADDR_8_KEEPER_150 : X_KEEPER
    port map (
      O => SYS_ADDR_8_KEEPER
    );
  I_USER_INT_U_ADDR_REG_8_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(8)
    );
  SYS_DATA_O_3_KEEPER_151 : X_KEEPER
    port map (
      O => SYS_DATA_O_3_KEEPER
    );
  I_USER_INT_U_DO_3 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(3),
      O => SYS_DATA_O(3),
      CTL => I_USER_INT_U_DO_3_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_3_Q : X_FF
    port map (
      I => U_DATA_O(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_5_IBUF : X_BUF
    port map (
      I => DDR_DQ(5),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(5)
    );
  DDR_DQ_5_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(5),
      O => DDR_DQ_5_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_5_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(5),
      O => DDR_DQ(5),
      CTL => DDR_DQ_5_OUTBUF_GTS_AND
    );
  DDR_DQ_5_KEEPER_152 : X_KEEPER
    port map (
      O => DDR_DQ_5_KEEPER
    );
  DDR_DQ_5_OUTBUF_GTS_AND_153 : X_AND2
    port map (
      I0 => DDR_DQ_5_ENABLE,
      I1 => DDR_DQ_5_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_5_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(5),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(5)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(5),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(5)
    );
  I_USER_INT_U_RESET0 : X_BUF
    port map (
      I => SYS_RESET_N,
      O => I_USER_INT_SYS_RESET_N_PAD
    );
  SYS_RESET_N_KEEPER_154 : X_KEEPER
    port map (
      O => SYS_RESET_N_KEEPER
    );
  I_USER_INT_U_RESET_N_REG : X_FF
    port map (
      I => I_USER_INT_SYS_RESET_N_PAD,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_RESET_N
    );
  I_USER_INT_U_DI_15 : X_BUF
    port map (
      I => SYS_DATA_I(15),
      O => SYS_DATA_I_15_IBUF
    );
  SYS_DATA_I_15_KEEPER_155 : X_KEEPER
    port map (
      O => SYS_DATA_I_15_KEEPER
    );
  SYS_DATA_I_15_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_15_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(15)
    );
  I_USER_INT_U_DATA_I_REG_119_Q : X_FF
    port map (
      I => SYS_DATA_I_15_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(119)
    );
  DDR_CKE_KEEPER_156 : X_KEEPER
    port map (
      O => DDR_CKE_KEEPER
    );
  DDR_CKE_LOGIC_ONE_157 : X_ONE
    port map (
      O => DDR_CKE_LOGIC_ONE
    );
  I_DDR_CTLR_O_DDR_CKE : X_TRI
    port map (
      I => DDR_CKE_LOGIC_ONE,
      O => DDR_CKE,
      CTL => I_DDR_CTLR_O_DDR_CKE_2_INV
    );
  I_USER_INT_U_ADDR_9 : X_BUF
    port map (
      I => SYS_ADDR(9),
      O => I_USER_INT_SYS_ADDR_PAD(9)
    );
  SYS_ADDR_9_KEEPER_158 : X_KEEPER
    port map (
      O => SYS_ADDR_9_KEEPER
    );
  I_USER_INT_U_ADDR_REG_9_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(9)
    );
  SYS_DATA_O_4_KEEPER_159 : X_KEEPER
    port map (
      O => SYS_DATA_O_4_KEEPER
    );
  I_USER_INT_U_DO_4 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(4),
      O => SYS_DATA_O(4),
      CTL => I_USER_INT_U_DO_4_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_4_Q : X_FF
    port map (
      I => U_DATA_O(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_6_IBUF : X_BUF
    port map (
      I => DDR_DQ(6),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(6)
    );
  DDR_DQ_6_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(6),
      O => DDR_DQ_6_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_6_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(6),
      O => DDR_DQ(6),
      CTL => DDR_DQ_6_OUTBUF_GTS_AND
    );
  DDR_DQ_6_KEEPER_160 : X_KEEPER
    port map (
      O => DDR_DQ_6_KEEPER
    );
  DDR_DQ_6_OUTBUF_GTS_AND_161 : X_AND2
    port map (
      I0 => DDR_DQ_6_ENABLE,
      I1 => DDR_DQ_6_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_6_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(6),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(6),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(6)
    );
  I_USER_INT_U_ADDR_10 : X_BUF
    port map (
      I => SYS_ADDR(10),
      O => I_USER_INT_SYS_ADDR_PAD(10)
    );
  SYS_ADDR_10_KEEPER_162 : X_KEEPER
    port map (
      O => SYS_ADDR_10_KEEPER
    );
  I_USER_INT_U_ADDR_REG_10_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(10)
    );
  DDR_WEB_KEEPER_163 : X_KEEPER
    port map (
      O => DDR_WEB_KEEPER
    );
  DDR_WEB_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_WEB_CLKNOT
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB : X_TRI
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O,
      O => DDR_WEB,
      CTL => I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB_2_INV
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O_P1,
      CLK => DDR_WEB_CLKNOT,
      CE => VCC,
      SET => DDR_WEB_OFF_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_WEB_O
    );
  DDR_WEB_OFF_SETOR : X_BUF
    port map (
      I => I_DDR_CTLR_CTLR_RESET1,
      O => DDR_WEB_OFF_SET
    );
  DDR_WEB_OFF_ASYNC_FF_GSR_OR_164 : X_OR2
    port map (
      I0 => DDR_WEB_OFF_SET,
      I1 => GSR,
      O => DDR_WEB_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_5_KEEPER_165 : X_KEEPER
    port map (
      O => SYS_DATA_O_5_KEEPER
    );
  I_USER_INT_U_DO_5 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(5),
      O => SYS_DATA_O(5),
      CTL => I_USER_INT_U_DO_5_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_5_Q : X_FF
    port map (
      I => U_DATA_O(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(5)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_7_IBUF : X_BUF
    port map (
      I => DDR_DQ(7),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(7)
    );
  DDR_DQ_7_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(7),
      O => DDR_DQ_7_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_7_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(7),
      O => DDR_DQ(7),
      CTL => DDR_DQ_7_OUTBUF_GTS_AND
    );
  DDR_DQ_7_KEEPER_166 : X_KEEPER
    port map (
      O => DDR_DQ_7_KEEPER
    );
  DDR_DQ_7_OUTBUF_GTS_AND_167 : X_AND2
    port map (
      I0 => DDR_DQ_7_ENABLE,
      I1 => DDR_DQ_7_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_7_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(7),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(7)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(7),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(7)
    );
  I_USER_INT_U_ADDR_11 : X_BUF
    port map (
      I => SYS_ADDR(11),
      O => I_USER_INT_SYS_ADDR_PAD(11)
    );
  SYS_ADDR_11_KEEPER_168 : X_KEEPER
    port map (
      O => SYS_ADDR_11_KEEPER
    );
  I_USER_INT_U_ADDR_REG_11_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(11)
    );
  SYS_DATA_O_6_KEEPER_169 : X_KEEPER
    port map (
      O => SYS_DATA_O_6_KEEPER
    );
  I_USER_INT_U_DO_6 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(6),
      O => SYS_DATA_O(6),
      CTL => I_USER_INT_U_DO_6_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_6_Q : X_FF
    port map (
      I => U_DATA_O(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_8_IBUF : X_BUF
    port map (
      I => DDR_DQ(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(8)
    );
  DDR_DQ_8_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(8),
      O => DDR_DQ_8_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_8_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(8),
      O => DDR_DQ(8),
      CTL => DDR_DQ_8_OUTBUF_GTS_AND
    );
  DDR_DQ_8_KEEPER_170 : X_KEEPER
    port map (
      O => DDR_DQ_8_KEEPER
    );
  DDR_DQ_8_OUTBUF_GTS_AND_171 : X_AND2
    port map (
      I0 => DDR_DQ_8_ENABLE,
      I1 => DDR_DQ_8_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_8_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(8),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(8)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(8),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(8)
    );
  I_USER_INT_U_ADDR_20 : X_BUF
    port map (
      I => SYS_ADDR(20),
      O => I_USER_INT_SYS_ADDR_PAD(20)
    );
  SYS_ADDR_20_KEEPER_172 : X_KEEPER
    port map (
      O => SYS_ADDR_20_KEEPER
    );
  I_USER_INT_U_ADDR_REG_20_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(20)
    );
  I_USER_INT_U_ADDR_12 : X_BUF
    port map (
      I => SYS_ADDR(12),
      O => I_USER_INT_SYS_ADDR_PAD(12)
    );
  SYS_ADDR_12_KEEPER_173 : X_KEEPER
    port map (
      O => SYS_ADDR_12_KEEPER
    );
  I_USER_INT_U_ADDR_REG_12_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(12)
    );
  SYS_DATA_O_7_KEEPER_174 : X_KEEPER
    port map (
      O => SYS_DATA_O_7_KEEPER
    );
  I_USER_INT_U_DO_7 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(7),
      O => SYS_DATA_O(7),
      CTL => I_USER_INT_U_DO_7_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_7_Q : X_FF
    port map (
      I => U_DATA_O(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(7)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_9_IBUF : X_BUF
    port map (
      I => DDR_DQ(9),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(9)
    );
  DDR_DQ_9_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(9),
      O => DDR_DQ_9_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_9_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(9),
      O => DDR_DQ(9),
      CTL => DDR_DQ_9_OUTBUF_GTS_AND
    );
  DDR_DQ_9_KEEPER_175 : X_KEEPER
    port map (
      O => DDR_DQ_9_KEEPER
    );
  DDR_DQ_9_OUTBUF_GTS_AND_176 : X_AND2
    port map (
      I0 => DDR_DQ_9_ENABLE,
      I1 => DDR_DQ_9_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_9_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(9),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(9)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(9),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(9)
    );
  I_USER_INT_U_ADDR_13 : X_BUF
    port map (
      I => SYS_ADDR(13),
      O => I_USER_INT_SYS_ADDR_PAD(13)
    );
  SYS_ADDR_13_KEEPER_177 : X_KEEPER
    port map (
      O => SYS_ADDR_13_KEEPER
    );
  I_USER_INT_U_ADDR_REG_13_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(13)
    );
  I_USER_INT_U_ADDR_21 : X_BUF
    port map (
      I => SYS_ADDR(21),
      O => I_USER_INT_SYS_ADDR_PAD(21)
    );
  SYS_ADDR_21_KEEPER_178 : X_KEEPER
    port map (
      O => SYS_ADDR_21_KEEPER
    );
  I_USER_INT_U_ADDR_REG_21_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(21)
    );
  I_USER_INT_U_DI_0 : X_BUF
    port map (
      I => SYS_DATA_I(0),
      O => SYS_DATA_I_0_IBUF
    );
  SYS_DATA_I_0_KEEPER_179 : X_KEEPER
    port map (
      O => SYS_DATA_I_0_KEEPER
    );
  SYS_DATA_I_0_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_0_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(0)
    );
  I_USER_INT_U_DATA_I_REG_120_Q : X_FF
    port map (
      I => SYS_DATA_I_0_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(120)
    );
  DDR_CLK_KEEPER_180 : X_KEEPER
    port map (
      O => DDR_CLK_KEEPER
    );
  DDR_CLK_OUTMUX_181 : X_BUF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_DDR_CLK_OUT_O,
      O => DDR_CLK_OUTMUX
    );
  I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT : X_TRI
    port map (
      I => DDR_CLK_OUTMUX,
      O => DDR_CLK,
      CTL => I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT_2_INV
    );
  SYS_DATA_O_8_KEEPER_182 : X_KEEPER
    port map (
      O => SYS_DATA_O_8_KEEPER
    );
  I_USER_INT_U_DO_8 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(8),
      O => SYS_DATA_O(8),
      CTL => I_USER_INT_U_DO_8_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_8_Q : X_FF
    port map (
      I => U_DATA_O(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(8)
    );
  I_USER_INT_U_ADDR_14 : X_BUF
    port map (
      I => SYS_ADDR(14),
      O => I_USER_INT_SYS_ADDR_PAD(14)
    );
  SYS_ADDR_14_KEEPER_183 : X_KEEPER
    port map (
      O => SYS_ADDR_14_KEEPER
    );
  I_USER_INT_U_ADDR_REG_14_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(14)
    );
  I_USER_INT_U_DI_1 : X_BUF
    port map (
      I => SYS_DATA_I(1),
      O => SYS_DATA_I_1_IBUF
    );
  SYS_DATA_I_1_KEEPER_184 : X_KEEPER
    port map (
      O => SYS_DATA_I_1_KEEPER
    );
  SYS_DATA_I_1_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_1_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(1)
    );
  I_USER_INT_U_DATA_I_REG_121_Q : X_FF
    port map (
      I => SYS_DATA_I_1_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(121)
    );
  SYS_DATA_O_9_KEEPER_185 : X_KEEPER
    port map (
      O => SYS_DATA_O_9_KEEPER
    );
  I_USER_INT_U_DO_9 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(9),
      O => SYS_DATA_O(9),
      CTL => I_USER_INT_U_DO_9_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_9_Q : X_FF
    port map (
      I => U_DATA_O(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(9)
    );
  I_USER_INT_U_ADDR_15 : X_BUF
    port map (
      I => SYS_ADDR(15),
      O => I_USER_INT_SYS_ADDR_PAD(15)
    );
  SYS_ADDR_15_KEEPER_186 : X_KEEPER
    port map (
      O => SYS_ADDR_15_KEEPER
    );
  I_USER_INT_U_ADDR_REG_15_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(15)
    );
  I_USER_INT_U_DI_2 : X_BUF
    port map (
      I => SYS_DATA_I(2),
      O => SYS_DATA_I_2_IBUF
    );
  SYS_DATA_I_2_KEEPER_187 : X_KEEPER
    port map (
      O => SYS_DATA_I_2_KEEPER
    );
  SYS_DATA_I_2_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_2_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(2)
    );
  I_USER_INT_U_DATA_I_REG_122_Q : X_FF
    port map (
      I => SYS_DATA_I_2_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(122)
    );
  DDR_CSB_KEEPER_188 : X_KEEPER
    port map (
      O => DDR_CSB_KEEPER
    );
  DDR_CSB_LOGIC_ZERO_189 : X_ZERO
    port map (
      O => DDR_CSB_LOGIC_ZERO
    );
  I_DDR_CTLR_O_DDR_CSB : X_TRI
    port map (
      I => DDR_CSB_LOGIC_ZERO,
      O => DDR_CSB,
      CTL => I_DDR_CTLR_O_DDR_CSB_2_INV
    );
  I_USER_INT_U_ADDR_16 : X_BUF
    port map (
      I => SYS_ADDR(16),
      O => I_USER_INT_SYS_ADDR_PAD(16)
    );
  SYS_ADDR_16_KEEPER_190 : X_KEEPER
    port map (
      O => SYS_ADDR_16_KEEPER
    );
  I_USER_INT_U_ADDR_REG_16_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(16)
    );
  I_USER_INT_U_DI_3 : X_BUF
    port map (
      I => SYS_DATA_I(3),
      O => SYS_DATA_I_3_IBUF
    );
  SYS_DATA_I_3_KEEPER_191 : X_KEEPER
    port map (
      O => SYS_DATA_I_3_KEEPER
    );
  SYS_DATA_I_3_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_3_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(3)
    );
  I_USER_INT_U_DATA_I_REG_123_Q : X_FF
    port map (
      I => SYS_DATA_I_3_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(123)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_10_IBUF : X_BUF
    port map (
      I => DDR_DQ(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(10)
    );
  DDR_DQ_10_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(10),
      O => DDR_DQ_10_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_10_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(10),
      O => DDR_DQ(10),
      CTL => DDR_DQ_10_OUTBUF_GTS_AND
    );
  DDR_DQ_10_KEEPER_192 : X_KEEPER
    port map (
      O => DDR_DQ_10_KEEPER
    );
  DDR_DQ_10_OUTBUF_GTS_AND_193 : X_AND2
    port map (
      I0 => DDR_DQ_10_ENABLE,
      I1 => DDR_DQ_10_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_10_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(10),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(10),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(10)
    );
  I_USER_INT_U_ADDR_17 : X_BUF
    port map (
      I => SYS_ADDR(17),
      O => I_USER_INT_SYS_ADDR_PAD(17)
    );
  SYS_ADDR_17_KEEPER_194 : X_KEEPER
    port map (
      O => SYS_ADDR_17_KEEPER
    );
  I_USER_INT_U_ADDR_REG_17_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(17)
    );
  I_USER_INT_U_DI_4 : X_BUF
    port map (
      I => SYS_DATA_I(4),
      O => SYS_DATA_I_4_IBUF
    );
  SYS_DATA_I_4_KEEPER_195 : X_KEEPER
    port map (
      O => SYS_DATA_I_4_KEEPER
    );
  SYS_DATA_I_4_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_4_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(4)
    );
  I_USER_INT_U_DATA_I_REG_124_Q : X_FF
    port map (
      I => SYS_DATA_I_4_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(124)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_11_IBUF : X_BUF
    port map (
      I => DDR_DQ(11),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(11)
    );
  DDR_DQ_11_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(11),
      O => DDR_DQ_11_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_11_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(11),
      O => DDR_DQ(11),
      CTL => DDR_DQ_11_OUTBUF_GTS_AND
    );
  DDR_DQ_11_KEEPER_196 : X_KEEPER
    port map (
      O => DDR_DQ_11_KEEPER
    );
  DDR_DQ_11_OUTBUF_GTS_AND_197 : X_AND2
    port map (
      I0 => DDR_DQ_11_ENABLE,
      I1 => DDR_DQ_11_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_11_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(11),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(11)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(11),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(11)
    );
  I_USER_INT_U_ADDR_18 : X_BUF
    port map (
      I => SYS_ADDR(18),
      O => I_USER_INT_SYS_ADDR_PAD(18)
    );
  SYS_ADDR_18_KEEPER_198 : X_KEEPER
    port map (
      O => SYS_ADDR_18_KEEPER
    );
  I_USER_INT_U_ADDR_REG_18_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(18)
    );
  I_USER_INT_U_DI_5 : X_BUF
    port map (
      I => SYS_DATA_I(5),
      O => SYS_DATA_I_5_IBUF
    );
  SYS_DATA_I_5_KEEPER_199 : X_KEEPER
    port map (
      O => SYS_DATA_I_5_KEEPER
    );
  SYS_DATA_I_5_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_5_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(5)
    );
  I_USER_INT_U_DATA_I_REG_125_Q : X_FF
    port map (
      I => SYS_DATA_I_5_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(125)
    );
  DDR_BA_0_KEEPER_200 : X_KEEPER
    port map (
      O => DDR_BA_0_KEEPER
    );
  DDR_BA_0_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_BA_0_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1(0),
      O => DDR_BA(0),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O(0),
      CLK => DDR_BA_0_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_BA_0_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1(0)
    );
  DDR_BA_0_OFF_ASYNC_FF_GSR_OR_201 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET2,
      I1 => GSR,
      O => DDR_BA_0_OFF_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_12_IBUF : X_BUF
    port map (
      I => DDR_DQ(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(12)
    );
  DDR_DQ_12_ENABLEINV : X_INV
    port map (
      I => DDR_DQ_12_TORGTS,
      O => DDR_DQ_12_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_12_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(12),
      O => DDR_DQ(12),
      CTL => DDR_DQ_12_OUTBUF_GTS_AND
    );
  DDR_DQ_12_KEEPER_202 : X_KEEPER
    port map (
      O => DDR_DQ_12_KEEPER
    );
  DDR_DQ_12_GTS_OR : X_BUF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(12),
      O => DDR_DQ_12_TORGTS
    );
  DDR_DQ_12_OUTBUF_GTS_AND_203 : X_AND2
    port map (
      I0 => DDR_DQ_12_ENABLE,
      I1 => DDR_DQ_12_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_12_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(12),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(12)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(12),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(12)
    );
  DDR_CLKB_KEEPER_204 : X_KEEPER
    port map (
      O => DDR_CLKB_KEEPER
    );
  DDR_CLKB_OUTMUX_205 : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_DDR_CLK_OUT_O,
      O => DDR_CLKB_OUTMUX
    );
  I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT : X_TRI
    port map (
      I => DDR_CLKB_OUTMUX,
      O => DDR_CLKB,
      CTL => I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT_2_INV
    );
  DDR_DQ_20_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(20),
      O => DDR_DQ_20_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_20_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(20),
      O => DDR_DQ(20),
      CTL => DDR_DQ_20_OUTBUF_GTS_AND
    );
  DDR_DQ_20_KEEPER_206 : X_KEEPER
    port map (
      O => DDR_DQ_20_KEEPER
    );
  DDR_DQ_20_OUTBUF_GTS_AND_207 : X_AND2
    port map (
      I0 => DDR_DQ_20_ENABLE,
      I1 => DDR_DQ_20_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_20_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(20),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(20)
    );
  I_USER_INT_U_ADDR_19 : X_BUF
    port map (
      I => SYS_ADDR(19),
      O => I_USER_INT_SYS_ADDR_PAD(19)
    );
  SYS_ADDR_19_KEEPER_208 : X_KEEPER
    port map (
      O => SYS_ADDR_19_KEEPER
    );
  I_USER_INT_U_ADDR_REG_19_Q : X_FF
    port map (
      I => I_USER_INT_SYS_ADDR_PAD(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_ADDR(19)
    );
  I_USER_INT_U_DI_6 : X_BUF
    port map (
      I => SYS_DATA_I(6),
      O => SYS_DATA_I_6_IBUF
    );
  SYS_DATA_I_6_KEEPER_209 : X_KEEPER
    port map (
      O => SYS_DATA_I_6_KEEPER
    );
  SYS_DATA_I_6_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_6_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(6)
    );
  I_USER_INT_U_DATA_I_REG_126_Q : X_FF
    port map (
      I => SYS_DATA_I_6_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(126)
    );
  DDR_DM_0_KEEPER_210 : X_KEEPER
    port map (
      O => DDR_DM_0_KEEPER
    );
  DDR_DM_0_LOGIC_ZERO_211 : X_ZERO
    port map (
      O => DDR_DM_0_LOGIC_ZERO
    );
  I_DDR_CTLR_O_DDR_DQM0 : X_TRI
    port map (
      I => DDR_DM_0_LOGIC_ZERO,
      O => DDR_DM(0),
      CTL => I_DDR_CTLR_O_DDR_DQM0_2_INV
    );
  DDR_BA_1_KEEPER_212 : X_KEEPER
    port map (
      O => DDR_BA_1_KEEPER
    );
  DDR_BA_1_OMUX : X_BUF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O(1),
      O => DDR_BA_1_OD
    );
  DDR_BA_1_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_BA_1_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1(1),
      O => DDR_BA(1),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1_REG_1_Q : X_FF
    port map (
      I => DDR_BA_1_OD,
      CLK => DDR_BA_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_BA_1_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_P1(1)
    );
  DDR_BA_1_OFF_ASYNC_FF_GSR_OR_213 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET2,
      I1 => GSR,
      O => DDR_BA_1_OFF_ASYNC_FF_GSR_OR
    );
  DDR_DQ_21_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(21),
      O => DDR_DQ_21_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_21_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(21),
      O => DDR_DQ(21),
      CTL => DDR_DQ_21_OUTBUF_GTS_AND
    );
  DDR_DQ_21_KEEPER_214 : X_KEEPER
    port map (
      O => DDR_DQ_21_KEEPER
    );
  DDR_DQ_21_OUTBUF_GTS_AND_215 : X_AND2
    port map (
      I0 => DDR_DQ_21_ENABLE,
      I1 => DDR_DQ_21_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_21_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(21),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(21)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_13_IBUF : X_BUF
    port map (
      I => DDR_DQ(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(13)
    );
  DDR_DQ_13_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(13),
      O => DDR_DQ_13_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_13_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(13),
      O => DDR_DQ(13),
      CTL => DDR_DQ_13_OUTBUF_GTS_AND
    );
  DDR_DQ_13_KEEPER_216 : X_KEEPER
    port map (
      O => DDR_DQ_13_KEEPER
    );
  DDR_DQ_13_OUTBUF_GTS_AND_217 : X_AND2
    port map (
      I0 => DDR_DQ_13_ENABLE,
      I1 => DDR_DQ_13_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_13_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(13),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(13)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(13),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(13)
    );
  I_USER_INT_U_DI_7 : X_BUF
    port map (
      I => SYS_DATA_I(7),
      O => SYS_DATA_I_7_IBUF
    );
  SYS_DATA_I_7_KEEPER_218 : X_KEEPER
    port map (
      O => SYS_DATA_I_7_KEEPER
    );
  SYS_DATA_I_7_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_7_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(7)
    );
  I_USER_INT_U_DATA_I_REG_127_Q : X_FF
    port map (
      I => SYS_DATA_I_7_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(127)
    );
  DDR_DM_1_KEEPER_219 : X_KEEPER
    port map (
      O => DDR_DM_1_KEEPER
    );
  DDR_DM_1_LOGIC_ZERO_220 : X_ZERO
    port map (
      O => DDR_DM_1_LOGIC_ZERO
    );
  I_DDR_CTLR_O_DDR_DQM1 : X_TRI
    port map (
      I => DDR_DM_1_LOGIC_ZERO,
      O => DDR_DM(1),
      CTL => I_DDR_CTLR_O_DDR_DQM1_2_INV
    );
  SYS_DATA_O_10_KEEPER_221 : X_KEEPER
    port map (
      O => SYS_DATA_O_10_KEEPER
    );
  I_USER_INT_U_DO_10 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(10),
      O => SYS_DATA_O(10),
      CTL => I_USER_INT_U_DO_10_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_10_Q : X_FF
    port map (
      I => U_DATA_O(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_14_IBUF : X_BUF
    port map (
      I => DDR_DQ(14),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(14)
    );
  DDR_DQ_14_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(14),
      O => DDR_DQ_14_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_14_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(14),
      O => DDR_DQ(14),
      CTL => DDR_DQ_14_OUTBUF_GTS_AND
    );
  DDR_DQ_14_KEEPER_222 : X_KEEPER
    port map (
      O => DDR_DQ_14_KEEPER
    );
  DDR_DQ_14_OUTBUF_GTS_AND_223 : X_AND2
    port map (
      I0 => DDR_DQ_14_ENABLE,
      I1 => DDR_DQ_14_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_14_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(14),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(14)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(14),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(14)
    );
  DDR_DQ_22_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(22),
      O => DDR_DQ_22_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_22_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(22),
      O => DDR_DQ(22),
      CTL => DDR_DQ_22_OUTBUF_GTS_AND
    );
  DDR_DQ_22_KEEPER_224 : X_KEEPER
    port map (
      O => DDR_DQ_22_KEEPER
    );
  DDR_DQ_22_OUTBUF_GTS_AND_225 : X_AND2
    port map (
      I0 => DDR_DQ_22_ENABLE,
      I1 => DDR_DQ_22_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_22_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(22),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(22)
    );
  DDR_DQ_30_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(30),
      O => DDR_DQ_30_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_30_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(30),
      O => DDR_DQ(30),
      CTL => DDR_DQ_30_OUTBUF_GTS_AND
    );
  DDR_DQ_30_KEEPER_226 : X_KEEPER
    port map (
      O => DDR_DQ_30_KEEPER
    );
  DDR_DQ_30_OUTBUF_GTS_AND_227 : X_AND2
    port map (
      I0 => DDR_DQ_30_ENABLE,
      I1 => DDR_DQ_30_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_30_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(30),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(30)
    );
  I_USER_INT_U_DI_8 : X_BUF
    port map (
      I => SYS_DATA_I(8),
      O => SYS_DATA_I_8_IBUF
    );
  SYS_DATA_I_8_KEEPER_228 : X_KEEPER
    port map (
      O => SYS_DATA_I_8_KEEPER
    );
  SYS_DATA_I_8_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_8_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(8)
    );
  I_USER_INT_U_DATA_I_REG_112_Q : X_FF
    port map (
      I => SYS_DATA_I_8_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(112)
    );
  SYS_DATA_O_11_KEEPER_229 : X_KEEPER
    port map (
      O => SYS_DATA_O_11_KEEPER
    );
  I_USER_INT_U_DO_11 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(11),
      O => SYS_DATA_O(11),
      CTL => I_USER_INT_U_DO_11_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_11_Q : X_FF
    port map (
      I => U_DATA_O(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(11)
    );
  DDR_DQ_31_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(31),
      O => DDR_DQ_31_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_31_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(31),
      O => DDR_DQ(31),
      CTL => DDR_DQ_31_OUTBUF_GTS_AND
    );
  DDR_DQ_31_KEEPER_230 : X_KEEPER
    port map (
      O => DDR_DQ_31_KEEPER
    );
  DDR_DQ_31_OUTBUF_GTS_AND_231 : X_AND2
    port map (
      I0 => DDR_DQ_31_ENABLE,
      I1 => DDR_DQ_31_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_31_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(31),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(31)
    );
  DDR_DQ_23_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(23),
      O => DDR_DQ_23_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_23_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(23),
      O => DDR_DQ(23),
      CTL => DDR_DQ_23_OUTBUF_GTS_AND
    );
  DDR_DQ_23_KEEPER_232 : X_KEEPER
    port map (
      O => DDR_DQ_23_KEEPER
    );
  DDR_DQ_23_OUTBUF_GTS_AND_233 : X_AND2
    port map (
      I0 => DDR_DQ_23_ENABLE,
      I1 => DDR_DQ_23_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_23_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(23),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(23)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_15_IBUF : X_BUF
    port map (
      I => DDR_DQ(15),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(15)
    );
  DDR_DQ_15_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(15),
      O => DDR_DQ_15_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_15_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(15),
      O => DDR_DQ(15),
      CTL => DDR_DQ_15_OUTBUF_GTS_AND
    );
  DDR_DQ_15_KEEPER_234 : X_KEEPER
    port map (
      O => DDR_DQ_15_KEEPER
    );
  DDR_DQ_15_OUTBUF_GTS_AND_235 : X_AND2
    port map (
      I0 => DDR_DQ_15_ENABLE,
      I1 => DDR_DQ_15_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_15_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_READ_DATA_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_I(15),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_READ_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(15)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(15),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(15)
    );
  I_USER_INT_U_DI_9 : X_BUF
    port map (
      I => SYS_DATA_I(9),
      O => SYS_DATA_I_9_IBUF
    );
  SYS_DATA_I_9_KEEPER_236 : X_KEEPER
    port map (
      O => SYS_DATA_I_9_KEEPER
    );
  SYS_DATA_I_9_IMUX : X_BUF
    port map (
      I => SYS_DATA_I_9_IBUF,
      O => I_USER_INT_SYS_DATA_I_PAD(9)
    );
  I_USER_INT_U_DATA_I_REG_113_Q : X_FF
    port map (
      I => SYS_DATA_I_9_IBUF,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_DATA_I(113)
    );
  DDR_AD_10_KEEPER_237 : X_KEEPER
    port map (
      O => DDR_AD_10_KEEPER
    );
  DDR_AD_10_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_10_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(10),
      O => DDR_AD(10),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(10),
      CLK => DDR_AD_10_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_10_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(10)
    );
  DDR_AD_10_OFF_ASYNC_FF_GSR_OR_238 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_10_OFF_ASYNC_FF_GSR_OR
    );
  DDR_AD_0_KEEPER_239 : X_KEEPER
    port map (
      O => DDR_AD_0_KEEPER
    );
  DDR_AD_0_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_0_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(0),
      O => DDR_AD(0),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(0),
      CLK => DDR_AD_0_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_0_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(0)
    );
  DDR_AD_0_OFF_ASYNC_FF_GSR_OR_240 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_0_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_12_KEEPER_241 : X_KEEPER
    port map (
      O => SYS_DATA_O_12_KEEPER
    );
  I_USER_INT_U_DO_12 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(12),
      O => SYS_DATA_O(12),
      CTL => I_USER_INT_U_DO_12_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_12_Q : X_FF
    port map (
      I => U_DATA_O(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(12)
    );
  DDR_DQ_40_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(40),
      O => DDR_DQ_40_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_40_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(40),
      O => DDR_DQ(40),
      CTL => DDR_DQ_40_OUTBUF_GTS_AND
    );
  DDR_DQ_40_KEEPER_242 : X_KEEPER
    port map (
      O => DDR_DQ_40_KEEPER
    );
  DDR_DQ_40_OUTBUF_GTS_AND_243 : X_AND2
    port map (
      I0 => DDR_DQ_40_ENABLE,
      I1 => DDR_DQ_40_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_40_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_40_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(40),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(40)
    );
  DDR_DQ_16_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(16),
      O => DDR_DQ_16_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_16_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(16),
      O => DDR_DQ(16),
      CTL => DDR_DQ_16_OUTBUF_GTS_AND
    );
  DDR_DQ_16_KEEPER_244 : X_KEEPER
    port map (
      O => DDR_DQ_16_KEEPER
    );
  DDR_DQ_16_OUTBUF_GTS_AND_245 : X_AND2
    port map (
      I0 => DDR_DQ_16_ENABLE,
      I1 => DDR_DQ_16_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_16_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(16),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(16)
    );
  DDR_DQ_32_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(32),
      O => DDR_DQ_32_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_32_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(32),
      O => DDR_DQ(32),
      CTL => DDR_DQ_32_OUTBUF_GTS_AND
    );
  DDR_DQ_32_KEEPER_246 : X_KEEPER
    port map (
      O => DDR_DQ_32_KEEPER
    );
  DDR_DQ_32_OUTBUF_GTS_AND_247 : X_AND2
    port map (
      I0 => DDR_DQ_32_ENABLE,
      I1 => DDR_DQ_32_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_32_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_32_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(32),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(32)
    );
  DDR_DQ_24_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(24),
      O => DDR_DQ_24_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_24_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(24),
      O => DDR_DQ(24),
      CTL => DDR_DQ_24_OUTBUF_GTS_AND
    );
  DDR_DQ_24_KEEPER_248 : X_KEEPER
    port map (
      O => DDR_DQ_24_KEEPER
    );
  DDR_DQ_24_OUTBUF_GTS_AND_249 : X_AND2
    port map (
      I0 => DDR_DQ_24_ENABLE,
      I1 => DDR_DQ_24_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_24_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(24),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(24)
    );
  DDR_AD_11_KEEPER_250 : X_KEEPER
    port map (
      O => DDR_AD_11_KEEPER
    );
  DDR_AD_11_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_11_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(11),
      O => DDR_AD(11),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(11),
      CLK => DDR_AD_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_11_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(11)
    );
  DDR_AD_11_OFF_ASYNC_FF_GSR_OR_251 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_11_OFF_ASYNC_FF_GSR_OR
    );
  DDR_AD_1_KEEPER_252 : X_KEEPER
    port map (
      O => DDR_AD_1_KEEPER
    );
  DDR_AD_1_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_1_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(1),
      O => DDR_AD(1),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(1),
      CLK => DDR_AD_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_1_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(1)
    );
  DDR_AD_1_OFF_ASYNC_FF_GSR_OR_253 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_1_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_13_KEEPER_254 : X_KEEPER
    port map (
      O => SYS_DATA_O_13_KEEPER
    );
  I_USER_INT_U_DO_13 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(13),
      O => SYS_DATA_O(13),
      CTL => I_USER_INT_U_DO_13_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_13_Q : X_FF
    port map (
      I => U_DATA_O(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(13)
    );
  DDR_DQ_25_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(25),
      O => DDR_DQ_25_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_25_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(25),
      O => DDR_DQ(25),
      CTL => DDR_DQ_25_OUTBUF_GTS_AND
    );
  DDR_DQ_25_KEEPER_255 : X_KEEPER
    port map (
      O => DDR_DQ_25_KEEPER
    );
  DDR_DQ_25_OUTBUF_GTS_AND_256 : X_AND2
    port map (
      I0 => DDR_DQ_25_ENABLE,
      I1 => DDR_DQ_25_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_25_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(25),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(25)
    );
  DDR_DQ_33_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(33),
      O => DDR_DQ_33_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_33_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(33),
      O => DDR_DQ(33),
      CTL => DDR_DQ_33_OUTBUF_GTS_AND
    );
  DDR_DQ_33_KEEPER_257 : X_KEEPER
    port map (
      O => DDR_DQ_33_KEEPER
    );
  DDR_DQ_33_OUTBUF_GTS_AND_258 : X_AND2
    port map (
      I0 => DDR_DQ_33_ENABLE,
      I1 => DDR_DQ_33_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_33_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_33_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(33),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(33)
    );
  DDR_DQ_17_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(17),
      O => DDR_DQ_17_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_17_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(17),
      O => DDR_DQ(17),
      CTL => DDR_DQ_17_OUTBUF_GTS_AND
    );
  DDR_DQ_17_KEEPER_259 : X_KEEPER
    port map (
      O => DDR_DQ_17_KEEPER
    );
  DDR_DQ_17_OUTBUF_GTS_AND_260 : X_AND2
    port map (
      I0 => DDR_DQ_17_ENABLE,
      I1 => DDR_DQ_17_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_17_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(17),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(17)
    );
  DDR_DQ_41_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(41),
      O => DDR_DQ_41_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_41_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(41),
      O => DDR_DQ(41),
      CTL => DDR_DQ_41_OUTBUF_GTS_AND
    );
  DDR_DQ_41_KEEPER_261 : X_KEEPER
    port map (
      O => DDR_DQ_41_KEEPER
    );
  DDR_DQ_41_OUTBUF_GTS_AND_262 : X_AND2
    port map (
      I0 => DDR_DQ_41_ENABLE,
      I1 => DDR_DQ_41_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_41_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_41_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(41),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(41)
    );
  DDR_AD_2_KEEPER_263 : X_KEEPER
    port map (
      O => DDR_AD_2_KEEPER
    );
  DDR_AD_2_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_2_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(2),
      O => DDR_AD(2),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(2),
      CLK => DDR_AD_2_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_2_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(2)
    );
  DDR_AD_2_OFF_ASYNC_FF_GSR_OR_264 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_2_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_14_KEEPER_265 : X_KEEPER
    port map (
      O => SYS_DATA_O_14_KEEPER
    );
  I_USER_INT_U_DO_14 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(14),
      O => SYS_DATA_O(14),
      CTL => I_USER_INT_U_DO_14_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_14_Q : X_FF
    port map (
      I => U_DATA_O(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(14)
    );
  DDR_DQ_42_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(42),
      O => DDR_DQ_42_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_42_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(42),
      O => DDR_DQ(42),
      CTL => DDR_DQ_42_OUTBUF_GTS_AND
    );
  DDR_DQ_42_KEEPER_266 : X_KEEPER
    port map (
      O => DDR_DQ_42_KEEPER
    );
  DDR_DQ_42_OUTBUF_GTS_AND_267 : X_AND2
    port map (
      I0 => DDR_DQ_42_ENABLE,
      I1 => DDR_DQ_42_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_42_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_42_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(42),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(42)
    );
  DDR_DQ_50_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(50),
      O => DDR_DQ_50_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_50_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(50),
      O => DDR_DQ(50),
      CTL => DDR_DQ_50_OUTBUF_GTS_AND
    );
  DDR_DQ_50_KEEPER_268 : X_KEEPER
    port map (
      O => DDR_DQ_50_KEEPER
    );
  DDR_DQ_50_OUTBUF_GTS_AND_269 : X_AND2
    port map (
      I0 => DDR_DQ_50_ENABLE,
      I1 => DDR_DQ_50_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_50_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_50_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(50),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(50)
    );
  DDR_DQ_26_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(26),
      O => DDR_DQ_26_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_26_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(26),
      O => DDR_DQ(26),
      CTL => DDR_DQ_26_OUTBUF_GTS_AND
    );
  DDR_DQ_26_KEEPER_270 : X_KEEPER
    port map (
      O => DDR_DQ_26_KEEPER
    );
  DDR_DQ_26_OUTBUF_GTS_AND_271 : X_AND2
    port map (
      I0 => DDR_DQ_26_ENABLE,
      I1 => DDR_DQ_26_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_26_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(26),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(26)
    );
  DDR_DQ_18_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(18),
      O => DDR_DQ_18_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_18_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(18),
      O => DDR_DQ(18),
      CTL => DDR_DQ_18_OUTBUF_GTS_AND
    );
  DDR_DQ_18_KEEPER_272 : X_KEEPER
    port map (
      O => DDR_DQ_18_KEEPER
    );
  DDR_DQ_18_OUTBUF_GTS_AND_273 : X_AND2
    port map (
      I0 => DDR_DQ_18_ENABLE,
      I1 => DDR_DQ_18_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_18_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(18),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(18)
    );
  DDR_DQ_34_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(34),
      O => DDR_DQ_34_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_34_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(34),
      O => DDR_DQ(34),
      CTL => DDR_DQ_34_OUTBUF_GTS_AND
    );
  DDR_DQ_34_KEEPER_274 : X_KEEPER
    port map (
      O => DDR_DQ_34_KEEPER
    );
  DDR_DQ_34_OUTBUF_GTS_AND_275 : X_AND2
    port map (
      I0 => DDR_DQ_34_ENABLE,
      I1 => DDR_DQ_34_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_34_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_34_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(34),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(34)
    );
  DDR_AD_3_KEEPER_276 : X_KEEPER
    port map (
      O => DDR_AD_3_KEEPER
    );
  DDR_AD_3_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_3_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(3),
      O => DDR_AD(3),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(3),
      CLK => DDR_AD_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_3_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(3)
    );
  DDR_AD_3_OFF_ASYNC_FF_GSR_OR_277 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_3_OFF_ASYNC_FF_GSR_OR
    );
  SYS_DATA_O_15_KEEPER_278 : X_KEEPER
    port map (
      O => SYS_DATA_O_15_KEEPER
    );
  I_USER_INT_U_DO_15 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_O_PAD(15),
      O => SYS_DATA_O(15),
      CTL => I_USER_INT_U_DO_15_2_INV
    );
  I_USER_INT_SYS_DATA_O_PAD_REG_15_Q : X_FF
    port map (
      I => U_DATA_O(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_O_PAD(15)
    );
  DDR_DQ_35_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(35),
      O => DDR_DQ_35_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_35_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(35),
      O => DDR_DQ(35),
      CTL => DDR_DQ_35_OUTBUF_GTS_AND
    );
  DDR_DQ_35_KEEPER_279 : X_KEEPER
    port map (
      O => DDR_DQ_35_KEEPER
    );
  DDR_DQ_35_OUTBUF_GTS_AND_280 : X_AND2
    port map (
      I0 => DDR_DQ_35_ENABLE,
      I1 => DDR_DQ_35_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_35_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_35_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(35),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(35)
    );
  DDR_DQ_19_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(19),
      O => DDR_DQ_19_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_19_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(19),
      O => DDR_DQ(19),
      CTL => DDR_DQ_19_OUTBUF_GTS_AND
    );
  DDR_DQ_19_KEEPER_281 : X_KEEPER
    port map (
      O => DDR_DQ_19_KEEPER
    );
  DDR_DQ_19_OUTBUF_GTS_AND_282 : X_AND2
    port map (
      I0 => DDR_DQ_19_ENABLE,
      I1 => DDR_DQ_19_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_19_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(19),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(19)
    );
  DDR_DQ_27_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(27),
      O => DDR_DQ_27_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_27_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(27),
      O => DDR_DQ(27),
      CTL => DDR_DQ_27_OUTBUF_GTS_AND
    );
  DDR_DQ_27_KEEPER_283 : X_KEEPER
    port map (
      O => DDR_DQ_27_KEEPER
    );
  DDR_DQ_27_OUTBUF_GTS_AND_284 : X_AND2
    port map (
      I0 => DDR_DQ_27_ENABLE,
      I1 => DDR_DQ_27_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_27_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(27),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(27)
    );
  DDR_DQ_51_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(51),
      O => DDR_DQ_51_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_51_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(51),
      O => DDR_DQ(51),
      CTL => DDR_DQ_51_OUTBUF_GTS_AND
    );
  DDR_DQ_51_KEEPER_285 : X_KEEPER
    port map (
      O => DDR_DQ_51_KEEPER
    );
  DDR_DQ_51_OUTBUF_GTS_AND_286 : X_AND2
    port map (
      I0 => DDR_DQ_51_ENABLE,
      I1 => DDR_DQ_51_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_51_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_51_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(51),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(51)
    );
  DDR_DQ_43_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(43),
      O => DDR_DQ_43_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_43_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(43),
      O => DDR_DQ(43),
      CTL => DDR_DQ_43_OUTBUF_GTS_AND
    );
  DDR_DQ_43_KEEPER_287 : X_KEEPER
    port map (
      O => DDR_DQ_43_KEEPER
    );
  DDR_DQ_43_OUTBUF_GTS_AND_288 : X_AND2
    port map (
      I0 => DDR_DQ_43_ENABLE,
      I1 => DDR_DQ_43_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_43_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_43_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(43),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(43)
    );
  DDR_AD_4_KEEPER_289 : X_KEEPER
    port map (
      O => DDR_AD_4_KEEPER
    );
  DDR_AD_4_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_4_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(4),
      O => DDR_AD(4),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(4),
      CLK => DDR_AD_4_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_4_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(4)
    );
  DDR_AD_4_OFF_ASYNC_FF_GSR_OR_290 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_4_OFF_ASYNC_FF_GSR_OR
    );
  DDR_DQ_52_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(52),
      O => DDR_DQ_52_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_52_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(52),
      O => DDR_DQ(52),
      CTL => DDR_DQ_52_OUTBUF_GTS_AND
    );
  DDR_DQ_52_KEEPER_291 : X_KEEPER
    port map (
      O => DDR_DQ_52_KEEPER
    );
  DDR_DQ_52_OUTBUF_GTS_AND_292 : X_AND2
    port map (
      I0 => DDR_DQ_52_ENABLE,
      I1 => DDR_DQ_52_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_52_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_52_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(52),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(52)
    );
  DDR_DQ_44_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(44),
      O => DDR_DQ_44_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_44_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(44),
      O => DDR_DQ(44),
      CTL => DDR_DQ_44_OUTBUF_GTS_AND
    );
  DDR_DQ_44_KEEPER_293 : X_KEEPER
    port map (
      O => DDR_DQ_44_KEEPER
    );
  DDR_DQ_44_OUTBUF_GTS_AND_294 : X_AND2
    port map (
      I0 => DDR_DQ_44_ENABLE,
      I1 => DDR_DQ_44_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_44_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_44_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(44),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(44)
    );
  DDR_DQ_28_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(28),
      O => DDR_DQ_28_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_28_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(28),
      O => DDR_DQ(28),
      CTL => DDR_DQ_28_OUTBUF_GTS_AND
    );
  DDR_DQ_28_KEEPER_295 : X_KEEPER
    port map (
      O => DDR_DQ_28_KEEPER
    );
  DDR_DQ_28_OUTBUF_GTS_AND_296 : X_AND2
    port map (
      I0 => DDR_DQ_28_ENABLE,
      I1 => DDR_DQ_28_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_28_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(28),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(28)
    );
  DDR_DQ_36_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(36),
      O => DDR_DQ_36_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_36_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(36),
      O => DDR_DQ(36),
      CTL => DDR_DQ_36_OUTBUF_GTS_AND
    );
  DDR_DQ_36_KEEPER_297 : X_KEEPER
    port map (
      O => DDR_DQ_36_KEEPER
    );
  DDR_DQ_36_OUTBUF_GTS_AND_298 : X_AND2
    port map (
      I0 => DDR_DQ_36_ENABLE,
      I1 => DDR_DQ_36_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_36_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_36_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(36),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(36)
    );
  DDR_DQ_60_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(60),
      O => DDR_DQ_60_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_60_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(60),
      O => DDR_DQ(60),
      CTL => DDR_DQ_60_OUTBUF_GTS_AND
    );
  DDR_DQ_60_KEEPER_299 : X_KEEPER
    port map (
      O => DDR_DQ_60_KEEPER
    );
  DDR_DQ_60_OUTBUF_GTS_AND_300 : X_AND2
    port map (
      I0 => DDR_DQ_60_ENABLE,
      I1 => DDR_DQ_60_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_60_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_60_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(60),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(60)
    );
  SYS_DATA_VALID_KEEPER_301 : X_KEEPER
    port map (
      O => SYS_DATA_VALID_KEEPER
    );
  I_USER_INT_U_DATA_VALID0 : X_TRI
    port map (
      I => I_USER_INT_SYS_DATA_VALID_PAD,
      O => SYS_DATA_VALID,
      CTL => I_USER_INT_U_DATA_VALID0_2_INV
    );
  I_USER_INT_SYS_DATA_VALID_PAD_REG : X_FF
    port map (
      I => U_DATA_VALID,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_USER_INT_SYS_DATA_VALID_PAD
    );
  DDR_AD_5_KEEPER_302 : X_KEEPER
    port map (
      O => DDR_AD_5_KEEPER
    );
  DDR_AD_5_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_5_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(5),
      O => DDR_AD(5),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(5),
      CLK => DDR_AD_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_5_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(5)
    );
  DDR_AD_5_OFF_ASYNC_FF_GSR_OR_303 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_5_OFF_ASYNC_FF_GSR_OR
    );
  DDR_DQ_61_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(61),
      O => DDR_DQ_61_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_61_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(61),
      O => DDR_DQ(61),
      CTL => DDR_DQ_61_OUTBUF_GTS_AND
    );
  DDR_DQ_61_KEEPER_304 : X_KEEPER
    port map (
      O => DDR_DQ_61_KEEPER
    );
  DDR_DQ_61_OUTBUF_GTS_AND_305 : X_AND2
    port map (
      I0 => DDR_DQ_61_ENABLE,
      I1 => DDR_DQ_61_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_61_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_61_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(61),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(61)
    );
  DDR_DQ_37_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(37),
      O => DDR_DQ_37_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_37_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(37),
      O => DDR_DQ(37),
      CTL => DDR_DQ_37_OUTBUF_GTS_AND
    );
  DDR_DQ_37_KEEPER_306 : X_KEEPER
    port map (
      O => DDR_DQ_37_KEEPER
    );
  DDR_DQ_37_OUTBUF_GTS_AND_307 : X_AND2
    port map (
      I0 => DDR_DQ_37_ENABLE,
      I1 => DDR_DQ_37_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_37_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_37_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(37),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(37)
    );
  DDR_DQ_29_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(29),
      O => DDR_DQ_29_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_29_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(29),
      O => DDR_DQ(29),
      CTL => DDR_DQ_29_OUTBUF_GTS_AND
    );
  DDR_DQ_29_KEEPER_308 : X_KEEPER
    port map (
      O => DDR_DQ_29_KEEPER
    );
  DDR_DQ_29_OUTBUF_GTS_AND_309 : X_AND2
    port map (
      I0 => DDR_DQ_29_ENABLE,
      I1 => DDR_DQ_29_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_29_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(29),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(29)
    );
  DDR_DQ_45_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(45),
      O => DDR_DQ_45_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_45_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(45),
      O => DDR_DQ(45),
      CTL => DDR_DQ_45_OUTBUF_GTS_AND
    );
  DDR_DQ_45_KEEPER_310 : X_KEEPER
    port map (
      O => DDR_DQ_45_KEEPER
    );
  DDR_DQ_45_OUTBUF_GTS_AND_311 : X_AND2
    port map (
      I0 => DDR_DQ_45_ENABLE,
      I1 => DDR_DQ_45_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_45_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_45_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(45),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(45)
    );
  DDR_DQ_53_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(53),
      O => DDR_DQ_53_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_53_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(53),
      O => DDR_DQ(53),
      CTL => DDR_DQ_53_OUTBUF_GTS_AND
    );
  DDR_DQ_53_KEEPER_312 : X_KEEPER
    port map (
      O => DDR_DQ_53_KEEPER
    );
  DDR_DQ_53_OUTBUF_GTS_AND_313 : X_AND2
    port map (
      I0 => DDR_DQ_53_ENABLE,
      I1 => DDR_DQ_53_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_53_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_53_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(53),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(53)
    );
  DDR_AD_6_KEEPER_314 : X_KEEPER
    port map (
      O => DDR_AD_6_KEEPER
    );
  DDR_AD_6_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_6_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(6),
      O => DDR_AD(6),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(6),
      CLK => DDR_AD_6_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_6_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(6)
    );
  DDR_AD_6_OFF_ASYNC_FF_GSR_OR_315 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_6_OFF_ASYNC_FF_GSR_OR
    );
  DDR_DQ_46_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(46),
      O => DDR_DQ_46_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_46_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(46),
      O => DDR_DQ(46),
      CTL => DDR_DQ_46_OUTBUF_GTS_AND
    );
  DDR_DQ_46_KEEPER_316 : X_KEEPER
    port map (
      O => DDR_DQ_46_KEEPER
    );
  DDR_DQ_46_OUTBUF_GTS_AND_317 : X_AND2
    port map (
      I0 => DDR_DQ_46_ENABLE,
      I1 => DDR_DQ_46_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_46_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_46_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(46),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(46)
    );
  DDR_DQ_54_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(54),
      O => DDR_DQ_54_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_54_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(54),
      O => DDR_DQ(54),
      CTL => DDR_DQ_54_OUTBUF_GTS_AND
    );
  DDR_DQ_54_KEEPER_318 : X_KEEPER
    port map (
      O => DDR_DQ_54_KEEPER
    );
  DDR_DQ_54_OUTBUF_GTS_AND_319 : X_AND2
    port map (
      I0 => DDR_DQ_54_ENABLE,
      I1 => DDR_DQ_54_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_54_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_54_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(54),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(54)
    );
  DDR_DQ_38_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(38),
      O => DDR_DQ_38_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_38_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(38),
      O => DDR_DQ(38),
      CTL => DDR_DQ_38_OUTBUF_GTS_AND
    );
  DDR_DQ_38_KEEPER_320 : X_KEEPER
    port map (
      O => DDR_DQ_38_KEEPER
    );
  DDR_DQ_38_OUTBUF_GTS_AND_321 : X_AND2
    port map (
      I0 => DDR_DQ_38_ENABLE,
      I1 => DDR_DQ_38_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_38_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_38_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(38),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(38)
    );
  DDR_DQ_62_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(62),
      O => DDR_DQ_62_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_62_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(62),
      O => DDR_DQ(62),
      CTL => DDR_DQ_62_OUTBUF_GTS_AND
    );
  DDR_DQ_62_KEEPER_322 : X_KEEPER
    port map (
      O => DDR_DQ_62_KEEPER
    );
  DDR_DQ_62_OUTBUF_GTS_AND_323 : X_AND2
    port map (
      I0 => DDR_DQ_62_ENABLE,
      I1 => DDR_DQ_62_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_62_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_62_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(62),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(62)
    );
  DDR_AD_7_KEEPER_324 : X_KEEPER
    port map (
      O => DDR_AD_7_KEEPER
    );
  DDR_AD_7_OCKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => DDR_AD_7_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7 : X_TRI
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(7),
      O => DDR_AD(7),
      CTL => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_P1_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(7),
      CLK => DDR_AD_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => DDR_AD_7_OFF_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_DLY(7)
    );
  DDR_AD_7_OFF_ASYNC_FF_GSR_OR_325 : X_OR2
    port map (
      I0 => I_DDR_CTLR_ADDR_RESET1,
      I1 => GSR,
      O => DDR_AD_7_OFF_ASYNC_FF_GSR_OR
    );
  I_USER_INT_U_CMD_2 : X_BUF
    port map (
      I => SYS_CMD(2),
      O => I_USER_INT_SYS_CMD_PAD(2)
    );
  SYS_CMD_2_KEEPER_326 : X_KEEPER
    port map (
      O => SYS_CMD_2_KEEPER
    );
  I_USER_INT_U_CMD_REG_2_Q : X_FF
    port map (
      I => I_USER_INT_SYS_CMD_PAD(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => U_CMD(2)
    );
  DDR_DQ_63_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(63),
      O => DDR_DQ_63_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_63_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(63),
      O => DDR_DQ(63),
      CTL => DDR_DQ_63_OUTBUF_GTS_AND
    );
  DDR_DQ_63_KEEPER_327 : X_KEEPER
    port map (
      O => DDR_DQ_63_KEEPER
    );
  DDR_DQ_63_OUTBUF_GTS_AND_328 : X_AND2
    port map (
      I0 => DDR_DQ_63_ENABLE,
      I1 => DDR_DQ_63_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_63_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_63_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(63),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(63)
    );
  DDR_DQ_39_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(39),
      O => DDR_DQ_39_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_39_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(39),
      O => DDR_DQ(39),
      CTL => DDR_DQ_39_OUTBUF_GTS_AND
    );
  DDR_DQ_39_KEEPER_329 : X_KEEPER
    port map (
      O => DDR_DQ_39_KEEPER
    );
  DDR_DQ_39_OUTBUF_GTS_AND_330 : X_AND2
    port map (
      I0 => DDR_DQ_39_ENABLE,
      I1 => DDR_DQ_39_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_39_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_39_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(39),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(39)
    );
  DDR_DQ_55_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(55),
      O => DDR_DQ_55_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_55_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(55),
      O => DDR_DQ(55),
      CTL => DDR_DQ_55_OUTBUF_GTS_AND
    );
  DDR_DQ_55_KEEPER_331 : X_KEEPER
    port map (
      O => DDR_DQ_55_KEEPER
    );
  DDR_DQ_55_OUTBUF_GTS_AND_332 : X_AND2
    port map (
      I0 => DDR_DQ_55_ENABLE,
      I1 => DDR_DQ_55_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_55_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_55_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(55),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(55)
    );
  DDR_DQ_47_ENABLEINV : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(47),
      O => DDR_DQ_47_ENABLE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_IO_47_OBUFT : X_TRI
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(47),
      O => DDR_DQ(47),
      CTL => DDR_DQ_47_OUTBUF_GTS_AND
    );
  DDR_DQ_47_KEEPER_333 : X_KEEPER
    port map (
      O => DDR_DQ_47_KEEPER
    );
  DDR_DQ_47_OUTBUF_GTS_AND_334 : X_AND2
    port map (
      I0 => DDR_DQ_47_ENABLE,
      I1 => DDR_DQ_47_OUTBUF_GTS_AND_1_INV,
      O => DDR_DQ_47_OUTBUF_GTS_AND
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_REG_47_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(47),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O(47)
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_XOR_1 : X_XOR2
    port map (
      I0 => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI_O,
      I1 => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1_O,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORG
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CY_1 : X_MUX2
    port map (
      IA => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1),
      IB => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI_O,
      SEL => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1_O,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_CYMUXG
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1 : X_LUT4
    generic map (
      INIT => X"5555"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1),
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUT_1_O
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI : X_LUT4
    generic map (
      INIT => X"5555"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0),
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI_O
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_XORI : X_XOR2
    port map (
      I0 => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO,
      I1 => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI_O,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORF
    );
  I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI : X_MUX2
    port map (
      IA => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0),
      IB => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO,
      SEL => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_LUTI_O,
      O => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CYI_O
    );
  I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORG,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64(1)
    );
  I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_XORF,
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64(0)
    );
  I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_COUTUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_CYMUXG,
      O => I_DDR_CTLR_U_CSLT_CNTR_SUB_66_MINUS_MINUS_A_CY_1_O
    );
  I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO_335 : X_ZERO
    port map (
      O => I_DDR_CTLR_U_CSLT_CNTR_ARG64_0_LOGIC_ZERO
    );
  I_DDR_CTLR_U_CONTROLLER_U207 : X_LUT4
    generic map (
      INIT => X"C0EA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N393,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N407,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_10_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U245 : X_LUT4
    generic map (
      INIT => X"FF0B"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR3 => I_DDR_CTLR_CAS_LAT_END,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_10_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_10_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_10_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N407
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_10_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_10_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_10_FFY_ASYNC_FF_GSR_OR_336 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_10_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U206 : X_LUT4
    generic map (
      INIT => X"FFA0"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N406,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_11_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U244 : X_LUT4
    generic map (
      INIT => X"BAAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N415,
      ADR1 => I_DDR_CTLR_BURST_END,
      ADR2 => I_DDR_CTLR_BURST_8,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N394,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_11_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_11_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_11_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N406
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_11_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_11_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_11_FFY_ASYNC_FF_GSR_OR_337 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_11_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U205 : X_LUT4
    generic map (
      INIT => X"FF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_BURST_END,
      ADR1 => I_DDR_CTLR_BURST_8,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N396,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N405,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_12_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U241 : X_LUT4
    generic map (
      INIT => X"8F88"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N413,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_12_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_12_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_12_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N405
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_12_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_12_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_12_FFY_ASYNC_FF_GSR_OR_338 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_12_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U189 : X_LUT4
    generic map (
      INIT => X"000F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      O => I_DDR_CTLR_LD_CAS_LAT_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U201 : X_LUT4
    generic map (
      INIT => X"0088"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_END,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      O => I_DDR_CTLR_LD_CAS_LAT_FROM
    );
  I_DDR_CTLR_LD_CAS_LAT_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_CAS_LAT_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT
    );
  I_DDR_CTLR_LD_CAS_LAT_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_CAS_LAT_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N402
    );
  I_DDR_CTLR_LD_CAS_LAT_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_LD_CAS_LAT_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_LD_CAS_LAT_REG : X_FF
    port map (
      I => I_DDR_CTLR_LD_CAS_LAT_GROM,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_LD_CAS_LAT_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_LD_CAS_LAT
    );
  I_DDR_CTLR_U_CONTROLLER_U192 : X_LUT4
    generic map (
      INIT => X"000F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      O => I_DDR_CTLR_LD_RCD_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U211 : X_LUT4
    generic map (
      INIT => X"FFFE"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_2_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_3_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      O => I_DDR_CTLR_LD_RCD_FROM
    );
  I_DDR_CTLR_LD_RCD_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_RCD_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_RCD
    );
  I_DDR_CTLR_LD_RCD_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_RCD_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N_150
    );
  I_DDR_CTLR_LD_RCD_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_LD_RCD_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_LD_RCD_REG : X_FF
    port map (
      I => I_DDR_CTLR_LD_RCD_GROM,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_LD_RCD_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_LD_RCD
    );
  I_DDR_CTLR_U_CONTROLLER_U200 : X_LUT4
    generic map (
      INIT => X"FFAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN
    );
  I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_GROM,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1
    );
  I_DDR_CTLR_U_CONTROLLER_U240 : X_LUT4
    generic map (
      INIT => X"00F5"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N412,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_1_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U239 : X_LUT4
    generic map (
      INIT => X"0011"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N404,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N411,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N403,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_1_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_1_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_1_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N412
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_1_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_ASYNC_FF_GSR_OR_339 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_1_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U235 : X_LUT4
    generic map (
      INIT => X"F5A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_3_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N398,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_3_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U199 : X_LUT4
    generic map (
      INIT => X"3000"
    )
    port map (
      ADR0 => VCC,
      ADR1 => U_CMD(6),
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR3 => U_CMD(5),
      O => I_DDR_CTLR_U_CONTROLLER_STATE_3_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_3_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_3_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N398
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_3_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_3_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_ASYNC_FF_GSR_OR_340 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_3_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U234 : X_LUT4
    generic map (
      INIT => X"FFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N409,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_4_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U233 : X_LUT4
    generic map (
      INIT => X"4000"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => U_CMD(2),
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N399,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N401,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_4_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_4_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_4_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N409
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_4_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_ASYNC_FF_GSR_OR_341 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_4_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U232 : X_LUT4
    generic map (
      INIT => X"B1A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N401,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N399,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_5_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U236 : X_LUT4
    generic map (
      INIT => X"B888"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_2_Q,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => U_CMD(6),
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_2_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_5_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_2_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_2_FFY_ASYNC_FF_GSR_OR_342 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_2_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_2_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_2_FFX_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_2_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_2_FFX_ASYNC_FF_GSR_OR_343 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_2_FFX_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U197 : X_LUT4
    generic map (
      INIT => X"A0B3"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N400,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_6_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U231 : X_LUT4
    generic map (
      INIT => X"FF51"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_RCD_END,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_6_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_6_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_6_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N400
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_6_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_6_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_6_FFY_ASYNC_FF_GSR_OR_344 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_6_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U230 : X_LUT4
    generic map (
      INIT => X"ACA0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG,
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N397,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_7_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U196 : X_LUT4
    generic map (
      INIT => X"00A8"
    )
    port map (
      ADR0 => I_DDR_CTLR_RCD_END,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_7_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_7_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_7_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N397
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_7_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_7_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_7_FFY_ASYNC_FF_GSR_OR_345 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_7_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U229 : X_LUT4
    generic map (
      INIT => X"8D88"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N397,
      O => I_DDR_CTLR_U_CONTROLLER_STATE200_8_Q
    );
  I_DDR_CTLR_U_CONTROLLER_U248 : X_LUT4
    generic map (
      INIT => X"FFDF"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_N393,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR3 => I_DDR_CTLR_BURST_2,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_8_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_8_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE_8_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N413
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_STATE200_8_Q,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_STATE_8_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q
    );
  I_DDR_CTLR_U_CONTROLLER_STATE_8_FFY_ASYNC_FF_GSR_OR_346 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_STATE_8_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_ADDR_LATCH_U136 : X_LUT4
    generic map (
      INIT => X"C5C0"
    )
    port map (
      ADR0 => U_ADDR(1),
      ADR1 => I_DDR_CTLR_BURST_2,
      ADR2 => I_DDR_CTLR_ADDR_RESET2,
      ADR3 => U_ADDR(0),
      O => I_DDR_CTLR_U_ADDR_LATCH_BURST_2174
    );
  I_DDR_CTLR_U_ADDR_LATCH_U135 : X_LUT4
    generic map (
      INIT => X"F909"
    )
    port map (
      ADR0 => U_ADDR(0),
      ADR1 => U_ADDR(1),
      ADR2 => I_DDR_CTLR_ADDR_RESET2,
      ADR3 => I_DDR_CTLR_BURST_8,
      O => I_DDR_CTLR_U_ADDR_LATCH_BURST_8179
    );
  I_DDR_CTLR_U_ADDR_LATCH_BURST_2_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_BURST_2174,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_ADDR_LATCH_N182,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_BURST_2
    );
  I_DDR_CTLR_U_ADDR_LATCH_BURST_8_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_BURST_8179,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_ADDR_LATCH_N182,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_BURST_8
    );
  I_DDR_CTLR_U_DATA_PATH_U716 : X_LUT4
    generic map (
      INIT => X"F4B0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(0),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(0),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(64),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U705 : X_LUT4
    generic map (
      INIT => X"F0D8"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(65),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(1),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(0),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(1),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U694 : X_LUT4
    generic map (
      INIT => X"EF20"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(66),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(0),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(0),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U683 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(67),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(0),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(3)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(2),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(2)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(3),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(0),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U672 : X_LUT4
    generic map (
      INIT => X"CCAC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(68),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(4),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(1),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U661 : X_LUT4
    generic map (
      INIT => X"AEA2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(5),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(1),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(69),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(5)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(4),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(4)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(5),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U656 : X_LUT4
    generic map (
      INIT => X"E2F0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(70),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(6),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U655 : X_LUT4
    generic map (
      INIT => X"CEC4"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(1),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(7),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(71),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(7)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(6),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(6)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(7),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(1),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U654 : X_LUT4
    generic map (
      INIT => X"CACC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(72),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(8),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U653 : X_LUT4
    generic map (
      INIT => X"CCE4"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(2),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(9),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(73),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(9)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(8),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(8)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(9),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(9)
    );
  I_DDR_CTLR_U_CONTROLLER_U208 : X_LUT4
    generic map (
      INIT => X"C0EA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N399,
      ADR2 => U_CMD(3),
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N408,
      O => I_DDR_CTLR_U_CONTROLLER_READ_CMD
    );
  I_DDR_CTLR_U_CONTROLLER_U246 : X_LUT4
    generic map (
      INIT => X"F0FD"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR1 => I_DDR_CTLR_RCD_END,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      O => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N408
    );
  I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_READ_CMD,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG
    );
  I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FFY_ASYNC_FF_GSR_OR_347 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET2,
      I1 => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_READ_CMD_REG_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U227 : X_LUT4
    generic map (
      INIT => X"FC30"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      ADR3 => I_DDR_CTLR_DDR_READ_EN(0),
      O => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222(0)
    );
  I_DDR_CTLR_U_CONTROLLER_U220 : X_LUT4
    generic map (
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CTLR_RESET2,
      ADR2 => I_DDR_CTLR_DDR_READ_EN(1),
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222(1)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_READ_EN(0)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_READ_EN(1)
    );
  I_DDR_CTLR_U_CONTROLLER_U219 : X_LUT4
    generic map (
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_DDR_READ_EN(2),
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222(2)
    );
  I_DDR_CTLR_U_CONTROLLER_U218 : X_LUT4
    generic map (
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_DDR_READ_EN(3),
      ADR2 => I_DDR_CTLR_CTLR_RESET2,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      O => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222(3)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_READ_EN(2)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_DDR_READ_EN222(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_READ_EN(3)
    );
  I_DDR_CTLR_U_CONTROLLER_U202 : X_LUT4
    generic map (
      INIT => X"FFAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR1 => VCC,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U247 : X_LUT4
    generic map (
      INIT => X"FFFB"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N393,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN
    );
  I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N395
    );
  I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1_GROM,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1
    );
  I_DDR_CTLR_U_DATA_PATH_U522 : X_LUT4
    generic map (
      INIT => X"000F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_DDR_DQS_T,
      ADR3 => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(0),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP132(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U523 : X_LUT4
    generic map (
      INIT => X"000F"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_DDR_DQS_T,
      ADR3 => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(1),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP132(1)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP132(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(0)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP132(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQS_O_TMP(1)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U132 : X_LUT4
    generic map (
      INIT => X"F0D8"
    )
    port map (
      ADR0 => I_DDR_CTLR_ROW_ADDR,
      ADR1 => U_ADDR(8),
      ADR2 => U_ADDR(0),
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U130 : X_LUT4
    generic map (
      INIT => X"AACA"
    )
    port map (
      ADR0 => U_ADDR(1),
      ADR1 => U_ADDR(9),
      ADR2 => I_DDR_CTLR_ROW_ADDR,
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(1)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(0),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(1),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(1)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U129 : X_LUT4
    generic map (
      INIT => X"B8AA"
    )
    port map (
      ADR0 => U_ADDR(2),
      ADR1 => I_DDR_CTLR_MRS_ADDR,
      ADR2 => U_ADDR(10),
      ADR3 => I_DDR_CTLR_ROW_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(2)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U128 : X_LUT4
    generic map (
      INIT => X"CCAC"
    )
    port map (
      ADR0 => U_ADDR(11),
      ADR1 => U_ADDR(3),
      ADR2 => I_DDR_CTLR_ROW_ADDR,
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(3)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(2),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(2)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(3),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(3)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U127 : X_LUT4
    generic map (
      INIT => X"DC8C"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => U_ADDR(4),
      ADR2 => I_DDR_CTLR_ROW_ADDR,
      ADR3 => U_ADDR(12),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(4)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U126 : X_LUT4
    generic map (
      INIT => X"CACC"
    )
    port map (
      ADR0 => U_ADDR(13),
      ADR1 => U_ADDR(5),
      ADR2 => I_DDR_CTLR_MRS_ADDR,
      ADR3 => I_DDR_CTLR_ROW_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(5)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(4),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(4)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(5),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(5)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U125 : X_LUT4
    generic map (
      INIT => X"F4B0"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => I_DDR_CTLR_ROW_ADDR,
      ADR2 => U_ADDR(6),
      ADR3 => U_ADDR(14),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(6)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U124 : X_LUT4
    generic map (
      INIT => X"FD08"
    )
    port map (
      ADR0 => I_DDR_CTLR_ROW_ADDR,
      ADR1 => U_ADDR(15),
      ADR2 => I_DDR_CTLR_MRS_ADDR,
      ADR3 => U_ADDR(7),
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(7)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(6),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(6)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(7),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(7)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U123 : X_LUT4
    generic map (
      INIT => X"CCA0"
    )
    port map (
      ADR0 => I_DDR_CTLR_ROW_ADDR,
      ADR1 => U_ADDR(8),
      ADR2 => U_ADDR(16),
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(8)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U118 : X_LUT4
    generic map (
      INIT => X"0808"
    )
    port map (
      ADR0 => U_ADDR(17),
      ADR1 => I_DDR_CTLR_ROW_ADDR,
      ADR2 => I_DDR_CTLR_MRS_ADDR,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(9)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(8),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(8)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(9),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U715 : X_LUT4
    generic map (
      INIT => X"E4F0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(74),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(10),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U714 : X_LUT4
    generic map (
      INIT => X"E4F0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(75),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(11),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(11)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(10),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(11),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(2),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U713 : X_LUT4
    generic map (
      INIT => X"CCAC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(76),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(12),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(3),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U712 : X_LUT4
    generic map (
      INIT => X"DC8C"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(13),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(3),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(77),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(13)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(12),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(12)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(13),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U704 : X_LUT4
    generic map (
      INIT => X"CEC4"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(5),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(20),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(5),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(84),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U703 : X_LUT4
    generic map (
      INIT => X"EF20"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(85),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(5),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(5),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(21),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(21)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(20),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(5),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(20)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(21),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(5),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U711 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(78),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(3),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(14),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U710 : X_LUT4
    generic map (
      INIT => X"F0D8"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(3),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(79),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(15),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(15)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(14),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(14)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(15),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(3),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U702 : X_LUT4
    generic map (
      INIT => X"F0D8"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(5),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(86),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(22),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(5),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U701 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(5),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(87),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(5),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(23),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(23)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(22),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(5),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(22)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(23),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(5),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U693 : X_LUT4
    generic map (
      INIT => X"CACC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(94),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(30),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(7),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(7),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U692 : X_LUT4
    generic map (
      INIT => X"FB08"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(95),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(7),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(7),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(31),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(31)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(30),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(7),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(30)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(31),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(7),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U682 : X_LUT4
    generic map (
      INIT => X"F0D8"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(10),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(104),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(40),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(40)
    );
  I_DDR_CTLR_U_DATA_PATH_U681 : X_LUT4
    generic map (
      INIT => X"BA8A"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(41),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(10),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(10),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(105),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(41)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_40_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(40),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(10),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(40)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_41_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(41),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(10),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(41)
    );
  I_DDR_CTLR_U_DATA_PATH_U709 : X_LUT4
    generic map (
      INIT => X"FD20"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(4),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(80),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(16),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U708 : X_LUT4
    generic map (
      INIT => X"AAE2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(17),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(4),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(81),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(17)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(16),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(4),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(16)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(17),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(4),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U691 : X_LUT4
    generic map (
      INIT => X"BA8A"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(32),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(8),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(8),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(96),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(32)
    );
  I_DDR_CTLR_U_DATA_PATH_U690 : X_LUT4
    generic map (
      INIT => X"CCAC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(97),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(33),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(8),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(33)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_32_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(32),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(8),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(32)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_33_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(33),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(8),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(33)
    );
  I_DDR_CTLR_U_DATA_PATH_U700 : X_LUT4
    generic map (
      INIT => X"F0D8"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(6),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(88),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(24),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(6),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U699 : X_LUT4
    generic map (
      INIT => X"EF20"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(89),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(6),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(6),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(25),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(25)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(24),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(6),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(24)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(25),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(6),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U680 : X_LUT4
    generic map (
      INIT => X"CACC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(106),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(42),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(10),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(42)
    );
  I_DDR_CTLR_U_DATA_PATH_U679 : X_LUT4
    generic map (
      INIT => X"F4B0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(10),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(10),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(43),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(107),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(43)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_42_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(42),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(10),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(42)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_43_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(43),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(10),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(43)
    );
  I_DDR_CTLR_U_DATA_PATH_U671 : X_LUT4
    generic map (
      INIT => X"BA8A"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(50),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(12),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(12),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(114),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(50)
    );
  I_DDR_CTLR_U_DATA_PATH_U670 : X_LUT4
    generic map (
      INIT => X"E2F0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(115),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(12),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(51),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(51)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_50_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(50),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(12),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(50)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_51_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(51),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(12),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(51)
    );
  I_DDR_CTLR_U_DATA_PATH_U698 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(6),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(90),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(6),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(26),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U697 : X_LUT4
    generic map (
      INIT => X"FD20"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(6),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(6),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(91),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(27),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(27)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(26),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(6),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(26)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(27),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(6),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U707 : X_LUT4
    generic map (
      INIT => X"D8CC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(18),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(82),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U706 : X_LUT4
    generic map (
      INIT => X"F4B0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(4),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(19),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(83),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(19)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(18),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(4),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(18)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(19),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(4),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U689 : X_LUT4
    generic map (
      INIT => X"AACA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(34),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(98),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(8),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(34)
    );
  I_DDR_CTLR_U_DATA_PATH_U688 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(8),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(99),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(8),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(35),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(35)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_34_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(34),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(8),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(34)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_35_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(35),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(8),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(35)
    );
  I_DDR_CTLR_U_DATA_PATH_U669 : X_LUT4
    generic map (
      INIT => X"CCAC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(116),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(52),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(13),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(52)
    );
  I_DDR_CTLR_U_DATA_PATH_U668 : X_LUT4
    generic map (
      INIT => X"CACC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(117),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(53),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(13),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(53)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_52_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(52),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(13),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(52)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_53_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(53),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(13),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(53)
    );
  I_DDR_CTLR_U_DATA_PATH_U678 : X_LUT4
    generic map (
      INIT => X"E4F0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(11),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(108),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(44),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(11),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(44)
    );
  I_DDR_CTLR_U_DATA_PATH_U677 : X_LUT4
    generic map (
      INIT => X"BA8A"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(45),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(11),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(11),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(109),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(45)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_44_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(44),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(11),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(44)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_45_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(45),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(11),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(45)
    );
  I_DDR_CTLR_U_DATA_PATH_U696 : X_LUT4
    generic map (
      INIT => X"FB40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(7),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(7),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(92),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(28),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U695 : X_LUT4
    generic map (
      INIT => X"F4B0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(7),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(7),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(29),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(93),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(29)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(28),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(7),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(28)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(29),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(7),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U687 : X_LUT4
    generic map (
      INIT => X"B8AA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(36),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(9),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(100),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(9),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(36)
    );
  I_DDR_CTLR_U_DATA_PATH_U686 : X_LUT4
    generic map (
      INIT => X"FB08"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(101),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(9),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(9),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(37),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(37)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_36_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(36),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(9),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(36)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_37_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(37),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(9),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(37)
    );
  I_DDR_CTLR_U_DATA_PATH_U660 : X_LUT4
    generic map (
      INIT => X"AEA2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(60),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(15),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(15),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(124),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(60)
    );
  I_DDR_CTLR_U_DATA_PATH_U659 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(15),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(125),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(15),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(61),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(61)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_60_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(60),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(15),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(60)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_61_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(61),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(15),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(61)
    );
  I_DDR_CTLR_U_DATA_PATH_U676 : X_LUT4
    generic map (
      INIT => X"ACAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(46),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(110),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(11),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(11),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(46)
    );
  I_DDR_CTLR_U_DATA_PATH_U675 : X_LUT4
    generic map (
      INIT => X"F2D0"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(11),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(11),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(47),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(111),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(47)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_46_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(46),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(11),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(46)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_47_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(47),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(11),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(47)
    );
  I_DDR_CTLR_U_DATA_PATH_U667 : X_LUT4
    generic map (
      INIT => X"CCE4"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(13),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(54),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(118),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(54)
    );
  I_DDR_CTLR_U_DATA_PATH_U666 : X_LUT4
    generic map (
      INIT => X"AAE2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(55),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(13),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(119),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(13),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(55)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_54_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(54),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(13),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(54)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_55_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(55),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(13),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(55)
    );
  I_DDR_CTLR_U_DATA_PATH_U685 : X_LUT4
    generic map (
      INIT => X"EF40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(9),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(102),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(9),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(38),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(38)
    );
  I_DDR_CTLR_U_DATA_PATH_U684 : X_LUT4
    generic map (
      INIT => X"F4B0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(9),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(9),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(39),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(103),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(39)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_38_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(38),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(9),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(38)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_39_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(39),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(9),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(39)
    );
  I_DDR_CTLR_U_DATA_PATH_U658 : X_LUT4
    generic map (
      INIT => X"B8AA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(62),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(15),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(126),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(15),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(62)
    );
  I_DDR_CTLR_U_DATA_PATH_U657 : X_LUT4
    generic map (
      INIT => X"D8CC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(15),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(63),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(127),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(15),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(63)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_62_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(62),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(15),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(62)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_63_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(63),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(15),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(63)
    );
  I_DDR_CTLR_U_DATA_PATH_U665 : X_LUT4
    generic map (
      INIT => X"FD20"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(14),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(14),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(120),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(56),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(56)
    );
  I_DDR_CTLR_U_DATA_PATH_U664 : X_LUT4
    generic map (
      INIT => X"F2D0"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(14),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(14),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(57),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(121),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(57)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_56_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(56),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(14),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(56)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_57_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(57),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(14),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(57)
    );
  I_DDR_CTLR_U_DATA_PATH_U674 : X_LUT4
    generic map (
      INIT => X"FB40"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(12),
      ADR1 => I_DDR_CTLR_DDR_WRITE_EN(12),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(112),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(48),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(48)
    );
  I_DDR_CTLR_U_DATA_PATH_U673 : X_LUT4
    generic map (
      INIT => X"E2F0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(113),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(12),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(49),
      ADR3 => I_DDR_CTLR_DDR_WRITE_EN(12),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(49)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_48_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(48),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(12),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(48)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_49_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(49),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(12),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(49)
    );
  I_DDR_CTLR_U_DATA_PATH_U663 : X_LUT4
    generic map (
      INIT => X"F2D0"
    )
    port map (
      ADR0 => I_DDR_CTLR_DDR_WRITE_EN(14),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(14),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(58),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(122),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(58)
    );
  I_DDR_CTLR_U_DATA_PATH_U662 : X_LUT4
    generic map (
      INIT => X"CCAC"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(123),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(59),
      ADR2 => I_DDR_CTLR_DDR_WRITE_EN(14),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(14),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(59)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_58_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(58),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(14),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(58)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP_REG_59_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP80(59),
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => I_DDR_CTLR_DDR_WRITE_EN(14),
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_O_TMP(59)
    );
  I_DDR_CTLR_U_CONTROLLER_U193 : X_LUT4
    generic map (
      INIT => X"00F7"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR1 => U_CMD(5),
      ADR2 => U_CMD(6),
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N397,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_ROW_ADDR
    );
  I_DDR_CTLR_ROW_ADDR_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_ROW_ADDR_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_ROW_ADDR_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_ROW_ADDR,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_ROW_ADDR_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_ROW_ADDR
    );
  I_DDR_CTLR_U_ADDR_LATCH_U131 : X_LUT4
    generic map (
      INIT => X"00F3"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_ROW_ADDR,
      ADR2 => U_ADDR(18),
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(10)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U119 : X_LUT4
    generic map (
      INIT => X"4400"
    )
    port map (
      ADR0 => I_DDR_CTLR_MRS_ADDR,
      ADR1 => U_ADDR(19),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_ROW_ADDR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(11)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(10),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(10)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O25(11),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_AD_O(11)
    );
  I_DDR_CTLR_U_CONTROLLER_U228 : X_LUT4
    generic map (
      INIT => X"FFAE"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_READ_EN_P1,
      ADR2 => I_DDR_CTLR_BURST_8,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      O => I_DDR_CTLR_U_CONTROLLER_CELL_116_U32_DATA2_0
    );
  I_DDR_CTLR_U_DATA_VALID_EN_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_U_DATA_VALID_EN_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_U_DATA_VALID_EN_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_CELL_116_U32_DATA2_0,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_DATA_VALID_EN_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_VALID_EN
    );
  I_DDR_CTLR_U_CSLT_CNTR_U27 : X_LUT4
    generic map (
      INIT => X"E2E2"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CSLT_CNTR_ARG64(0),
      ADR1 => I_DDR_CTLR_LD_CAS_LAT,
      ADR2 => I_DDR_CTLR_CAS_LAT_MAX(0),
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CSLT_CNTR_COUNT32(0)
    );
  I_DDR_CTLR_U_CSLT_CNTR_U26 : X_LUT4
    generic map (
      INIT => X"EE44"
    )
    port map (
      ADR0 => I_DDR_CTLR_LD_CAS_LAT,
      ADR1 => I_DDR_CTLR_U_CSLT_CNTR_ARG64(1),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_CAS_LAT_MAX(1),
      O => I_DDR_CTLR_U_CSLT_CNTR_COUNT32(1)
    );
  I_DDR_CTLR_U_CSLT_CNTR_COUNT_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_COUNT32(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CSLT_CNTR_COUNT(0)
    );
  I_DDR_CTLR_U_CSLT_CNTR_COUNT_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_COUNT32(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_CSLT_CNTR_COUNT(1)
    );
  I_DDR_CTLR_U_CONTROLLER_U190 : X_LUT4
    generic map (
      INIT => X"0005"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_TMP1,
      O => I_DDR_CTLR_U_CONTROLLER_N_493
    );
  I_DDR_CTLR_U_CONTROLLER_U209 : X_LUT4
    generic map (
      INIT => X"FFFA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_3_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q,
      O => I_DDR_CTLR_DDR_DQS_T_FROM
    );
  I_DDR_CTLR_DDR_DQS_T_CKINV : X_INV
    port map (
      I => I_DDR_CTLR_FPGA_CLK2X,
      O => I_DDR_CTLR_DDR_DQS_T_CLKNOT
    );
  I_DDR_CTLR_DDR_DQS_T_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_DDR_DQS_T_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N_157
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_DQS_T_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N_493,
      CLK => I_DDR_CTLR_DDR_DQS_T_CLKNOT,
      CE => I_DDR_CTLR_U_CONTROLLER_LAC_CLK,
      SET => I_DDR_CTLR_DDR_DQS_T_FFY_ASYNC_FF_GSR_OR,
      RST => GND,
      O => I_DDR_CTLR_DDR_DQS_T
    );
  I_DDR_CTLR_DDR_DQS_T_FFY_ASYNC_FF_GSR_OR_348 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CTLR_RESET3,
      I1 => GSR,
      O => I_DDR_CTLR_DDR_DQS_T_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_CONTROLLER_U191 : X_LUT4
    generic map (
      INIT => X"0001"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      O => I_DDR_CTLR_LD_BURST_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U210 : X_LUT4
    generic map (
      INIT => X"FFFE"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_2_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_4_Q,
      O => I_DDR_CTLR_LD_BURST_FROM
    );
  I_DDR_CTLR_LD_BURST_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_BURST_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_BURST
    );
  I_DDR_CTLR_LD_BURST_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_LD_BURST_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N_154
    );
  I_DDR_CTLR_LD_BURST_CEMUX : X_INV
    port map (
      I => I_DDR_CTLR_CTLR_RESET2,
      O => I_DDR_CTLR_LD_BURST_CENOT
    );
  I_DDR_CTLR_U_CONTROLLER_LD_BURST_REG : X_FF
    port map (
      I => I_DDR_CTLR_LD_BURST_GROM,
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_LD_BURST_CENOT,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_LD_BURST
    );
  I_DDR_CTLR_U_ADDR_LATCH_U121 : X_LUT4
    generic map (
      INIT => X"AF5F"
    )
    port map (
      ADR0 => U_ADDR(6),
      ADR1 => VCC,
      ADR2 => U_ADDR(4),
      ADR3 => U_ADDR(5),
      O => I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U117 : X_LUT4
    generic map (
      INIT => X"2200"
    )
    port map (
      ADR0 => U_ADDR(4),
      ADR1 => U_ADDR(6),
      ADR2 => VCC,
      ADR3 => U_ADDR(5),
      O => I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX(1)
    );
  I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_MAX_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX(0),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_MRS_ADDR,
      SET => GND,
      RST => I_DDR_CTLR_CAS_LAT_MAX_1_FFY_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_CAS_LAT_MAX(0)
    );
  I_DDR_CTLR_CAS_LAT_MAX_1_FFY_RSTOR : X_BUF
    port map (
      I => I_DDR_CTLR_ADDR_RESET2,
      O => I_DDR_CTLR_CAS_LAT_MAX_1_FFY_RST
    );
  I_DDR_CTLR_CAS_LAT_MAX_1_FFY_ASYNC_FF_GSR_OR_349 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CAS_LAT_MAX_1_FFY_RST,
      I1 => GSR,
      O => I_DDR_CTLR_CAS_LAT_MAX_1_FFY_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_MAX_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_NEXT_CAS_LAT_MAX(1),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_MRS_ADDR,
      SET => GND,
      RST => I_DDR_CTLR_CAS_LAT_MAX_1_FFX_ASYNC_FF_GSR_OR,
      O => I_DDR_CTLR_CAS_LAT_MAX(1)
    );
  I_DDR_CTLR_CAS_LAT_MAX_1_FFX_RSTOR : X_BUF
    port map (
      I => I_DDR_CTLR_ADDR_RESET2,
      O => I_DDR_CTLR_CAS_LAT_MAX_1_FFX_RST
    );
  I_DDR_CTLR_CAS_LAT_MAX_1_FFX_ASYNC_FF_GSR_OR_350 : X_OR2
    port map (
      I0 => I_DDR_CTLR_CAS_LAT_MAX_1_FFX_RST,
      I1 => GSR,
      O => I_DDR_CTLR_CAS_LAT_MAX_1_FFX_ASYNC_FF_GSR_OR
    );
  I_DDR_CTLR_U_DATA_PATH_U521 : X_LUT4
    generic map (
      INIT => X"A0A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_VALID_EN,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_DATA_PATH_N_10725
    );
  I_DDR_CTLR_U_DATA_PATH_U520 : X_LUT4
    generic map (
      INIT => X"8888"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P4,
      ADR2 => VCC,
      ADR3 => VCC,
      O => I_DDR_CTLR_U_DATA_PATH_N_10708
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_20_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_N_10725,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_20
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_25_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_N_10708,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_25
    );
  I_DDR_CTLR_U_ADDR_LATCH_U134 : X_LUT4
    generic map (
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_ADDR_RESET2,
      ADR3 => I_DDR_CTLR_U_ADDR_LATCH_N232,
      O => I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U120 : X_LUT4
    generic map (
      INIT => X"2288"
    )
    port map (
      ADR0 => U_ADDR(6),
      ADR1 => U_ADDR(4),
      ADR2 => VCC,
      ADR3 => U_ADDR(5),
      O => I_DDR_CTLR_CAS_LAT_HALF_0_FROM
    );
  I_DDR_CTLR_CAS_LAT_HALF_0_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_CAS_LAT_HALF_0_FROM,
      O => I_DDR_CTLR_U_ADDR_LATCH_N232
    );
  I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168(0),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_ADDR_LATCH_N182,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_CAS_LAT_HALF(0)
    );
  I_DDR_CTLR_U_CONTROLLER_U187 : X_LUT4
    generic map (
      INIT => X"00F0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_12_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N395,
      O => I_DDR_CTLR_U_CONTROLLER_N404_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U204 : X_LUT4
    generic map (
      INIT => X"FC54"
    )
    port map (
      ADR0 => I_DDR_CTLR_BURST_8,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N394,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N396,
      ADR3 => I_DDR_CTLR_BURST_END,
      O => I_DDR_CTLR_U_CONTROLLER_N404_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N404_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N404_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N396
    );
  I_DDR_CTLR_U_CONTROLLER_N404_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N404_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N404
    );
  I_DDR_CTLR_U_CONTROLLER_U237 : X_LUT4
    generic map (
      INIT => X"CC80"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT,
      ADR1 => I_DDR_CTLR_BURST_2,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_N402,
      O => I_DDR_CTLR_U_CONTROLLER_N411_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U238 : X_LUT4
    generic map (
      INIT => X"C0C8"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_BURST,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N393,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N410,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      O => I_DDR_CTLR_U_CONTROLLER_N411_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N411_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N411_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N410
    );
  I_DDR_CTLR_U_CONTROLLER_N411_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N411_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N411
    );
  I_DDR_CTLR_U_CONTROLLER_U195 : X_LUT4
    generic map (
      INIT => X"0003"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_6_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_5_Q,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      O => I_DDR_CTLR_U_CONTROLLER_N394_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U186 : X_LUT4
    generic map (
      INIT => X"2000"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_11_Q,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_8_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N393,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_CAS_LAT,
      O => I_DDR_CTLR_U_CONTROLLER_N394_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N394_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N394_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N393
    );
  I_DDR_CTLR_U_CONTROLLER_N394_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N394_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N394
    );
  I_DDR_CTLR_U_CONTROLLER_U242 : X_LUT4
    generic map (
      INIT => X"AFAB"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_STATE_10_Q,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_STATE_7_Q,
      ADR3 => I_DDR_CTLR_BURST_2,
      O => I_DDR_CTLR_U_CONTROLLER_N415_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U243 : X_LUT4
    generic map (
      INIT => X"0400"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_CONTROLLER_STATE_1_Q,
      ADR1 => I_DDR_CTLR_CAS_LAT_END,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N414,
      ADR3 => I_DDR_CTLR_U_CONTROLLER_NEXT_LD_RCD,
      O => I_DDR_CTLR_U_CONTROLLER_N415_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N415_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N415_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N414
    );
  I_DDR_CTLR_U_CONTROLLER_N415_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N415_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N415
    );
  I_DDR_CTLR_U_CONTROLLER_U198 : X_LUT4
    generic map (
      INIT => X"0303"
    )
    port map (
      ADR0 => VCC,
      ADR1 => U_CMD(3),
      ADR2 => U_CMD(4),
      ADR3 => VCC,
      O => I_DDR_CTLR_U_CONTROLLER_N403_GROM
    );
  I_DDR_CTLR_U_CONTROLLER_U203 : X_LUT4
    generic map (
      INIT => X"AAEA"
    )
    port map (
      ADR0 => I_DDR_CTLR_CTLR_RESET2,
      ADR1 => I_DDR_CTLR_U_CONTROLLER_N399,
      ADR2 => I_DDR_CTLR_U_CONTROLLER_N401,
      ADR3 => U_CMD(2),
      O => I_DDR_CTLR_U_CONTROLLER_N403_FROM
    );
  I_DDR_CTLR_U_CONTROLLER_N403_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N403_GROM,
      O => I_DDR_CTLR_U_CONTROLLER_N401
    );
  I_DDR_CTLR_U_CONTROLLER_N403_XUSED : X_BUF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_N403_FROM,
      O => I_DDR_CTLR_U_CONTROLLER_N403
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_32_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(32),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(32)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_33_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(33),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(33)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_40_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(40),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(40)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_41_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(41),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(41)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_48_Q : X_FF
    port map (
      I => U_DATA_I(48),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(48)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_49_Q : X_FF
    port map (
      I => U_DATA_I(49),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(49)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_56_Q : X_FF
    port map (
      I => U_DATA_I(56),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(56)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_57_Q : X_FF
    port map (
      I => U_DATA_I(57),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(57)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_64_Q : X_FF
    port map (
      I => U_DATA_I(64),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(64)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_65_Q : X_FF
    port map (
      I => U_DATA_I(65),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(65)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_72_Q : X_FF
    port map (
      I => U_DATA_I(72),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(72)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_73_Q : X_FF
    port map (
      I => U_DATA_I(73),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(73)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_80_Q : X_FF
    port map (
      I => U_DATA_I(80),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(80)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_81_Q : X_FF
    port map (
      I => U_DATA_I(81),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(81)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_34_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(34),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(34)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_35_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(35),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(35)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_42_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(42),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(42)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_43_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(43),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(43)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_50_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(50),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(50)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_51_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(51),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(51)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(2),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(3),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_58_Q : X_FF
    port map (
      I => U_DATA_I(58),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(58)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_59_Q : X_FF
    port map (
      I => U_DATA_I(59),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(59)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_66_Q : X_FF
    port map (
      I => U_DATA_I(66),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(66)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_67_Q : X_FF
    port map (
      I => U_DATA_I(67),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(67)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_74_Q : X_FF
    port map (
      I => U_DATA_I(74),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(74)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_75_Q : X_FF
    port map (
      I => U_DATA_I(75),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(75)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_82_Q : X_FF
    port map (
      I => U_DATA_I(82),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(82)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_83_Q : X_FF
    port map (
      I => U_DATA_I(83),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(83)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_90_Q : X_FF
    port map (
      I => U_DATA_I(90),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(90)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_91_Q : X_FF
    port map (
      I => U_DATA_I(91),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(91)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_36_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(36),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(36)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_37_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(37),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(37)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_44_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(44),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(44)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_45_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(45),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(45)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_52_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(52),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(52)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_53_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(53),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(53)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_60_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(60),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(60)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_61_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(61),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(61)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(4),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(5),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(10),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(11),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_11_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_68_Q : X_FF
    port map (
      I => U_DATA_I(68),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(68)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_69_Q : X_FF
    port map (
      I => U_DATA_I(69),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(69)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_76_Q : X_FF
    port map (
      I => U_DATA_I(76),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(76)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_77_Q : X_FF
    port map (
      I => U_DATA_I(77),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(77)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_84_Q : X_FF
    port map (
      I => U_DATA_I(84),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(84)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_85_Q : X_FF
    port map (
      I => U_DATA_I(85),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(85)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_92_Q : X_FF
    port map (
      I => U_DATA_I(92),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(92)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_93_Q : X_FF
    port map (
      I => U_DATA_I(93),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(93)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_38_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(38),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(38)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_39_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(39),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(39)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_46_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(46),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(46)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_47_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(47),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(47)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_54_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(54),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(54)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_55_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(55),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(55)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_62_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(62),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(62)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_63_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(63),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(63)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_70_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(70),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(70)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_71_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(71),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(71)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(6),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(7),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(12),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(13),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_13_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_78_Q : X_FF
    port map (
      I => U_DATA_I(78),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(78)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_79_Q : X_FF
    port map (
      I => U_DATA_I(79),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(79)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_86_Q : X_FF
    port map (
      I => U_DATA_I(86),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(86)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_87_Q : X_FF
    port map (
      I => U_DATA_I(87),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(87)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_94_Q : X_FF
    port map (
      I => U_DATA_I(94),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(94)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_95_Q : X_FF
    port map (
      I => U_DATA_I(95),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(95)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_48_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(48),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(48)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_49_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(49),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(49)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_56_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(56),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(56)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_57_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(57),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(57)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_64_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(64),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(64)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_65_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(65),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(65)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_72_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(72),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(72)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_73_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(73),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(73)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_80_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(80),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(80)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_81_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(81),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(81)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(8),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(9),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(14),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(15),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1_15_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_P1(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_88_Q : X_FF
    port map (
      I => U_DATA_I(88),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(88)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_89_Q : X_FF
    port map (
      I => U_DATA_I(89),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(89)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_96_Q : X_FF
    port map (
      I => U_DATA_I(96),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(96)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_97_Q : X_FF
    port map (
      I => U_DATA_I(97),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(97)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_58_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(58),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(58)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_59_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(59),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(59)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_66_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(66),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(66)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_67_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(67),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(67)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_74_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(74),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(74)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_75_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(75),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(75)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_82_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(82),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(82)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_83_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(83),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(83)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_90_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(90),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(90)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_91_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(91),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(91)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_98_Q : X_FF
    port map (
      I => U_DATA_I(98),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(98)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1_REG_99_Q : X_FF
    port map (
      I => U_DATA_I(99),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(99)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_68_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(68),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(68)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_69_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(69),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(69)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_76_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(76),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(76)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_77_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(77),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(77)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_84_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(84),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(84)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_85_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(85),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(85)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_92_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(92),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(92)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_93_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(93),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(93)
    );
  I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_LOGIC_ONE_351 : X_ONE
    port map (
      O => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_LOGIC_ONE
    );
  I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_CSLT_CNTR_N_1,
      O => I_DDR_CTLR_U_CSLT_CNTR_CSLT_END1_5
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_78_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(78),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(78)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_79_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(79),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(79)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_86_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(86),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(86)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_87_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(87),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(87)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_94_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(94),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(94)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_95_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(95),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(95)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_88_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(88),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(88)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_89_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(89),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(89)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_96_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(96),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(96)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_97_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(97),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(97)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_98_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(98),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(98)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_99_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(99),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(99)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CLKNOT
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_REG_0_Q : X_FF
    port map (
      I => U_ADDR(20),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O(0)
    );
  I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_REG_1_Q : X_FF
    port map (
      I => U_ADDR(21),
      CLK => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_ADDR_LATCH_DDR_BA_O(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U524 : X_LUT4
    generic map (
      INIT => X"E4E4"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(1),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_20,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_25,
      ADR3 => VCC,
      O => U_DATA_VALID_GROM
    );
  U_DATA_VALID_YUSED : X_BUF
    port map (
      I => U_DATA_VALID_GROM,
      O => U_DATA_VALID
    );
  I_DDR_CTLR_U_DATA_PATH_U621 : X_LUT4
    generic map (
      INIT => X"F0CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(12),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(12),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_11_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U630 : X_LUT4
    generic map (
      INIT => X"CACA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(11),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(11),
      ADR2 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR3 => VCC,
      O => U_DATA_O_11_FROM
    );
  U_DATA_O_11_YUSED : X_BUF
    port map (
      I => U_DATA_O_11_GROM,
      O => U_DATA_O(12)
    );
  U_DATA_O_11_XUSED : X_BUF
    port map (
      I => U_DATA_O_11_FROM,
      O => U_DATA_O(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U613 : X_LUT4
    generic map (
      INIT => X"B8B8"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(1),
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(1),
      ADR3 => VCC,
      O => U_DATA_O_15_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U618 : X_LUT4
    generic map (
      INIT => X"CFC0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(15),
      ADR2 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(15),
      O => U_DATA_O_15_FROM
    );
  U_DATA_O_15_YUSED : X_BUF
    port map (
      I => U_DATA_O_15_GROM,
      O => U_DATA_O(1)
    );
  U_DATA_O_15_XUSED : X_BUF
    port map (
      I => U_DATA_O_15_FROM,
      O => U_DATA_O(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U525 : X_LUT4
    generic map (
      INIT => X"FA50"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(9),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(9),
      O => U_DATA_O_8_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U536 : X_LUT4
    generic map (
      INIT => X"F5A0"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(8),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(8),
      O => U_DATA_O_8_FROM
    );
  U_DATA_O_8_YUSED : X_BUF
    port map (
      I => U_DATA_O_8_GROM,
      O => U_DATA_O(9)
    );
  U_DATA_O_8_XUSED : X_BUF
    port map (
      I => U_DATA_O_8_FROM,
      O => U_DATA_O(8)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(0)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U641 : X_LUT4
    generic map (
      INIT => X"E4E4"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(10),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(10),
      ADR3 => VCC,
      O => U_DATA_O_0_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U652 : X_LUT4
    generic map (
      INIT => X"E4E4"
    )
    port map (
      ADR0 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(0),
      ADR3 => VCC,
      O => U_DATA_O_0_FROM
    );
  U_DATA_O_0_YUSED : X_BUF
    port map (
      I => U_DATA_O_0_GROM,
      O => U_DATA_O(10)
    );
  U_DATA_O_0_XUSED : X_BUF
    port map (
      I => U_DATA_O_0_FROM,
      O => U_DATA_O(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U619 : X_LUT4
    generic map (
      INIT => X"F0AA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(14),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(14),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_13_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U620 : X_LUT4
    generic map (
      INIT => X"CCAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(13),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(13),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_13_FROM
    );
  U_DATA_O_13_YUSED : X_BUF
    port map (
      I => U_DATA_O_13_GROM,
      O => U_DATA_O(14)
    );
  U_DATA_O_13_XUSED : X_BUF
    port map (
      I => U_DATA_O_13_FROM,
      O => U_DATA_O(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U547 : X_LUT4
    generic map (
      INIT => X"F0CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(7),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(7),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_6_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U558 : X_LUT4
    generic map (
      INIT => X"CCAA"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(6),
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(6),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_6_FROM
    );
  U_DATA_O_6_YUSED : X_BUF
    port map (
      I => U_DATA_O_6_GROM,
      O => U_DATA_O(7)
    );
  U_DATA_O_6_XUSED : X_BUF
    port map (
      I => U_DATA_O_6_FROM,
      O => U_DATA_O(6)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(2)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U591 : X_LUT4
    generic map (
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(3),
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(3),
      O => U_DATA_O_2_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U602 : X_LUT4
    generic map (
      INIT => X"BB88"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(2),
      ADR1 => I_DDR_CTLR_CAS_LAT_HALF(0),
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(2),
      O => U_DATA_O_2_FROM
    );
  U_DATA_O_2_YUSED : X_BUF
    port map (
      I => U_DATA_O_2_GROM,
      O => U_DATA_O(3)
    );
  U_DATA_O_2_XUSED : X_BUF
    port map (
      I => U_DATA_O_2_FROM,
      O => U_DATA_O(2)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(4)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U569 : X_LUT4
    generic map (
      INIT => X"F0CC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(5),
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(5),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_4_GROM
    );
  I_DDR_CTLR_U_DATA_PATH_U580 : X_LUT4
    generic map (
      INIT => X"AAF0"
    )
    port map (
      ADR0 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25(4),
      ADR1 => VCC,
      ADR2 => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20(4),
      ADR3 => I_DDR_CTLR_CAS_LAT_HALF(0),
      O => U_DATA_O_4_FROM
    );
  U_DATA_O_4_YUSED : X_BUF
    port map (
      I => U_DATA_O_4_GROM,
      O => U_DATA_O(5)
    );
  U_DATA_O_4_XUSED : X_BUF
    port map (
      I => U_DATA_O_4_FROM,
      O => U_DATA_O(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(5)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(6)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(7)
    );
  I_DDR_CTLR_U_ADDR_LATCH_U122 : X_LUT4
    generic map (
      INIT => X"FFCC"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_ADDR_RESET2,
      ADR2 => VCC,
      ADR3 => I_DDR_CTLR_MRS_ADDR,
      O => I_DDR_CTLR_CAS_LAT_HALF_1_GROM
    );
  I_DDR_CTLR_U_ADDR_LATCH_U133 : X_LUT4
    generic map (
      INIT => X"F3C0"
    )
    port map (
      ADR0 => VCC,
      ADR1 => I_DDR_CTLR_ADDR_RESET2,
      ADR2 => I_DDR_CTLR_CAS_LAT_HALF(1),
      ADR3 => I_DDR_CTLR_U_ADDR_LATCH_N232,
      O => I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168(1)
    );
  I_DDR_CTLR_CAS_LAT_HALF_1_YUSED : X_BUF
    port map (
      I => I_DDR_CTLR_CAS_LAT_HALF_1_GROM,
      O => I_DDR_CTLR_U_ADDR_LATCH_N182
    );
  I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_ADDR_LATCH_CAS_LAT_HALF168(1),
      CLK => FPGA_CLK,
      CE => I_DDR_CTLR_U_ADDR_LATCH_N182,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_CAS_LAT_HALF(1)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(8)
    );
  I_DDR_CTLR_U_CONTROLLER_DDR_WRITE_EN_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_CONTROLLER_NEXT_DDR_WRITE_EN_P1,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_DDR_WRITE_EN(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P3(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(9)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(0)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(1)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(2),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(2)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(3),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(3)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(4),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(4)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(5),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(5)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(6),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(6)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(7),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(7)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(8),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(8)
    );
  I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(9),
      CLK => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_WRITE_DATA(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP_REG2_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_25_TMP(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_VALID_EN,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P2_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P1,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P2
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P2,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P4_REG : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P3,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_VALID_EN_P4
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(0),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(1),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(2),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(3),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(4),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(5),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(6),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(7),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(8),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5_REG_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P4(9),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P5(9)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_3_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(1),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_3_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_3_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_3_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_2 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_3_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_3 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_3_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_5_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(3),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_5_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_5_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_5_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_4 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_5_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_5 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_5_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(5)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_7_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(5),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_7_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_7_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(6),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_7_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_6 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_7_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_7 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_7_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(7)
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_9_BYMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(7),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_9_BYNOT
    );
  I_DDR_CTLR_U_DATA_PATH_LAC_CLK_9_BXMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(8),
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_9_BXNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_8 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_9_BYNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_9 : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_LAC_CLK_9_BXNOT,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_LAC_CLK(9)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_10_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(10),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(10)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_11_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(11),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_12_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(12),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(12)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_13_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(13),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(13)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_20_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(20),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(20)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_21_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(21),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(21)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_14_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(14),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(14)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_15_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(15),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(15)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_22_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(22),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(22)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_23_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(23),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(23)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_30_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(30),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(30)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_31_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(31),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_16_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(16),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(16)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_17_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(17),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(17)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_24_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(24),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(24)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_25_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(25),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(25)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_32_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(32),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(32)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_33_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(33),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(33)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_40_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(40),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(40)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_41_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(41),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(41)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_18_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(18),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(18)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_19_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(19),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(19)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_26_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(26),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(26)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_27_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(27),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(27)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_34_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(34),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(34)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_35_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(35),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(35)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_42_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(42),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(42)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_43_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(43),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(43)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_50_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(50),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(50)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_51_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(51),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(51)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_28_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(28),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(28)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_29_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(29),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(29)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_36_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(36),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(36)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_37_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(37),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(37)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_44_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(44),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(44)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_45_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(45),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(45)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_52_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(52),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(52)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_53_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(53),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(53)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_60_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(60),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(60)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_61_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(61),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(61)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_38_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(38),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(38)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_39_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(39),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(39)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_46_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(46),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(46)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_47_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(47),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(47)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_54_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(54),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(54)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_55_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(55),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(55)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_62_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(62),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(62)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_63_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(63),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(63)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_70_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(70),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(70)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_71_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(71),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(71)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_48_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(48),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(48)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_49_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(49),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(49)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_56_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(56),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(56)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_57_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(57),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(57)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_64_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(64),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(64)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_65_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(65),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(65)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_72_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(72),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(72)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_73_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(73),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(73)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_80_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(80),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(80)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_81_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(81),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(81)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_58_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(58),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(58)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_59_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(59),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(59)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_66_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(66),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(66)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_67_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(67),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(67)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_74_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(74),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(74)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_75_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(75),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(75)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_82_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(82),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(82)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_83_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(83),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(83)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_90_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(90),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(90)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_91_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(91),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(91)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_0_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(0),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(0)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_1_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(1),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_1_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(1)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_68_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(68),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(68)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_69_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(69),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(69)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_76_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(76),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(76)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_77_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(77),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(77)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_84_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(84),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(84)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_85_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(85),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(85)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_92_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(92),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(92)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_93_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(93),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(93)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE_352 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_10_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(10)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_11_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_11_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(2),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(11)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_2_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(2),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(2)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_3_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(3),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_3_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(3)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_78_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(78),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(78)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_79_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(79),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(79)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_86_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(86),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(86)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_87_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(87),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(87)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_94_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(94),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(94)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_95_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(95),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(95)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE_353 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_12_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(12)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_13_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_13_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(13)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_21_LOGIC_ONE_354 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_21_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_20_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_21_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(5),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(20)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_21_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_21_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(5),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(21)
    );
  I_DDR_CTLR_U_BRST_CNTR_B_1_LOGIC_ONE_355 : X_ONE
    port map (
      O => I_DDR_CTLR_U_BRST_CNTR_B_1_LOGIC_ONE
    );
  I_DDR_CTLR_U_BRST_CNTR_B_1_REG : X_SFF
    port map (
      I => I_DDR_CTLR_U_BRST_CNTR_B_1_LOGIC_ONE,
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_LD_BURST,
      O => I_DDR_CTLR_U_BRST_CNTR_B_1
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_4_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(4),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(4)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_5_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(5),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_5_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(5)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_88_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(88),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(88)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_89_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(89),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(89)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_96_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(96),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(96)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_97_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(97),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(97)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE_356 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_14_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(14)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_15_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_15_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(3),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(15)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_23_LOGIC_ONE_357 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_23_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_22_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_23_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(5),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(22)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_23_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_23_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(5),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(23)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_31_LOGIC_ONE_358 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_31_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_30_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_31_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(7),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(30)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_31_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_31_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(7),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(31)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_6_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(6),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(6)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_7_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(7),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_7_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(7)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_98_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(98),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(98)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2_REG_99_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P1(99),
      CLK => FPGA_CLK,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_I_P2(99)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_17_LOGIC_ONE_359 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_17_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_16_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_17_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(16)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_17_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_17_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(4),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(17)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_25_LOGIC_ONE_360 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_25_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_24_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_25_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(6),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(24)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_25_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_25_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(6),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(25)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_33_LOGIC_ONE_361 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_33_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_32_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_33_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(32)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_33_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_33_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(8),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(33)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_41_LOGIC_ONE_362 : X_ONE
    port map (
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_41_LOGIC_ONE
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_40_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_41_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(40)
    );
  I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_REG_41_Q : X_SFF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T_41_LOGIC_ONE,
      CLK => I_DDR_CTLR_FPGA_CLK2X,
      CE => VCC,
      SET => GND,
      RST => GSR,
      SSET => GND,
      SRST => I_DDR_CTLR_U_DATA_PATH_DDR_WRITE_EN_P1_5(10),
      O => I_DDR_CTLR_U_DATA_PATH_DDR_DQ_T(41)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CKINV : X_INV
    port map (
      I => FPGA_CLK,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CLKNOT
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_8_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(8),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(8)
    );
  I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_REG2_9_Q : X_FF
    port map (
      I => I_DDR_CTLR_U_DATA_PATH_READ_DATA_DLY(9),
      CLK => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP_9_CLKNOT,
      CE => VCC,
      SET => GND,
      RST => GSR,
      O => I_DDR_CTLR_U_DATA_PATH_U_DATA_O_20_TMP(9)
    );
  I_DDR_CTLR_U_CLK_DLLS_DLL_INT : X_CLKDLL2
    generic map (
      CLKDV_DIVIDE => 2.0,
      DUTY_CYCLE_CORRECTION => TRUE,
      MAXPERCLKIN => 40000 ps
    )
    port map (
      RST => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_RSTNOT,
      CLKFB => FPGA_CLK,
      CLKIN => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_FB,
      NOADJUST => GND,
      CLK0 => I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK_OUT_O,
      CLK180 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK180,
      CLK270 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK270,
      CLK2X => I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK2X_OUT_O,
      CLK90 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK90,
      CLKDV => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLKDV,
      LOCKED => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_LOCKED,
      CLK2X180 => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_CLK2X180,
      CLKLOST => NGD2VHDL_X_5090_12,
      NOTINPHASE => NGD2VHDL_X_5090_13
    );
  I_DDR_CTLR_U_CLK_DLLS_DLL_INT_RSTMUX : X_INV
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOCKED,
      O => I_DDR_CTLR_U_CLK_DLLS_DLL_INT_RSTNOT
    );
  I_DDR_CTLR_U_CLK_DLLS_DLL_EXT : X_CLKDLL2
    generic map (
      CLKDV_DIVIDE => 2.0,
      DUTY_CYCLE_CORRECTION => TRUE,
      MAXPERCLKIN => 40000 ps
    )
    port map (
      RST => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOGIC_ZERO,
      CLKFB => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_FB,
      CLKIN => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY,
      NOADJUST => GND,
      CLK0 => I_DDR_CTLR_U_CLK_DLLS_DDR_CLK_OUT_O,
      CLK180 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK180,
      CLK270 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK270,
      CLK2X => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK2X,
      CLK90 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK90,
      CLKDV => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLKDV,
      LOCKED => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOCKED,
      CLK2X180 => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_CLK2X180,
      CLKLOST => NGD2VHDL_X_5093_12,
      NOTINPHASE => NGD2VHDL_X_5093_13
    );
  I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOGIC_ZERO_363 : X_ZERO
    port map (
      O => I_DDR_CTLR_U_CLK_DLLS_DLL_EXT_LOGIC_ZERO
    );
  GND_364 : X_ZERO
    port map (
      O => GND
    );
  U_CLK_BUF : X_CKBUF
    port map (
      I => U_CLK,
      O => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_DLY
    );
  U_CLK_FB_BUF : X_CKBUF
    port map (
      I => U_CLK_FB,
      O => I_DDR_CTLR_U_CLK_DLLS_SYS_CLK_FB
    );
  I_DDR_CTLR_U_CLK_DLLS_BUFG_CLK2X_OUT_BUF : X_CKBUF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK2X_OUT_O,
      O => I_DDR_CTLR_FPGA_CLK2X
    );
  I_DDR_CTLR_U_CLK_DLLS_BUFG_CLK_OUT_BUF : X_CKBUF
    port map (
      I => I_DDR_CTLR_U_CLK_DLLS_FPGA_CLK_OUT_O,
      O => FPGA_CLK
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8_2_INV_365 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_8_2_INV
    );
  DDR_DQ_56_OUTBUF_GTS_AND_1_INV_366 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_56_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_48_OUTBUF_GTS_AND_1_INV_367 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_48_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9_2_INV_368 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_9_2_INV
    );
  DDR_DQ_49_OUTBUF_GTS_AND_1_INV_369 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_49_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_57_OUTBUF_GTS_AND_1_INV_370 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_57_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_58_OUTBUF_GTS_AND_1_INV_371 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_58_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS_2_INV_372 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CONTROLLER_O_DDR_RAS_2_INV
    );
  DDR_DQ_59_OUTBUF_GTS_AND_1_INV_373 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_59_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_REF_ACK0_2_INV_374 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_REF_ACK0_2_INV
    );
  DDR_DQ_0_OUTBUF_GTS_AND_1_INV_375 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_0_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS_2_INV_376 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CONTROLLER_O_DDR_CAS_2_INV
    );
  DDR_DQ_1_OUTBUF_GTS_AND_1_INV_377 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_1_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_0_2_INV_378 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_0_2_INV
    );
  DDR_DQ_2_OUTBUF_GTS_AND_1_INV_379 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_2_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_1_2_INV_380 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_1_2_INV
    );
  DDR_DQ_3_OUTBUF_GTS_AND_1_INV_381 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_3_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQS_0_OUTBUF_GTS_AND_1_INV_382 : X_INV
    port map (
      I => GTS,
      O => DDR_DQS_0_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_2_2_INV_383 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_2_2_INV
    );
  DDR_DQ_4_OUTBUF_GTS_AND_1_INV_384 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_4_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQS_1_OUTBUF_GTS_AND_1_INV_385 : X_INV
    port map (
      I => GTS,
      O => DDR_DQS_1_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_3_2_INV_386 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_3_2_INV
    );
  DDR_DQ_5_OUTBUF_GTS_AND_1_INV_387 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_5_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_O_DDR_CKE_2_INV_388 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_O_DDR_CKE_2_INV
    );
  I_USER_INT_U_DO_4_2_INV_389 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_4_2_INV
    );
  DDR_DQ_6_OUTBUF_GTS_AND_1_INV_390 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_6_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB_2_INV_391 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CONTROLLER_O_DDR_WEB_2_INV
    );
  I_USER_INT_U_DO_5_2_INV_392 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_5_2_INV
    );
  DDR_DQ_7_OUTBUF_GTS_AND_1_INV_393 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_7_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_6_2_INV_394 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_6_2_INV
    );
  DDR_DQ_8_OUTBUF_GTS_AND_1_INV_395 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_8_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_7_2_INV_396 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_7_2_INV
    );
  DDR_DQ_9_OUTBUF_GTS_AND_1_INV_397 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_9_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT_2_INV_398 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK_OUT_2_INV
    );
  I_USER_INT_U_DO_8_2_INV_399 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_8_2_INV
    );
  I_USER_INT_U_DO_9_2_INV_400 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_9_2_INV
    );
  I_DDR_CTLR_O_DDR_CSB_2_INV_401 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_O_DDR_CSB_2_INV
    );
  DDR_DQ_10_OUTBUF_GTS_AND_1_INV_402 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_10_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_11_OUTBUF_GTS_AND_1_INV_403 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_11_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0_2_INV_404 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA0_2_INV
    );
  DDR_DQ_12_OUTBUF_GTS_AND_1_INV_405 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_12_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT_2_INV_406 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_CLK_DLLS_OBUF_DDR_CLK180_OUT_2_INV
    );
  DDR_DQ_20_OUTBUF_GTS_AND_1_INV_407 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_20_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_O_DDR_DQM0_2_INV_408 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_O_DDR_DQM0_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1_2_INV_409 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_BA1_2_INV
    );
  DDR_DQ_21_OUTBUF_GTS_AND_1_INV_410 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_21_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_13_OUTBUF_GTS_AND_1_INV_411 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_13_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_O_DDR_DQM1_2_INV_412 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_O_DDR_DQM1_2_INV
    );
  I_USER_INT_U_DO_10_2_INV_413 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_10_2_INV
    );
  DDR_DQ_14_OUTBUF_GTS_AND_1_INV_414 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_14_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_22_OUTBUF_GTS_AND_1_INV_415 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_22_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_30_OUTBUF_GTS_AND_1_INV_416 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_30_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DO_11_2_INV_417 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_11_2_INV
    );
  DDR_DQ_31_OUTBUF_GTS_AND_1_INV_418 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_31_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_23_OUTBUF_GTS_AND_1_INV_419 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_23_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_15_OUTBUF_GTS_AND_1_INV_420 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_15_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10_2_INV_421 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_10_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0_2_INV_422 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_0_2_INV
    );
  I_USER_INT_U_DO_12_2_INV_423 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_12_2_INV
    );
  DDR_DQ_40_OUTBUF_GTS_AND_1_INV_424 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_40_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_16_OUTBUF_GTS_AND_1_INV_425 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_16_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_32_OUTBUF_GTS_AND_1_INV_426 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_32_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_24_OUTBUF_GTS_AND_1_INV_427 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_24_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11_2_INV_428 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_11_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1_2_INV_429 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_1_2_INV
    );
  I_USER_INT_U_DO_13_2_INV_430 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_13_2_INV
    );
  DDR_DQ_25_OUTBUF_GTS_AND_1_INV_431 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_25_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_33_OUTBUF_GTS_AND_1_INV_432 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_33_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_17_OUTBUF_GTS_AND_1_INV_433 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_17_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_41_OUTBUF_GTS_AND_1_INV_434 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_41_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2_2_INV_435 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_2_2_INV
    );
  I_USER_INT_U_DO_14_2_INV_436 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_14_2_INV
    );
  DDR_DQ_42_OUTBUF_GTS_AND_1_INV_437 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_42_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_50_OUTBUF_GTS_AND_1_INV_438 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_50_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_26_OUTBUF_GTS_AND_1_INV_439 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_26_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_18_OUTBUF_GTS_AND_1_INV_440 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_18_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_34_OUTBUF_GTS_AND_1_INV_441 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_34_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3_2_INV_442 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_3_2_INV
    );
  I_USER_INT_U_DO_15_2_INV_443 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DO_15_2_INV
    );
  DDR_DQ_35_OUTBUF_GTS_AND_1_INV_444 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_35_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_19_OUTBUF_GTS_AND_1_INV_445 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_19_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_27_OUTBUF_GTS_AND_1_INV_446 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_27_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_51_OUTBUF_GTS_AND_1_INV_447 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_51_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_43_OUTBUF_GTS_AND_1_INV_448 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_43_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4_2_INV_449 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_4_2_INV
    );
  DDR_DQ_52_OUTBUF_GTS_AND_1_INV_450 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_52_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_44_OUTBUF_GTS_AND_1_INV_451 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_44_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_28_OUTBUF_GTS_AND_1_INV_452 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_28_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_36_OUTBUF_GTS_AND_1_INV_453 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_36_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_60_OUTBUF_GTS_AND_1_INV_454 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_60_OUTBUF_GTS_AND_1_INV
    );
  I_USER_INT_U_DATA_VALID0_2_INV_455 : X_INV
    port map (
      I => GTS,
      O => I_USER_INT_U_DATA_VALID0_2_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5_2_INV_456 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_5_2_INV
    );
  DDR_DQ_61_OUTBUF_GTS_AND_1_INV_457 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_61_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_37_OUTBUF_GTS_AND_1_INV_458 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_37_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_29_OUTBUF_GTS_AND_1_INV_459 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_29_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_45_OUTBUF_GTS_AND_1_INV_460 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_45_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_53_OUTBUF_GTS_AND_1_INV_461 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_53_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6_2_INV_462 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_6_2_INV
    );
  DDR_DQ_46_OUTBUF_GTS_AND_1_INV_463 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_46_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_54_OUTBUF_GTS_AND_1_INV_464 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_54_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_38_OUTBUF_GTS_AND_1_INV_465 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_38_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_62_OUTBUF_GTS_AND_1_INV_466 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_62_OUTBUF_GTS_AND_1_INV
    );
  I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7_2_INV_467 : X_INV
    port map (
      I => GTS,
      O => I_DDR_CTLR_U_ADDR_LATCH_O_DDR_AD_7_2_INV
    );
  DDR_DQ_63_OUTBUF_GTS_AND_1_INV_468 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_63_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_39_OUTBUF_GTS_AND_1_INV_469 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_39_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_55_OUTBUF_GTS_AND_1_INV_470 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_55_OUTBUF_GTS_AND_1_INV
    );
  DDR_DQ_47_OUTBUF_GTS_AND_1_INV_471 : X_INV
    port map (
      I => GTS,
      O => DDR_DQ_47_OUTBUF_GTS_AND_1_INV
    );
  VCC_472 : X_ONE
    port map (
      O => VCC
    );
  ROC_NGD2VHDL : ROC port map (O => GSR);
  TOC_NGD2VHDL : TOC port map (O => GTS);
end STRUCTURE;

